commit 7b725c9
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-11-16

    Noted release.

NEWS

commit 1d5527d
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-11-16

    Fixed tests.

test/Makefile.am
test/TestTerrain.cpp

commit 464ab48
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-11-16

    Added missing file reference.

src/framework/Makefile.am

commit 57841b5
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-11-12

    Remove the find exclude filters.
    
    Due to how bash does string substitutions these don't work anyway.
    Instead we just remove the directories which shouldn't be traversed once
    everything has been copied.

make_dist_media.sh

commit 0699506
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-11-11

    Fixed copying of files.
    
    There were some commands that were broken.

make_dist_media.sh

commit 58508ac
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-11-11

    Prepare media for release.

ember.conf

commit e4cb364
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-11-11

    Updated mail address.

AUTHORS
configure.ac

commit 6de6f48
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-11-10

    Added missing headers.

src/components/ogre/Makefile.am

commit 70dd486
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-11-10

    Process input so that quit signals can be caught.
    
    This allow for quitting during loading on all platforms.

src/components/ogre/widgets/LoadingBar.cpp

commit 4aa1b70
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-11-10

    Added comment about bug workaround.

src/components/ogre/OgreSetup.cpp

commit c8f6a39
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-11-10

    Fix order of config sources lookup.
    
    The order used when looking up config settings is:
    instance
    command line
    user specific
    global

src/services/config/ConfigService.cpp

commit 179568e
Author: Peter Szucs <peter.szucs.dev@gmail.com>
Date:   2011-11-05

    Document ShutdownException.

src/framework/ShutdownException.h

commit cb7f197
Author: Peter Szucs <peter.szucs.dev@gmail.com>
Date:   2011-11-05

    Detach window before deleting mRoot.
    
    Sometimes its getting stuck in mRoot destructor.
    To fix this, we need to detach the window first.

src/components/ogre/OgreSetup.cpp

commit 27ae76e
Author: Peter Szucs <peter.szucs.dev@gmail.com>
Date:   2011-11-04

    Fix command line configs.
    
    This will fix a regression, which causes webember to show the content
    in a pop-up window on win32, because the windowhandle is not passed.

src/services/config/ConfigService.cpp

commit 1777f92
Author: Peter Szucs <peter.szucs.dev@gmail.com>
Date:   2011-11-04

    Fix invalid pointer.
    
    if you cast a class to a subclass, the pointer is changing by the offset.
    so you can't just reinterpret a pointer to another subclass.
    I have also changed static_cast to reinterpret_cast, because its the same.

src/components/ogre/environment/FoliageBase.cpp
src/components/ogre/environment/GrassFoliage.cpp

commit 45e7a1e
Author: Peter Szucs <peter.szucs.dev@gmail.com>
Date:   2011-10-12

    Allow to abort startup loading.
    
    This works for now only with webember.
    It will also work in ember after we drop SDL.
    Its not so correct to throw exception through Ogre,
    but works without crash and its not messing up the code.
    Also removed some empty lines.

src/components/ogre/OgreResourceLoader.cpp
src/components/ogre/widgets/LoadingBar.cpp
src/framework/ShutdownException.h
src/main/Application.cpp

commit d16e1d5
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-11-08

    Fixed issue with comparing floating values.
    
    Due to the way floating values are represented in binary it's not always
    possible to correctly say whether two floating point values are the
    same. Rather than having to fiddle with epsilon values we'll just
    convert the values to strings and compare them.
    
    This fixes an issue in the settings widget where some settings always
    were considered changed.

src/components/ogre/Makefile.am
src/components/ogre/widgets/adapters/AdapterBase.h
src/components/ogre/widgets/adapters/ValueTypeHelper.cpp
src/components/ogre/widgets/adapters/ValueTypeHelper.h

commit 0aa8a83
Author: Peter Szucs <peter.szucs.dev@gmail.com>
Date:   2011-10-23

    Change pointers to references.

src/components/ogre/OgreSetup.cpp

commit ea0f74d
Author: Peter Szucs <peter.szucs.dev@gmail.com>
Date:   2011-10-23

    Fix localtime_r for mingw32 too.
    
    mingw32 hasn't got localtime_r or localtime_s.

src/framework/StreamLogObserver.cpp
src/platform/platform_windows.h

commit b0e44f9
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-10-03

    Clean up and added docs.

src/components/ogre/widgets/EntityEditor.h
src/components/ogre/widgets/EntityEditor.lua

commit 1ade72e
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-10-02

    Moved CEGUI escape function to common module.
    
    As it's pretty nifty to have for other GUI components too.

src/components/ogre/widgets/Bootstrap.lua
src/components/ogre/widgets/Console.lua

commit fc5b6ca
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-10-02

    Remove listener after five seconds.

src/components/ogre/widgets/EntityEditor.lua

commit b2d91fd
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-10-02

    Extract height provider interface.
    
    And move it and terrain types to the more suitable "domain" namespace.

src/components/ogre/Makefile.am
src/components/ogre/TerrainPageDataProvider.cpp
src/components/ogre/TerrainPageDataProvider.h
src/components/ogre/Types.h
src/components/ogre/environment/FoliageBase.cpp
src/components/ogre/scripting/bindings/lua/Convert.pkg
src/components/ogre/scripting/bindings/lua/TerrainEditor.pkg
src/components/ogre/terrain/TerrainDefPoint.cpp
src/components/ogre/terrain/TerrainDefPoint.h
src/components/ogre/terrain/TerrainEditorOverlay.cpp
src/components/ogre/terrain/TerrainEditorOverlay.h
src/components/ogre/terrain/TerrainHandler.cpp
src/components/ogre/terrain/TerrainHandler.h
src/components/ogre/terrain/TerrainManager.cpp
src/components/ogre/terrain/TerrainManager.h
src/components/ogre/terrain/TerrainPage.cpp
src/components/ogre/terrain/TerrainPage.h
src/components/ogre/terrain/TerrainPageCreationTask.cpp
src/components/ogre/terrain/TerrainPageCreationTask.h
src/components/ogre/terrain/TerrainPageGeometry.cpp
src/components/ogre/terrain/TerrainPageGeometry.h
src/components/ogre/terrain/TerrainPageShadow.cpp
src/components/ogre/terrain/TerrainPageSurface.cpp
src/components/ogre/terrain/TerrainPageSurface.h
src/components/ogre/terrain/TerrainUpdateTask.cpp
src/components/ogre/terrain/TerrainUpdateTask.h
src/components/ogre/terrain/Types.h
src/components/ogre/widgets/EntityEditor.cpp
src/domain/IHeightProvider.h
src/domain/Makefile.am
src/domain/Types.h

commit f6240af
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-10-02

    Check that we got a position first.

src/components/ogre/widgets/EntityEditor.lua

commit 7322b3a
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-10-02

    Encapsulate marker code into internal class.

src/components/ogre/scripting/bindings/lua/EntityEditor.pkg
src/components/ogre/widgets/EntityEditor.cpp
src/components/ogre/widgets/EntityEditor.h

commit 807efe7
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-26

    Fix hide and show of node and line.

src/components/ogre/widgets/EntityEditor.cpp

commit be08c4e
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-26

    Show a line from the entity to the marker.

src/components/ogre/widgets/EntityEditor.cpp
src/components/ogre/widgets/EntityEditor.h

commit c443187
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-26

    Added easy way of visualizing WFMath shapes.

src/components/ogre/Makefile.am
src/components/ogre/ShapeVisual.cpp
src/components/ogre/ShapeVisual.h

commit 48b0faa
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-26

    Added binding.

src/components/ogre/scripting/bindings/lua/EntityEditor.pkg

commit 1920351
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-26

    No need for this to be virtual.

src/components/ogre/authoring/PolygonRenderer.h

commit f92ab5b
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-26

    Fixed issue with rendering too late.

src/components/ogre/authoring/PolygonRenderer.cpp

commit ee94fe6
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-25

    Add graphical markers for positions.

src/components/ogre/scripting/bindings/lua/EntityEditor.pkg
src/components/ogre/widgets/EntityEditor.cpp
src/components/ogre/widgets/EntityEditor.h
src/components/ogre/widgets/EntityEditor.lua

commit 982bdd8
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-25

    Fixed type declaration.

src/framework/bindings/lua/eris/Entity.pkg

commit 6e87bd5
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-25

    Added missing forward declaration.

src/components/ogre/WorldEmberEntity.h

commit b3b3e4b
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-25

    Fixed leak.

src/components/ogre/EntityWorldPickListener.cpp

commit c6c1437
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-24

    Added ability to add knowledge.

src/components/ogre/scripting/bindings/lua/EntityEditor.pkg
src/components/ogre/widgets/EntityEditor.cpp
src/components/ogre/widgets/EntityEditor.h
src/components/ogre/widgets/EntityEditor.layout
src/components/ogre/widgets/EntityEditor.lua

commit 43aabc3
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-22

    Added listing of knowledge.

src/components/ogre/widgets/EntityEditor.layout
src/components/ogre/widgets/EntityEditor.lua

commit 4c78968
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-22

    Added ability to add new goals to entities.

src/components/ogre/scripting/bindings/lua/EntityEditor.pkg
src/components/ogre/terrain/TerrainManager.cpp
src/components/ogre/widgets/EntityEditor.cpp
src/components/ogre/widgets/EntityEditor.h
src/components/ogre/widgets/EntityEditor.layout
src/components/ogre/widgets/EntityEditor.lua
src/services/server/ConnectedAdapter.cpp

commit 3fc9c42
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-21

    Address the entity when asking about goals.

src/components/ogre/widgets/EntityEditor.lua

commit 1c5166e
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-21

    Expose more lua bindings.

src/services/bindings/lua/ServerService.pkg

commit 04ef138
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-08-10

    Added simple goal listing.

src/components/ogre/widgets/EntityEditor.layout
src/components/ogre/widgets/EntityEditor.lua

commit 91ed05d
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-10-23

    Provide screen commands before world entry.

src/components/ogre/EmberOgre.cpp
src/components/ogre/EmberOgre.h
src/components/ogre/Makefile.am
src/components/ogre/Screen.cpp
src/components/ogre/Screen.h
src/components/ogre/camera/MainCamera.cpp
src/components/ogre/camera/MainCamera.h
src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
src/components/ogre/scripting/bindings/lua/MainCamera.pkg
src/components/ogre/scripting/bindings/lua/Makefile.am
src/components/ogre/scripting/bindings/lua/Screen.pkg

commit dca4e16
Author: Peter Szucs <peter.szucs.dev@gmail.com>
Date:   2011-10-22

    Fix name clash on Mac OS X.

src/components/ogre/widgets/IngameChatWidget.cpp

commit 371d517
Author: Peter Szucs <peter.szucs.dev@gmail.com>
Date:   2011-10-22

    Change pointer to reference.

src/components/ogre/OgreSetup.cpp

commit 15ab584
Author: Peter Szucs <peter.szucs.dev@gmail.com>
Date:   2011-10-21

    Instantiate the logging service.

src/services/EmberServices.cpp

commit 3fde5fa
Author: Peter Szucs <peter.szucs.dev@gmail.com>
Date:   2011-10-21

    Use tolua++.h wrapper.

src/main/Application.cpp

commit 57d6a1c
Author: Peter Szucs <peter.szucs.dev@gmail.com>
Date:   2011-10-12

    Force __cdecl if its not the default.

src/extensions/webember/WebEmberDLL.cpp

commit 209ea64
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-10-22

    Added null pointer check.

src/components/ogre/camera/MainCamera.cpp

commit de8472c
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-10-16

    Clean up includes a little.
    
    We'll try to avoid too much tangle.

src/components/ogre/scripting/bindings/lua/EntityIconDragDropPreview.pkg
src/components/ogre/widgets/EntityIconDragDropPreview.cpp
src/components/ogre/widgets/EntityIconDragDropPreview.h
src/components/ogre/widgets/Inventory.lua

commit 57d941f
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-10-16

    Extra check for debug environments.
    
    There's sure to be some environment out there which sets all deleted
    pointers to null, so we'll protect against that.

src/components/ogre/WorldEmberEntity.cpp

commit 8ac5fe4
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-10-15

    Fix possible race condition.
    
    By shutting down the handler first we guarantee that all running tasks
    have been completed when the other components are deleted.

src/components/ogre/terrain/TerrainManager.cpp

commit e31cded
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-10-15

    Cleanly shut down widget.

src/components/ogre/widgets/Settings.lua

commit 3938614
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-10-15

    Force GC after signalling GUI shutdown.
    
    This makes the GUI shutdown signal suitable for listening to for any
    widgets that needs to cleanly shut down.

src/components/ogre/EmberOgre.cpp
src/components/ogre/EmberOgreSignals.h

commit aabe9b4
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-10-04

    Fix memory leaks and uninitialized values.

src/components/ogre/GUIManager.cpp
src/components/ogre/GUIManager.h
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingTerrainObserver.cpp
src/components/ogre/World.cpp
src/components/ogre/camera/ThirdPersonCameraMount.cpp
src/components/ogre/environment/caelum/src/CaelumSystem.cpp
src/components/ogre/environment/caelum/src/FlatCloudLayer.cpp
src/components/ogre/terrain/Map.cpp
src/components/ogre/widgets/Compass.cpp
src/components/ogre/widgets/Console.lua
src/components/ogre/widgets/QuickHelp.lua
src/components/ogre/widgets/ServerBrowser.lua
src/components/ogre/widgets/Settings.lua
src/components/ogre/widgets/representations/SliderRepresentation.h
src/main/Application.cpp
src/services/input/Input.cpp

commit a06fa1c
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-09-26

    Remove mscprag.h file.
    
    This file is not called.
    Also its not required to compile on msvc.

src/mscprag.h

commit afc007f
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-09-26

    Fix constructor.

src/services/server/StateBase.h

commit dc07874
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-09-26

    Implement localtime_r for msvc.

src/framework/StreamLogObserver.cpp
src/platform/platform_windows.h

commit b29e3bd
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-09-26

    Remove accidentally added code.

src/components/ogre/widgets/WidgetPool.h

commit c99d67c
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-09-12

    Make ember script shorter and cleaner.
    
    The "cd -P" will resolve symlinks.
    Also for debugging, I have added automatically executed commands:
    it will execute in gdb: run, backtrace, then automatcally quit.
    So the user will not need to understand gdb console, everything is automatic.
    And the user gets automatically backtrace.

ember.in

commit ade4ee1
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-09-12

    Add log messages, when ember shutdown fails in webember with rare conditions.

src/extensions/webember/WebEmberManager.cpp

commit dd281a6
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-10-02

    Added setting for suppressing Ogre config window.

src/components/ogre/widgets/Settings.lua

commit 77a8d20
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-28

    Handle errors in compositors.
    
    Else they will result in segfaults at render time.

src/components/ogre/camera/MainCamera.cpp

commit 6e8e6ac
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-28

    Also include hlsl shader files.

make_dist_media.sh

commit a0b8af9
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-21

    Use the new settings icon.

src/components/cegui/datafiles/imagesets/iconset_standard.imageset
src/components/ogre/widgets/MainIconBar.lua

commit 70d9952
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-19

    By default enable a subtle bloom effect.

ember.conf

commit f3a673e
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-19

    Also copy compositors.

make_dist_media.sh

commit 53a56a1
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-19

    Remove compositors when shutting down.

src/components/ogre/camera/MainCamera.cpp

commit 0a8c374
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-19

    Allow compositors to be enabled through config.
    
    The compositors are enabled through a comma separated list set through
    graphics:compositors.

ember.conf
src/components/ogre/camera/MainCamera.cpp
src/components/ogre/camera/MainCamera.h

commit dafa5b4
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-19

    Removed destructor.

src/framework/Tokeniser.h

commit 23badfd
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-18

    Fixed segfault with third person camera.

src/components/ogre/camera/ICameraMount.h
src/components/ogre/camera/ThirdPersonCameraMount.cpp

commit c4a8324
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-16

    Better output of talk ops.

src/services/server/ConnectedAdapter.cpp

commit 8d700d7
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-14

    Handle own speech better.
    
    Also keep a reference to the avatar entity, thus avoiding to do a lookup
    each time something is saidHandle own speech better.

src/components/ogre/widgets/Console.lua

commit 3408616
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-13

    Mark messages addressed to us and other.

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/ogre/widgets/Console.lua

commit aea8b3e
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-13

    Talk directly to the entity when trading.

src/components/ogre/widgets/IngameMerchantWidget.lua

commit 5520412
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-07

    Only show talk button for talkable entities.

src/components/ogre/widgets/EntityPicker.lua
src/components/ogre/widgets/IngameChatWidget.cpp

commit 0889168
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-04

    Make sure the widget is contained in the window.

src/components/ogre/widgets/IngameChatWidget.cpp

commit a25ff24
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-04

    Place window on entity first.

src/components/ogre/widgets/IngameChatWidget.cpp

commit 03d04a5
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-04

    Create chat text if not available.

src/components/ogre/widgets/IngameChatWidget.cpp

commit 98e0201
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-04

    Add a button for talking to entities.

src/components/ogre/widgets/EntityPicker.layout
src/components/ogre/widgets/EntityPicker.lua
src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h

commit 60e5a63
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-02

    Address the entity in the chat text.

src/components/ogre/widgets/IngameChatWidget.cpp
src/services/server/ServerService.cpp
src/services/server/ServerService.h

commit 3858b36
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-02

    Warn when addressing non-existant entity.

src/services/server/EnteredWorldState.cpp

commit b2127d8
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-02

    Added support for addressing talk ops.

src/services/server/ConnectedAdapter.cpp
src/services/server/ConnectedAdapter.h
src/services/server/EnteredWorldState.cpp
src/services/server/EnteredWorldState.h
src/services/server/IServerAdapter.h
src/services/server/NonConnectedAdapter.cpp
src/services/server/NonConnectedAdapter.h

commit 13ecd86
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-02

    Removed reference to GUIManager from EmberEntity.
    
    The GUIManager now listens to events from EmberEntity, thus providing a
    cleaner separation.

src/components/ogre/EmberEntity.cpp
src/components/ogre/EmberEntity.h
src/components/ogre/EmberOgre.cpp
src/components/ogre/GUIManager.cpp
src/components/ogre/GUIManager.h

commit 28b43eb
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-01

    Use the EntityTalk struct.

src/bindings/lua/ConnectorDefinitions.pkg
src/bindings/lua/TypeResolving.cpp
src/bindings/lua/TypeResolving.h
src/components/ogre/AvatarLogger.cpp
src/components/ogre/AvatarLogger.h
src/components/ogre/EmberEntity.cpp
src/components/ogre/GUIManager.h
src/components/ogre/scripting/bindings/lua/GUIManager.pkg
src/components/ogre/widgets/Console.lua
src/domain/EntityTalk.cpp

commit cbe9a6f
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-01

    Added domain object for entity talk ops.
    
    This encapsules the important talk data, such as the message, suggested
    response and any addresses.

configure.ac
src/Makefile.am
src/domain/EntityTalk.cpp
src/domain/EntityTalk.h
src/domain/Makefile.am
src/domain/bindings/Makefile.am
src/domain/bindings/lua/Domain.pkg
src/domain/bindings/lua/EntityTalk.pkg
src/domain/bindings/lua/Makefile.am
src/main/Application.cpp
src/main/Makefile.am
src/main/bindings/Makefile.am

commit daa65b6
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-07

    Added setting for inspect menu item.
    
    The default is not to show it for non admin characters.

ember.conf
src/components/ogre/widgets/EntityPicker.lua
src/components/ogre/widgets/Settings.lua

commit 97a808d
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-07

    Added signal for when avatar entity arrives.
    
    This signal also exists in EmberOgre, but having it here makes it easier
    to do cleanup when the world is destroyed.

src/components/ogre/World.cpp
src/components/ogre/World.h
src/components/ogre/scripting/bindings/lua/World.pkg

commit 91e4924
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-07

    Added tooltip to the clickable text.

src/components/ogre/widgets/IngameChatWidgetAttached.layout

commit bb83a05
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-04

    Use lower case as other events.

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameMerchantWidget.lua

commit 8f71dc6
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-09-04

    Check that the world exists.
    
    We should refactor this to instead keep a reference to the world when
    it's created.

src/components/ogre/widgets/Console.lua

commit 919a9f2
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-29

    Fix for gcc 4.6.

src/components/ogre/environment/caelum/src/InternalUtilities.cpp

commit f488e9c
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-28

    Prefer const ref strings where possible.

src/extensions/webember/WebEmberManager.cpp
src/extensions/webember/WebEmberManager.h

commit 1aa50bf
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-28

    Added Peter Szücs as author.

AUTHORS

commit 57c27e7
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-28

    Fixed compilation error after rebase.

src/components/ogre/OgreSetup.cpp

commit 7300613
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-26

    Search Ogre plugins in ember's prefix/lib/OGRE.
    
    binreloc is just returning an absolute path to the old location,
    which is not portable. Maybe because ubuntu 8.04 has old kernel.

src/components/ogre/OgreSetup.cpp

commit 2190bc6
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-21

    Fix typo.

src/services/config/ConfigService.cpp

commit 2a2921c
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-19

    Fix warning "[[: not found" on ubuntu.

autogen.sh
scripts/update_lua_bindings.sh

commit f85100d
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-15

    Enable fPIC on linux for webember.
    
    Also move things to get it cleaner.

configure.ac

commit 570241a
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-15

    Document WEBEMBER_EXPORT macro.
    
    Also set it to GCC 4+

src/extensions/webember/WebEmberDLL.cpp

commit 2b5050e
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-15

    Wrap Mac OS X difference.
    
    NOTE: the != case is the Mac case.
    Don't let confuse yourself :)
    It works by replacing darwin with nothing.
    If it returns a different string then the original,
    then its running on a Mac.

scripts/update_lua_bindings.sh

commit 613d13a
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-15

    Fix Bundle identification for webember.
    
    Also changed indentation to tabs.

src/services/config/ConfigService.cpp

commit 557586c
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-12

    Change relative path to absolute.
    
    This file will be included from webember,
    which has a different working directory.

src/main/Makefile.am

commit 237b5aa
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-12

    Move AC_PROG_OBJC out of condition.
    
    It's not working in the condition on linux.

configure.ac

commit 30357a7
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-12

    Fix plugins directories.
    
    Also some cleanup.

src/components/ogre/OgreSetup.cpp

commit f087000
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-05

    Fix Mac OS X cocoa window creation.

src/components/ogre/OgreSetup.cpp

commit c6b27af
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-05

    Fix build error on Mac OS X.
    
    Autotools is messing it up. I've get this error:
    http://www.gnu.org/software/hello/manual/automake/Objects-created-both-with-libtool-and-without.html
    Webember and ember are in a separate directory and the binaries are not clashing!
    Adding this line will fix the error anyways.

src/extensions/webember/Makefile.am

commit b3f5127
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-05

    Clean up automake.
    
    Just moving stuff around to get it cleaner.

src/Makefile.am
src/extensions/Makefile.am
src/extensions/webember/Makefile.am
src/main/Makefile.am

commit 914f993
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-01

    Add SDL with cocoa support.
    
    SDL with X11 will still work.

src/components/ogre/OgreSetup.cpp

commit e3b268e
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-01

    Fix osdir for OS X.
    
    Removed the null interface, it hasn't got mkdir anyways.
    Second, mac is posix compatible.

src/framework/osdir.h

commit 02424b8
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-01

    Fix SDL inclusion.
    
    In all other sources, its in SDL directory like on linux.

src/main/macosx/SDLMain.m

commit 60fbcdd
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-01

    Compile SDLMain.m file.
    
    Also fix an issue with if statement.

src/extensions/webember/Makefile.am
src/main/Makefile.am

commit 69c9b66
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-01

    Add OSX condition to automake.
    
    Also enable Objective-C compiler support.

configure.ac

commit f8c4d43
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-01

    Wrap parameters with brackets.
    
    This fixes some warnings and an issue on mac.
    The warning is reported in the m4 internals:
    warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body

acinclude.m4
configure.ac

commit 261e8e8
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-01

    Fix tolua generator for mac.

scripts/update_lua_bindings.sh

commit 56784d5
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-08-01

    Fix autogen for mac.

autogen.sh

commit fd2e2c4
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-07-25

    Fix library generation on mingw.

src/extensions/webember/Makefile.am

commit b962978
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-07-25

    Remove old code.
    
    This is done now in the plugin.

src/extensions/webember/WebEmberManager.cpp

commit 601b2eb
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-07-25

    Clean the mangled name on win32.

src/extensions/webember/WebEmberDLL.cpp

commit a56fe77
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-07-25

    Fix window creation on win32.

src/components/ogre/OgreSetup.cpp

commit 58c290a
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-07-25

    Disable verbose linking checks.

configure.ac

commit 32efefd
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-07-24

    Remove fPIC.
    
    It causes problems in mingw.

configure.ac

commit bf55034
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-07-24

    Fix linking boost on mingw. Thanks to James.

src/main/Makefile.am

commit f8e5489
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-07-18

    Remove unused code.
    
    WebemberManager will create the Application instance.

src/main/Ember.cpp

commit c931c22
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-07-18

    Set the configs for webember.
    
    I have missed this file from a previous commit,
    but it was working without these changes too.

src/components/ogre/OgreSetup.cpp

commit 190bb9d
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-07-18

    Experimental fix for 64 bit compilaton.

Makefile.am
configure.ac

commit 1fed432
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-07-15

    Fix build.
    
    AM_CPPFLAGS is for some reason not working.

configure.ac

commit 99dd601
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-07-14

    Fix autotools support.
    
    Also some interface changes and code changes.
    Some formating fixes.
    Add runtime linking to linux.
    Fix visibility issues.

Makefile.am
configure.ac
src/extensions/Makefile.am
src/extensions/webember/Makefile.am
src/extensions/webember/WebEmberDLL.cpp
src/extensions/webember/WebEmberManager.cpp
src/extensions/webember/WebEmberManager.h
src/main/Makefile.am

commit 39acc2b
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-06-30

    Integrate WebEmber into autotools.

configure.ac
src/Makefile.am
src/extensions/Makefile.am
src/extensions/webember/Makefile.am
src/main/Ember.cpp

commit f188a1a
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-06-30

    Add linux support

src/extensions/webember/WebEmberManager.cpp
src/extensions/webember/WebEmberManager.h

commit fcfc32a
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-06-20

    Add WebEmber support on windows.

src/components/ogre/OgreSetup.cpp
src/extensions/webember/WebEmberDLL.cpp
src/extensions/webember/WebEmberManager.cpp
src/extensions/webember/WebEmberManager.h
src/main/Ember.cpp

commit 8c10709
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-06-30

    Erase iterator after delete.
    
    Do not use erased pointer.

src/components/ogre/authoring/AuthoringHandler.cpp

commit b0ff3e9
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-06-20

    Make the loading screen more responsive.
    
    Will make the window to respond to system messages while loading.
    Also allows to move and minimize the ember window, while loading.
    It will set mWindow.isClosed(), but exiting is not handled for now.

src/components/ogre/widgets/LoadingBar.cpp

commit c71fc47
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-06-17

    Fix vector subscript out of range error.
    
    I've got here an error in msvc debug.
    The mOldSubExtents[offset] is out of range,
    when offset == mOldSubExtents.size().
    Also fixed a small typo.

src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeMeshDecal.cpp

commit 4c5c5d6
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-06-09

    Rename scrap.c to scrap.cpp.
    
    This will add CXXFLAGS to it and solves a problem.

src/framework/Makefile.am
src/framework/scrap.c
src/framework/scrap.cpp
src/services/input/Input.h

commit b3b2f7b
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-06-09

    Fix some mingw issues.

src/components/ogre/OgreSetup.cpp
src/platform/platform_windows.h
src/services/config/ConfigService.cpp

commit 7f31990
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-06-08

    Fix "unrecognized option -pthread" spam in mingw.

acinclude.m4

commit b8936b5
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-06-08

    Fix warning in mingw32.

src/components/ogre/SceneManagers/EmberPagingSceneManager/src/filetutils.cpp

commit 1942762
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-06-03

    Put macros into m4 dir as suggested by libtool.

Makefile.am
configure.ac

commit 7099b77
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-06-03

    Remove obsolete check.

configure.ac

commit 5db913c
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-06-03

    Swap the order of package checks.
    
    X11 is only called on linux:
    pkg.m4 says:
    Note that if there is a possibility the first call to
    PKG_CHECK_MODULES might not happen, you should be sure to include an
    explicit call to PKG_PROG_PKG_CONFIG in your configure.ac

configure.ac

commit d42f189
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-06-03

    Remove dependency on sdl.m4 and pkg.m4 files.

acinclude.m4

commit d2b7169
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-23

    CSIDL_PERSONAL works on MSVC too.
    
    So we'll use that, since CSIDL_MYDOCUMENTS isn't available on msys.
    (Thanks Péter Szücs.)

src/services/config/ConfigService.cpp

commit f123849
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-22

    Use the oslink built in mkdir function.
    
    Which already is platform neutral.

src/components/ogre/AvatarLogger.cpp
src/components/ogre/EmberEntityFactory.cpp
src/components/ogre/camera/MainCamera.cpp
src/components/ogre/camera/Recorder.cpp
src/components/ogre/jesus/XMLJesusSerializer.cpp
src/main/Application.cpp

commit 65d3949
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-22

    Place in more appropriate directory.

configure.ac
src/Makefile.am
src/components/ogre/AvatarLogger.cpp
src/components/ogre/EmberEntityFactory.cpp
src/components/ogre/EmberOgre.cpp
src/components/ogre/GUIManager.cpp
src/components/ogre/OgreSetup.cpp
src/components/ogre/camera/MainCamera.cpp
src/components/ogre/model/ModelDefinitionAtlasComposer.cpp
src/components/ogre/sound/XMLSoundDefParser.cpp
src/framework/osdir.h
src/main/Application.cpp
src/main/win32/platform_windows.h
src/platform/Makefile.am
src/platform/platform_windows.h

commit 1855ce6
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-22

    Fix for msys.
    
    Seems like the CSIDL_MYDOCUMENTS constant isn't available for msys.
    CSIDL_PERSONAL should work pretty much just as well.

src/services/config/ConfigService.cpp

commit 76edec6
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-04-29

    Add EMBER_LOG_SHOW_ORIGIN.
    
    This will allow to enable origins in log files.

src/framework/StreamLogObserver.cpp

commit 975f778
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-04-17

    Fix crash when adding mounted item to NPC.
    
    This happened, when I gave a skull to the NPC.

src/components/ogre/model/ModelAttachment.cpp

commit d501b78
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-04-17

    Fix crash on shutdown.
    
    Do not use erased memory.

src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingSceneManagerAdapter.cpp

commit fae4dee
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-04-17

    Rename loadAllUnloadedSections to loadAllResources.
    
    Also remove some old code.

src/components/ogre/OgreResourceLoader.cpp
src/components/ogre/OgreResourceLoader.h

commit 588939c
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-04-16

    Set HomeDir to Documents.
    
    The best way to get a special directory in win32
    is to use SHGetSpecialFolderPath().
    Also changed from appdata to documents.
    Lot of games put their saves to documents.

src/services/config/ConfigService.cpp

commit d13676b
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-04-16

    Add lrintf macro for MSVC.

src/components/ogre/environment/meshtree/TStem.cpp

commit 478ec3d
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-04-16

    Add platform_windows.h
    
    This file will contain all POSIX hacks for windows.

src/components/ogre/AvatarLogger.cpp
src/components/ogre/EmberEntityFactory.cpp
src/components/ogre/EmberOgre.cpp
src/components/ogre/GUIManager.cpp
src/components/ogre/OgreSetup.cpp
src/components/ogre/camera/MainCamera.cpp
src/components/ogre/camera/Recorder.cpp
src/components/ogre/model/ModelDefinitionAtlasComposer.cpp
src/components/ogre/sound/XMLSoundDefParser.cpp
src/framework/osdir.h
src/main/Application.cpp
src/main/win32/platform_windows.h

commit 41ff482
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-04-16

    Fix include path in msvc.

src/components/ogre/widgets/AssetsManager.cpp

commit 3764754
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-04-16

    Fix issue with using same variable name.

src/components/ogre/terrain/TerrainPageSurfaceLayer.cpp

commit bafba86
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-04-16

    Fix a namespace issue.

src/components/ogre/EmberOgreFileSystem.cpp

commit 3246c0b
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-04-16

    Replace C++0x code with compatible code.

src/components/ogre/sound/SoundGroup.cpp

commit 62b85da
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-04-16

    Fix EmberPagingSceneManager precompiled header.
    
    The top header in all .cpp files, needs to be the pch.
    Also removed not available headers from pch.

src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapePrecompiledHeaders.h
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeTexture.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingSceneManager.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingSceneManagerAdapter.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingTerrainObserver.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberTerrainPageBridge.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOcclusionQuerySet.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapePage.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapePageManager.cpp

commit 05ba020
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-04-16

    Move ms_Singleton out of namespaces.
    
    error C2888: 'Ember::OgreView::SoundDefinitionManager
    *Ember::Singleton<T>::ms_Singleton' : symbol cannot be defined
    within namespace 'OgreView'

src/components/ogre/sound/SoundDefinitionManager.cpp
src/components/ogre/terrain/TerrainLayerDefinitionManager.cpp

commit 596462f
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-04-16

    Started fixing VC compiler errors in EmberOgre.
    
    Do not call parent constructor directly.
    error C2039: '{ctor}' : is not a member of ...

src/components/ogre/DelegatingNodeController.cpp
src/components/ogre/HiddenAttachment.cpp
src/components/ogre/NodeAttachment.cpp
src/components/ogre/camera/FirstPersonCameraMount.cpp
src/components/ogre/camera/ThirdPersonCameraMount.cpp
src/components/ogre/model/ModelAttachment.cpp
src/components/ogre/terrain/OgreImage.cpp
src/components/ogre/terrain/TerrainAreaAddTask.cpp
src/components/ogre/terrain/TerrainAreaUpdateTask.cpp
src/components/ogre/terrain/TerrainModAddTask.cpp
src/components/ogre/terrain/TerrainModChangeTask.cpp
src/components/ogre/terrain/TerrainModRemoveTask.cpp
src/components/ogre/terrain/WFImage.cpp
src/components/ogre/terrain/foliage/ClusterPopulator.cpp
src/components/ogre/terrain/techniques/Shader.cpp
src/components/ogre/terrain/techniques/ShaderNormalMapped.cpp
src/components/ogre/terrain/techniques/Simple.cpp

commit 35f7bd0
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-04-12

    Allows to enable precompiled headers in Caelum.
    
    To enable this feature:
    -Define CAELUM_USE_PRECOMPILED.
    -Set OgrePagingLandScapePrecompiledHeaders.h as the precompiled header.
    -Set OgrePagingLandScapePrecompiledHeaders.cpp as the precompiled
    object(gcc don't needs precompiled object).

src/components/ogre/environment/caelum/include/CaelumPrecompiled.h

commit 86d8a33
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-04-12

    Fix visual studio compile errors in SoundService.

src/services/sound/SoundGeneral.cpp
src/services/sound/SoundSample.cpp
src/services/sound/SoundSample.h
src/services/sound/SoundService.cpp
src/services/sound/SoundService.h
src/services/sound/SoundSource.h

commit 26e3023
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-04-12

    Fix visual studio compile errors in ServerService.

src/services/server/Connection.cpp

commit a87a49f
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-04-12

    Fix visual studio compile errors in InputService.

src/services/input/Input.h

commit 79f157f
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-27

    Removed unused constructor.

src/components/ogre/widgets/representations/RepresentationBase.h

commit 2538de4
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-27

    Use spell icon as settings placeholder.
    
    This is slightly better than using the walk icon.

src/components/ogre/widgets/MainIconBar.lua

commit 40b87c7
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-27

    Trigger reposition by visibility too.

src/components/ogre/widgets/StackableContainer.cpp
src/components/ogre/widgets/StackableContainer.h

commit 2fa3827
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-27

    Only consider visible icons when positioning.
    
    This will fix an error where gaps were left in the icon bar.

src/components/ogre/widgets/IconBar.cpp

commit 8e3ed23
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-27

    Added inventory icon.

src/components/cegui/datafiles/imagesets/iconset_standard.imageset

commit 33b1425
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-27

    Fixed issue with coloured multilines.
    
    Since the "split" method wasn't implemented in the subclass, the
    superclass was used for the second line.

src/components/ogre/gui/RenderedColourStringTextComponent.cpp
src/components/ogre/gui/RenderedColourStringTextComponent.h

commit dfd3a92
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-27

    Moved string handling classes to separate files.

src/components/ogre/GUIManager.cpp
src/components/ogre/GUIManager.h
src/components/ogre/Makefile.am
src/components/ogre/gui/ColouredRenderedStringParser.cpp
src/components/ogre/gui/ColouredRenderedStringParser.h
src/components/ogre/gui/RenderedColourStringTextComponent.cpp
src/components/ogre/gui/RenderedColourStringTextComponent.h

commit f148abb
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-26

    Adjust camera to terrain.
    
    This feature was lost when the camera system was redesigned a while ago.

src/components/ogre/camera/ThirdPersonCameraMount.cpp
src/components/ogre/camera/ThirdPersonCameraMount.h

commit 7f634af
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-24

    Clean up dialogs when done.

src/components/ogre/widgets/IngameMerchantWidget.lua

commit 61bbea2
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-24

    Clean up windows when exiting the world.

src/components/ogre/widgets/IngameMerchantWidget.lua

commit 3ed0e8c
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-24

    Properly clean up the ray queries.

src/components/ogre/camera/MainCamera.cpp
src/components/ogre/camera/MainCamera.h
src/components/ogre/camera/ThirdPersonCameraMount.cpp
src/components/ogre/camera/ThirdPersonCameraMount.h

commit bbb769c
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-24

    Added Martin Preisler as author.

AUTHORS

commit b9b7870
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-19

    Fixed docstring for the templated AdapterBase class

src/components/ogre/widgets/adapters/AdapterBase.h

commit 5010e4a
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-19

    Commented Settings.lua a bit more

src/components/ogre/widgets/Settings.lua

commit 1d826d0
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-18

    Add merchant dialog comments to places I felt weren't self explanatory

src/components/ogre/widgets/IngameMerchantWidget.lua

commit 4c2c48f
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-16

    Exposed input/adjusttoterrain in the settings window

src/components/ogre/widgets/Settings.lua

commit 80d020a
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-15

    Spawn the settings window in the centre by default
    
    This should somewhat improve the usability :-)

src/components/ogre/widgets/Settings.layout

commit e7ac71d
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-12

    Add 2 more developer values to settings

src/components/ogre/widgets/Settings.lua

commit b0ead33
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-11

    Add console "sticking" when the scrollbar isn't at the end

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/ogre/widgets/Console.lua

commit a78a3ea
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-11

    Quick help for the merchant window

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h
src/components/ogre/widgets/IngameMerchantWidget.lua

commit f83b44e
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-11

    Remove value "fresnel water" from exposed settings

src/components/ogre/widgets/Settings.lua

commit 9311d5b
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-10

    Quick help messages for both ingame chat modes

src/components/ogre/widgets/IngameChatWidget.cpp

commit 499a54c
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-10

    Added more settings values (ingame chat values and developer tab)

src/components/ogre/widgets/Settings.lua

commit 9011218
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-09

    Escape out the entity's name and message
    
    This gets rid of potential [ and replaces them with \[ to prevent CEGUI
    from using them as formatting special characters.

src/components/ogre/widgets/IngameChatWidget.cpp

commit a72ac3d
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-09

    Use "You" and entity name as message prefix in detached chat window
    
    After trying out many symbols I didn't find anything intuitive, so
    I will stick with this for now until I have a better idea.

src/components/ogre/widgets/IngameChatWidget.cpp

commit 8ae16df
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-08

    When entity drops out of chat history, we purge it from the tables
    
    This is done to prevent endless memory bloating that could be dangerous
    if you stay on the server very long (depending on the chat message
    traffic of course)

src/components/ogre/widgets/Console.lua

commit 55d6efa
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-04

    Made shadows texturesize and terrain preferredtechnique suggestion only

src/components/ogre/widgets/Settings.lua

commit c54595f
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-04

    Added varconf options from the general section

src/components/ogre/widgets/Settings.lua

commit d424614
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-04

    Add options from "metaserver" varconf section
    
    Also fixed Editbox representation and its layout

src/components/ogre/widgets/Settings.lua
src/components/ogre/widgets/representations/EditboxRepresentation.layout
src/components/ogre/widgets/representations/bindings/lua/EditboxRepresentation.pkg

commit 43e226d
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-04

    We have to call the representation changed notification after sync

src/components/ogre/widgets/Settings.lua

commit 5171e5e
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-04

    Initial implementation of reacting to external varconf changes

src/components/ogre/widgets/Settings.lua

commit 3f6066b
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-03

    Use tooltip instead for the help string
    
    This saves a lot of space and allows the settings window to be narrower.

src/components/ogre/widgets/Settings.layout
src/components/ogre/widgets/Settings.lua

commit e8d3d0e
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-03

    Removed useless tooltips from representation layouts

src/components/ogre/widgets/representations/ComboboxRepresentation.layout
src/components/ogre/widgets/representations/EditboxRepresentation.layout
src/components/ogre/widgets/representations/SliderRepresentation.layout

commit 27cb447
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-03

    Removed double buffered, tweaked the rest according to comments

src/components/ogre/widgets/Settings.lua

commit ab4c488
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-02

    Added double buffered, agressive focus region, terrain tech, fps cap
    
    Also removed the requiresRestart option from graphics level since that
    is already taken care of internally and you can change level ingame

src/components/ogre/widgets/Settings.lua

commit d35c890
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-01

    Added API to change edited value to representation
    
    Stub code for reseting settings to default

src/components/ogre/widgets/Settings.lua
src/components/ogre/widgets/representations/RepresentationBase.h
src/components/ogre/widgets/representations/SingleAdapterRepresentationBase.h
src/components/ogre/widgets/representations/bindings/lua/CheckboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/ComboboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/EditboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/RepresentationBase.pkg
src/components/ogre/widgets/representations/bindings/lua/SingleAdapterRepresentationBase.pkg
src/components/ogre/widgets/representations/bindings/lua/SliderRepresentation.pkg

commit a9b4fc3
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-01

    Removed the callback functionality
    
    This is already provided by the config server + varconf

src/components/ogre/widgets/Settings.lua

commit f441fe8
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-01

    Toggle icon for settings (using "walk" for now)
    
    Will change the icon to a proper one once it gets to the imageset.

src/components/ogre/widgets/MainIconBar.lua
src/components/ogre/widgets/Settings.lua

commit 12fca98
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-08-01

    Fixed a strange bug with nil data being passed
    
    Added means to make onChangedCallbacks for all declarated settings values

src/components/ogre/widgets/Settings.lua

commit 3de0605
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-29

    Expose missing resetToOrignal representation method to Lua

src/components/ogre/widgets/representations/bindings/lua/CheckboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/ComboboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/EditboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/SliderRepresentation.pkg

commit f195ab6
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-29

    Simplified the function bind code, avoid using loadstring
    
    Thanks to Erik for his insight about this! I haven't realized the
    iterated "data" variable isn't available in the closure.

src/components/ogre/widgets/Settings.lua

commit 07f4309
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-29

    Suggestion only option for combobox representation

src/components/ogre/widgets/Settings.lua
src/components/ogre/widgets/representations/ComboboxRepresentation.h
src/components/ogre/widgets/representations/bindings/lua/ComboboxRepresentation.pkg

commit 5ca0ae0
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-28

    Comment fix

src/components/ogre/widgets/Settings.lua

commit 37305e1
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-28

    Slider representation now optionally shows the value

src/components/ogre/widgets/representations/SliderRepresentation.h
src/components/ogre/widgets/representations/SliderRepresentation.layout
src/components/ogre/widgets/representations/bindings/lua/SliderRepresentation.pkg

commit b4cdcf1
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-28

    Changed the ComboboxAdapter event to EventListSelectionAccepted
    
    This is most probably a CEGUI bug, EventTextChanged is not fired when it
    should. I will investigate this later.
    
    This exhibits exactly the behaviour I want except when user types into
    the combobox. For read-only comboboxes this works OK.

src/components/ogre/widgets/adapters/ComboboxAdapter.h

commit b80548d
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-28

    Use representation:hasChanges instead of direct comparison
    
    This seems to have solved the issue with Combobox always acting as
    if it was edited.

src/components/ogre/widgets/Settings.lua

commit 1e55557
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-27

    API changes to adapters and representations to be able to apply changes
    
    This effectively alters the original value and avoids the need to
    reconstruct adapters from scratch when things are applied which
    keeps the API simpler (IMO).

src/components/ogre/widgets/Settings.lua
src/components/ogre/widgets/adapters/AdapterBase.h
src/components/ogre/widgets/representations/RepresentationBase.h
src/components/ogre/widgets/representations/SingleAdapterRepresentationBase.h
src/components/ogre/widgets/representations/bindings/lua/CheckboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/ComboboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/EditboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/SliderRepresentation.pkg

commit 08e5234
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-27

    Workaround the enum tolua++ issue by using int
    
    This commit also applies settings with USER scope when Apply is pressed

src/components/ogre/widgets/Settings.lua
src/services/bindings/lua/ConfigService.pkg
src/services/config/ConfigService.cpp
src/services/config/ConfigService.h

commit 8328014
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-27

    Added a DialogWindow looknfeel and made the two settings dialogs use it

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/cegui/datafiles/schemes/EmberLookSkin.scheme
src/components/ogre/widgets/Settings.lua
src/components/ogre/widgets/SettingsRestartDialog.layout
src/components/ogre/widgets/SettingsUnappliedChangesDialog.layout

commit dc6eb20
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-27

    Removed unused code from SingleAdapterRepresentationBase

src/components/ogre/widgets/representations/SingleAdapterRepresentationBase.h

commit 11812d2
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-26

    The initial test of visual notification of changes
    
    Right now I append asterisk to the label, this can be changed
    to any other visual notification in the future.
    
    The comboboxes are still not emitting the signal :-( Have to
    investigate this today.

src/components/ogre/widgets/Settings.lua
src/components/ogre/widgets/representations/bindings/lua/CheckboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/ComboboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/EditboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/SliderRepresentation.pkg

commit 4300436
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-26

    Only enable the Apply button when we have changes

src/components/ogre/widgets/Settings.layout
src/components/ogre/widgets/Settings.lua

commit 28ea428
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-25

    Added value changed hooks
    
    EventValueChanged doesn't seem to be emitted when needed though,
    I have spent the entire evening trying to find the reason for this :(

src/components/ogre/widgets/Settings.lua

commit 8f18ab6
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-25

    Connect to EventValueChanged of each representation
    
    Had to add the signature to all pkgs again, tolua++ for some reason
    doesn't add these to inherited classes :-(

src/components/ogre/widgets/Settings.lua
src/components/ogre/widgets/representations/bindings/lua/CheckboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/ComboboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/EditboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/SliderRepresentation.pkg

commit a03acfb
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-25

    Expose the adapters EventValueChanged signal in representation

src/components/ogre/widgets/representations/RepresentationBase.h
src/components/ogre/widgets/representations/SingleAdapterRepresentationBase.h
src/components/ogre/widgets/representations/bindings/lua/RepresentationBase.pkg

commit c733829
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-25

    Added a discard all values method
    
    The dialog buttons do what they should do now

src/components/ogre/widgets/Settings.lua

commit 5ab1f25
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-25

    Unsaved changes confirmation dialog now hides the settings window

src/components/ogre/widgets/Settings.lua

commit 4309652
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-25

    Hide the close button in both settings dialogs

src/components/ogre/widgets/SettingsRestartDialog.layout
src/components/ogre/widgets/SettingsUnappliedChangesDialog.layout

commit 6102f5f
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-25

    All the subscriber handlers should return bool!

src/components/ogre/widgets/Settings.lua

commit efc8768
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-25

    Decided to go with confirmation dialog for the whole settings
    
    Having this per tab is more suitable for a desktop application
    with a lot of settings but not for Ember IMO.

src/components/ogre/widgets/SettingsUnappliedChangesDialog.layout

commit aee7716
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-24

    Added unapplied changes dialog to settings (not used yet)

src/components/ogre/widgets/Settings.lua
src/components/ogre/widgets/SettingsUnappliedChangesDialog.layout

commit 8a42b2a
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-22

    Renamed the variable holding the dialog instance to avoid clashes

src/components/ogre/widgets/Settings.lua

commit 307deb4
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-22

    Added a dialog notifying the user about required restart

src/components/ogre/widgets/Settings.lua
src/components/ogre/widgets/SettingsRestartDialog.layout

commit a9d4474
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-22

    applyAllValues returns whether something needs to restart Ember

src/components/ogre/widgets/Settings.lua

commit faf9c28
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-22

    Add a requiresRestart attribute to settings declarations

src/components/ogre/widgets/Settings.lua

commit e67c8d7
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-20

    Write user config out before exiting

src/main/Application.cpp

commit 397db7d
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-20

    Added scope and scope mask to ConfigService
    
    Please note that the lua setValue call will fail at the moment for reasons
    that are unknown to me for now.

src/components/ogre/widgets/Settings.lua
src/framework/bindings/lua/varconf/variable.pkg
src/services/bindings/lua/ConfigService.pkg
src/services/config/ConfigService.cpp
src/services/config/ConfigService.h

commit 636d152
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-20

    Add scope parameter when setting value via the ConfigService

src/services/bindings/lua/ConfigService.pkg

commit 0d72a16
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-19

    Added means to access variable's scope from within Lua scripts

src/framework/bindings/lua/varconf/variable.pkg

commit 8adce90
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-19

    Apply the config changes when asked

src/components/ogre/widgets/Settings.lua
src/components/ogre/widgets/representations/bindings/lua/CheckboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/ComboboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/EditboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/SliderRepresentation.pkg

commit beb2f19
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-19

    API change to use factories instead of representation instances
    
    This will allow to recreate the representation at will and will
    prevent violating the dry principle when we need the set the value
    upon pressing OK/Apply.

src/components/ogre/widgets/Settings.lua

commit 6a2b68e
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-19

    Cancel button (hmm that was quick ;-))

src/components/ogre/widgets/Settings.lua

commit 9536efc
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-18

    Added support for description boxes on top of each tab
    
    Also moved Graphics before Audio since that's what most people
    will be looking for I think.

src/components/ogre/widgets/Settings.lua

commit cd4de39
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-18

    Layout size tweaks for the settings tabs + word wrapped help string

src/components/ogre/widgets/Settings.lua

commit 7698775
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-18

    Added more options
    
    Also added a max value option for slider representation.
    
    The slider representation is not ideal yet because it doesn't show
    the explicit value next to it.

src/components/ogre/widgets/Settings.lua
src/components/ogre/widgets/adapters/ValueTypeHelper.h
src/components/ogre/widgets/representations/SliderRepresentation.h
src/components/ogre/widgets/representations/SliderRepresentation.layout
src/components/ogre/widgets/representations/bindings/lua/ComboboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/SliderRepresentation.pkg

commit d2cb712
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-18

    Converted everything to self-documenting syntax
    
    This also means that the top categories can be now reordered.

src/components/ogre/widgets/Settings.lua

commit 3a6d484
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-18

    Support for suggestions

src/components/ogre/widgets/Settings.lua
src/components/ogre/widgets/representations/bindings/lua/ComboboxRepresentation.pkg

commit de3ad78
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-18

    Added more varconf variables and changed the syntax a bit
    
    This allows ordering of the representations inside a tab

src/components/ogre/widgets/Settings.lua

commit 6bffd56
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-18

    Fix representation layout paths and add audio/output to settings

src/components/ogre/widgets/Settings.lua
src/components/ogre/widgets/representations/ComboboxRepresentation.h
src/components/ogre/widgets/representations/EditboxRepresentation.h
src/components/ogre/widgets/representations/SliderRepresentation.h
src/components/ogre/widgets/representations/bindings/lua/ComboboxRepresentation.pkg

commit 7e117dc
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-18

    Scrollable pane inside the tab to so it shows as many options as needed

src/components/ogre/widgets/Settings.lua

commit f7dca47
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-18

    Show help string next to the representation
    
    Also layouted the label, representation and help string to take the whole space.

src/components/ogre/widgets/Settings.lua

commit 0e7b9a1
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-15

    Preliminary help string support

src/components/ogre/widgets/Settings.lua
src/components/ogre/widgets/representations/CheckboxRepresentation.layout

commit 791742c
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-15

    Added "audio"/"enabled" to the settings window
    
    The buttons don't work yet and it looks rather bad but I am working on that ;-)

src/components/ogre/widgets/Settings.lua
src/components/ogre/widgets/adapters/ValueTypeHelper.h
src/components/ogre/widgets/representations/CheckboxRepresentation.h
src/components/ogre/widgets/representations/CheckboxRepresentation.layout
src/components/ogre/widgets/representations/bindings/lua/CheckboxRepresentation.pkg

commit c8011fe
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-15

    Load the generic adapters and representation bindings

src/main/Application.cpp
src/main/Makefile.am

commit a59a82c
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-15

    Change the representation API to work with copied data, not reference

src/components/ogre/widgets/representations/CheckboxRepresentation.h
src/components/ogre/widgets/representations/ComboboxRepresentation.h
src/components/ogre/widgets/representations/EditboxRepresentation.h
src/components/ogre/widgets/representations/RepresentationBase.h
src/components/ogre/widgets/representations/SingleAdapterRepresentationBase.h
src/components/ogre/widgets/representations/SliderRepresentation.h
src/components/ogre/widgets/representations/bindings/lua/CheckboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/ComboboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/EditboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/RepresentationBase.pkg
src/components/ogre/widgets/representations/bindings/lua/SingleAdapterRepresentationBase.pkg
src/components/ogre/widgets/representations/bindings/lua/SliderRepresentation.pkg

commit 29d98a0
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-15

    Added OK, Apply and Cancel buttons

src/components/ogre/widgets/Settings.layout

commit b2bbc8d
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-15

    Tabs for categories in the settings

src/components/ogre/widgets/Settings.layout
src/components/ogre/widgets/Settings.lua

commit ddb72a3
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-14

    Settings.lua and Settings.layout initial stub code
    
    I load and display the Settings widget after Ember starts, this is
    done for development purposes (you can close it by clicking the close
    button of the window).

src/components/ogre/widgets/Bootstrap.lua
src/components/ogre/widgets/Settings.layout
src/components/ogre/widgets/Settings.lua

commit 70969a4
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-14

    Trimmed the headers of pkg files
    
    They were full of copy&paste fails anyways ;-)

src/components/ogre/widgets/adapters/bindings/lua/AdapterBase.pkg
src/components/ogre/widgets/adapters/bindings/lua/ComboboxAdapter.pkg
src/components/ogre/widgets/adapters/bindings/lua/GenericPropertyAdapter.pkg
src/components/ogre/widgets/representations/bindings/lua/CheckboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/ComboboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/EditboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/LayoutHelper.pkg
src/components/ogre/widgets/representations/bindings/lua/RepresentationBase.pkg
src/components/ogre/widgets/representations/bindings/lua/SingleAdapterRepresentationBase.pkg
src/components/ogre/widgets/representations/bindings/lua/SliderRepresentation.pkg

commit 338e7c8
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-14

    Added renames for representations

src/components/ogre/widgets/representations/bindings/lua/CheckboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/ComboboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/EditboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/SliderRepresentation.pkg

commit 1eca002
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-14

    Added ^ in front of the rename matching strings to avoid unwanted renames
    
    Explicit is better than implicit.

src/components/ogre/widgets/adapters/bindings/lua/AdapterBase.pkg
src/components/ogre/widgets/adapters/bindings/lua/ComboboxAdapter.pkg
src/components/ogre/widgets/adapters/bindings/lua/GenericPropertyAdapter.pkg
src/components/ogre/widgets/representations/bindings/lua/RepresentationBase.pkg
src/components/ogre/widgets/representations/bindings/lua/SingleAdapterRepresentationBase.pkg

commit 6fd336f
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-14

    Fixed the SingleAdapterRepresentationBase tolua++ code

src/components/ogre/widgets/representations/bindings/lua/SingleAdapterRepresentationBase.pkg

commit 7cbf13e
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-14

    Updated bindings for RepresentationBase
    
    Also added a rename to make it easier to use.

src/components/ogre/widgets/representations/bindings/lua/RepresentationBase.pkg

commit 5831095
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-14

    Extended API of representation
    
    This change should make it easy to use it in a settings form.

src/components/ogre/widgets/representations/RepresentationBase.h
src/components/ogre/widgets/representations/SingleAdapterRepresentationBase.h

commit ae6a008
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-14

    Remaining renames for the combobox adapter

src/components/ogre/widgets/adapters/bindings/lua/ComboboxAdapter.pkg

commit a9a549b
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-14

    Renames for adapters to make them easier to use in Lua

src/components/ogre/widgets/adapters/bindings/lua/AdapterBase.pkg
src/components/ogre/widgets/adapters/bindings/lua/GenericPropertyAdapter.pkg

commit f8e55ec
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-14

    Added 2 more specialisations of ComboboxAdapter
    
    Plus a macro to make creating more of them easier.

src/components/ogre/widgets/adapters/ValueTypeHelper.h
src/components/ogre/widgets/adapters/bindings/lua/ComboboxAdapter.pkg
src/components/ogre/widgets/adapters/bindings/lua/LuaAdapters.h

commit 6cad454
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-14

    Get rid of an unnecessary typedef
    
    This was a workaround for an issue that's no longer there :-)

src/components/ogre/widgets/adapters/bindings/lua/LuaAdapters.h

commit e74f524
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-14

    Incorporated Erik's workaround for the ComboboxAdapter

src/components/ogre/widgets/adapters/bindings/lua/ComboboxAdapter.pkg
src/components/ogre/widgets/adapters/bindings/lua/LuaAdapters.h
src/components/ogre/widgets/adapters/bindings/lua/Makefile.am

commit 0f5b6c9
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-12

    Initial representation bindings
    
    I have to figure out how to nicely expose the abstract base
    classes, I don't want to copy paste their methods to all
    inherited classes.

configure.ac
src/components/ogre/widgets/Makefile.am
src/components/ogre/widgets/adapters/ValueTypeHelper.h
src/components/ogre/widgets/representations/CheckboxRepresentation.h
src/components/ogre/widgets/representations/ComboboxRepresentation.h
src/components/ogre/widgets/representations/EditboxRepresentation.h
src/components/ogre/widgets/representations/Makefile.am
src/components/ogre/widgets/representations/RepresentationBase.h
src/components/ogre/widgets/representations/SingleAdapterRepresentationBase.h
src/components/ogre/widgets/representations/SliderRepresentation.h
src/components/ogre/widgets/representations/bindings/Makefile.am
src/components/ogre/widgets/representations/bindings/lua/CheckboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/ComboboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/EditboxRepresentation.pkg
src/components/ogre/widgets/representations/bindings/lua/LayoutHelper.pkg
src/components/ogre/widgets/representations/bindings/lua/Makefile.am
src/components/ogre/widgets/representations/bindings/lua/RepresentationBase.pkg
src/components/ogre/widgets/representations/bindings/lua/Representations.pkg
src/components/ogre/widgets/representations/bindings/lua/SingleAdapterRepresentationBase.pkg
src/components/ogre/widgets/representations/bindings/lua/SliderRepresentation.pkg

commit 5d08a43
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-11

    Add the pkg files to TOLUA_PKGS to prevent build problems

src/components/ogre/widgets/adapters/bindings/lua/Makefile.am

commit f0eb223
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-11

    Commented ComboboxAdapter for now, tolua++ generates invalid code for it

src/components/ogre/widgets/adapters/bindings/lua/ComboboxAdapter.pkg

commit e81fbb7
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-11

    Don't include <string> in the tolua++ pkg files

src/components/ogre/widgets/adapters/bindings/lua/ComboboxAdapter.pkg
src/components/ogre/widgets/adapters/bindings/lua/GenericPropertyAdapter.pkg

commit f732ad1
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-11

    Combobox should allow generic property native type

src/components/ogre/widgets/adapters/ComboboxAdapter.h
src/components/ogre/widgets/adapters/bindings/lua/ComboboxAdapter.pkg

commit 9c85af3
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-11

    Initial bindings of the generic adapters for Lua
    
    Way more work than I first expected but it I guess that
    isn't all that surprising, lots of new concepts :-)
    
    I have some problem with ComboboxAdapter.pkg that I have
    yet to fix.

configure.ac
src/components/ogre/widgets/adapters/ComboboxAdapter.h
src/components/ogre/widgets/adapters/GenericPropertyAdapter.h
src/components/ogre/widgets/adapters/Makefile.am
src/components/ogre/widgets/adapters/bindings/Makefile.am
src/components/ogre/widgets/adapters/bindings/lua/AdapterBase.pkg
src/components/ogre/widgets/adapters/bindings/lua/Adapters.pkg
src/components/ogre/widgets/adapters/bindings/lua/ComboboxAdapter.pkg
src/components/ogre/widgets/adapters/bindings/lua/GenericPropertyAdapter.pkg
src/components/ogre/widgets/adapters/bindings/lua/Makefile.am

commit 1832fa6
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-07

    Separated decl form impl in SliderRepresentation

src/components/ogre/widgets/representations/SliderRepresentation.h

commit d697617
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-07

    Separated decl from impl in SingleAdapterRepresentationBase

src/components/ogre/widgets/representations/SingleAdapterRepresentationBase.h

commit 74766f6
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-07

    Separated decl from impl in RepresentationBase

src/components/ogre/widgets/representations/RepresentationBase.h

commit beb8a25
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-07

    Separated decl from impl for EditboxRepresentation

src/components/ogre/widgets/representations/EditboxRepresentation.h

commit 2da56ad
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-07

    Separated ComboboxRepresentation impl from decl

src/components/ogre/widgets/representations/ComboboxRepresentation.h

commit dc3af20
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-07

    Separated CheckboxRepresentation decl from impl

src/components/ogre/widgets/representations/CheckboxRepresentation.h

commit 5ec9a17
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-07

    Separated GenericPropertyAdapter impl from decl

src/components/ogre/widgets/adapters/GenericPropertyAdapter.h

commit 685f79a
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-07

    Moved combobox adapter impl from decl

src/components/ogre/widgets/adapters/ComboboxAdapter.h

commit 23d322b
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-07

    Separated AdapterBase impl from decl

src/components/ogre/widgets/adapters/AdapterBase.h

commit 2c5e36a
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-07

    Fix a #include that wouldn't work on windows
    
    The CEGUI/CEGUI* variant

src/components/ogre/widgets/representations/EditboxRepresentation.h

commit 8bc87f6
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-07

    Added a slider representation

src/components/ogre/widgets/representations/SliderRepresentation.h
src/components/ogre/widgets/representations/SliderRepresentation.layout

commit b31f065
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-07

    Added CheckboxRepresentation
    
    Also a fix preventing the previous commit to compile (StringAdapter)

src/components/ogre/widgets/adapters/ValueTypeHelper.h
src/components/ogre/widgets/adapters/atlas/StringAdapter.h
src/components/ogre/widgets/representations/CheckboxRepresentation.h
src/components/ogre/widgets/representations/CheckboxRepresentation.layout
src/components/ogre/widgets/representations/EditboxRepresentation.h

commit 5200dca
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-07

    Added editbox representation and allowed custom property types
    
    I still have to add some sort of facilities to validate the strings
    in editboxes/comboboxes (if we want integer property type for example)

src/components/ogre/widgets/adapters/ComboboxAdapter.h
src/components/ogre/widgets/representations/ComboboxRepresentation.h
src/components/ogre/widgets/representations/ComboboxRepresentation.layout
src/components/ogre/widgets/representations/EditboxRepresentation.h
src/components/ogre/widgets/representations/EditboxRepresentation.layout

commit c2d9389
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-07

    Removed superfluous copydoc

src/components/ogre/widgets/representations/ComboboxRepresentation.h

commit df687ac
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-06

    Removed StringPropertyAdapter in favor of GenericPropertyAdapter

src/components/ogre/widgets/adapters/ComboboxAdapter.h
src/components/ogre/widgets/adapters/StringPropertyAdapter.h

commit 3196a06
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-06

    Generalized StringPropertyAdapter even further
    
    The new GenericPropertyAdapter should handle almost all cases,
    except lists, maps and other complex structures.
    
    I will phase StringPropertyAdapter out later.

src/components/ogre/widgets/adapters/GenericPropertyAdapter.h
src/components/ogre/widgets/adapters/StringPropertyAdapter.h

commit 86dd9c6
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-06

    ValueTypeHelper partial specialisation to speed up noop conversions

src/components/ogre/widgets/adapters/ValueTypeHelper.h

commit 29d0782
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-06

    Documentation fix

src/components/ogre/widgets/adapters/AdapterBase.h

commit 3761a0a
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-06

    Move hasChanges to AdapterBase, use operator== for it

src/components/ogre/widgets/adapters/AdapterBase.h
src/components/ogre/widgets/adapters/StringPropertyAdapter.h

commit 529df40
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-06

    Fixed the layout prefix and ComboboxRepresentation to use the right window

src/components/ogre/widgets/representations/ComboboxRepresentation.h
src/components/ogre/widgets/representations/LayoutHelper.cpp

commit 4bb9ab9
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-06

    Changed ValueTypeHelper template to avoid potential duplication

src/components/ogre/widgets/adapters/StringPropertyAdapter.h
src/components/ogre/widgets/adapters/ValueTypeHelper.h
src/components/ogre/widgets/adapters/atlas/OrientationAdapter.cpp
src/components/ogre/widgets/adapters/atlas/Position2DAdapter.cpp
src/components/ogre/widgets/adapters/atlas/PositionAdapter.cpp
src/components/ogre/widgets/adapters/atlas/SizeAdapter.cpp

commit 88636b7
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-06

    Removed the toString(float) helper in favor of ValueTypeHelper

src/components/ogre/widgets/adapters/atlas/AdapterBase.h
src/components/ogre/widgets/adapters/atlas/OrientationAdapter.cpp
src/components/ogre/widgets/adapters/atlas/Position2DAdapter.cpp
src/components/ogre/widgets/adapters/atlas/PositionAdapter.cpp
src/components/ogre/widgets/adapters/atlas/SizeAdapter.cpp

commit 2cfd6ed
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-06

    Added a pure virtual getGuiRoot implementation to cbox representation

src/components/ogre/widgets/representations/ComboboxRepresentation.h

commit f86b3b8
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-06

    Remove the transition SelfUpdateContext typedef

src/components/ogre/widgets/adapters/atlas/AdapterBase.h
src/components/ogre/widgets/adapters/atlas/NumberAdapter.cpp
src/components/ogre/widgets/adapters/atlas/OrientationAdapter.cpp
src/components/ogre/widgets/adapters/atlas/Position2DAdapter.cpp
src/components/ogre/widgets/adapters/atlas/PositionAdapter.cpp
src/components/ogre/widgets/adapters/atlas/SizeAdapter.cpp
src/components/ogre/widgets/adapters/atlas/StaticAdapter.cpp

commit 01062c5
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-05

    ComboboxRepresentation to use the LayoutHelper

src/components/ogre/widgets/representations/ComboboxRepresentation.h

commit 6556cda
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-05

    LayoutHelper to aid in loading representations' layouts
    
    (mostly for handling prefixes automatically)
    I was not sure where to put this, it's location is not firmly set, first I
    thought it has to go into RepresentationBase or some other non-templated base
    class of it. However not all representations have to load layouts per-se, so
    I kept it separate for now.

src/components/ogre/Makefile.am
src/components/ogre/widgets/representations/LayoutHelper.cpp
src/components/ogre/widgets/representations/LayoutHelper.h

commit 22f6dff
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-05

    Moved representations to their own namespace
    
    Also fixed a missing closing bracket issue.

src/components/ogre/widgets/representations/ComboboxRepresentation.h
src/components/ogre/widgets/representations/RepresentationBase.h

commit ee370b2
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-05

    Initial combobox implementation + SingleAdapterRepresentation changes
    
    Forcing to pass the widget in the construction is too limiting I think,
    so I removed that and added a setAdapter method that can be called
    anywhere in the constructor.

src/components/ogre/widgets/representations/ComboboxRepresentation.h
src/components/ogre/widgets/representations/SingleAdapterRepresentationBase.h

commit b111c6a
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-05

    Initial version of the SingleAdapterRepresentationBase class
    
    This is what ComboboxRepresentation will inherit

src/components/ogre/widgets/representations/RepresentationBase.h
src/components/ogre/widgets/representations/SingleAdapterRepresentationBase.h

commit 957abac
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-05

    Each representation takes care of exactly one value
    
    But can do so with more than one adapters!

src/components/ogre/widgets/representations/RepresentationBase.h

commit 6d90c38
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-05

    Generic StringPropertyAdapter, also made ComboboxAdapter based on it
    
    ComboboxAdapter replaced the old StringTextAdapter

src/components/ogre/widgets/adapters/ComboboxAdapter.h
src/components/ogre/widgets/adapters/StringPropertyAdapter.h
src/components/ogre/widgets/adapters/StringTextAdapter.h
src/components/ogre/widgets/adapters/atlas/StringAdapter.h

commit d8c8047
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-04

    Layout for combobox representation

src/components/ogre/widgets/adapters/StringAdapter.layout
src/components/ogre/widgets/representations/ComboboxRepresentation.layout

commit 0f461aa
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-04

    Moved representations to their own folder

src/components/ogre/widgets/adapters/RepresentationBase.h
src/components/ogre/widgets/representations/RepresentationBase.h

commit 9764f45
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-04

    Replaced StringAdapter with the templated StringTextAdapter
    
    Plus many trivial changes to get all the code to compile. All of this
    is to be considered work in progress, I am introducing many superfluous
    header includes that I will get rid of when I redo AdapterFactory.

src/components/ogre/Makefile.am
src/components/ogre/widgets/adapters/StringTextAdapter.h
src/components/ogre/widgets/adapters/ValueTypeHelper.h
src/components/ogre/widgets/adapters/atlas/AdapterFactory.h
src/components/ogre/widgets/adapters/atlas/StringAdapter.cpp
src/components/ogre/widgets/adapters/atlas/StringAdapter.h

commit f4cdd6d
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-04

    Moved SelfUpdateContext inside AdapterBase

src/components/ogre/widgets/adapters/AdapterBase.h
src/components/ogre/widgets/adapters/atlas/AdapterBase.h

commit 79656c1
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-04

    Forgotten include in StringTextAdapter

src/components/ogre/widgets/adapters/StringTextAdapter.h

commit c9314b9
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-04

    Suggestions support for StringTextAdapter

src/components/ogre/widgets/adapters/StringTextAdapter.h

commit 6ff0b8a
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-04

    Initial RepresentationBase code and StringTextAdapter

src/components/ogre/widgets/adapters/AdapterBase.h
src/components/ogre/widgets/adapters/RepresentationBase.h
src/components/ogre/widgets/adapters/StringAdapter.layout
src/components/ogre/widgets/adapters/StringTextAdapter.h
src/components/ogre/widgets/adapters/ValueTypeHelper.h

commit 4ea36b1
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-01

    Renamed the TargetType template parameter to ValueType for clarity

src/components/ogre/widgets/adapters/AdapterBase.h

commit 9bc03c8
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-01

    Renamed mOriginalElement to ..Value and mEditedElement to ..Value

src/components/ogre/widgets/adapters/AdapterBase.h
src/components/ogre/widgets/adapters/atlas/AreaAdapter.cpp
src/components/ogre/widgets/adapters/atlas/NumberAdapter.cpp
src/components/ogre/widgets/adapters/atlas/OrientationAdapter.cpp
src/components/ogre/widgets/adapters/atlas/PolygonAdapter.cpp
src/components/ogre/widgets/adapters/atlas/Position2DAdapter.cpp
src/components/ogre/widgets/adapters/atlas/PositionAdapter.cpp
src/components/ogre/widgets/adapters/atlas/SizeAdapter.cpp
src/components/ogre/widgets/adapters/atlas/StaticAdapter.cpp
src/components/ogre/widgets/adapters/atlas/StringAdapter.cpp
src/components/ogre/widgets/adapters/atlas/TerrainModAdapter.cpp

commit a1af7a7
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-07-01

    The initial phase of refactoring AdapterBase to be reusable
    
    In this commit the AdapterBase is templated but does exactly the same
    as the "old" Atlas::AdapterBase
    
    The plan is to use it for Atlas::Message::Variable and
    varconf::Variable.

src/components/ogre/Makefile.am
src/components/ogre/authoring/GUIAdapter.cpp
src/components/ogre/widgets/EntityEditor.h
src/components/ogre/widgets/adapters/AdapterBase.h
src/components/ogre/widgets/adapters/Makefile.am
src/components/ogre/widgets/adapters/atlas/AdapterBase.cpp
src/components/ogre/widgets/adapters/atlas/AdapterBase.h
src/components/ogre/widgets/adapters/atlas/AdapterFactory.h

commit 1126301
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-29

    Set quantity to quantity available, do not overwrite the price!

src/components/ogre/widgets/IngameMerchantWidget.lua

commit a66a4a7
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-29

    Disconnect from entity when we are closing the merchant window
    
    This was what was causing the mem corruption (hopefully!)
    I assumed I was already calling this but apparently I was not.

src/components/ogre/widgets/IngameMerchantWidget.lua

commit 282efb8
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-29

    Handle items that are already shown in the MCL
    
    Previously they were repeatedly added

src/components/ogre/widgets/IngameMerchantWidget.lua

commit b26727a
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-29

    Added method comments

src/components/ogre/widgets/IngameMerchantWidget.lua

commit 83df650
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-29

    Renamed avatar variable to avatarEntity for more clarity

src/components/ogre/widgets/IngameMerchantWidget.lua

commit 64bdb88
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-29

    Informs the player that he/she doesn't have enough coins
    
    Also removed debug lines

src/components/ogre/widgets/IngameMerchantWidget.lua

commit de73ca9
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-29

    Give coins when trading
    
    Now you can really buy stuff without typing - cool!
    Still have some checking and error handling to do though.

src/components/ogre/widgets/IngameMerchantWidget.lua

commit 114b06f
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-24

    Implemented cancel button functionality in the confirmation dialog

src/components/ogre/widgets/IngameMerchantTradeConfirmationDialog.layout
src/components/ogre/widgets/IngameMerchantWidget.lua

commit b0a9b36
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-24

    Fixed ownership/GC issues in merchant dialog

src/components/ogre/widgets/IngameMerchantWidget.lua

commit d94a9fe
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-24

    Pop a confirmation dialog when double clicking to buy goods
    
    The dialog doesn't do anything yet

src/components/ogre/widgets/IngameMerchantTradeConfirmationDialog.layout
src/components/ogre/widgets/IngameMerchantWidget.lua

commit d27becb
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-24

    Fix trade window name clashes

src/components/ogre/widgets/IngameMerchantWidget.lua

commit 2650b04
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-24

    Double clicking the goods requests them from the merchant

src/components/ogre/widgets/IngameMerchantWidget.layout
src/components/ogre/widgets/IngameMerchantWidget.lua

commit a2e5c4b
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-23

    Items for sale now appear in a list

src/components/ogre/widgets/IngameMerchantWidget.layout
src/components/ogre/widgets/IngameMerchantWidget.lua

commit 9157f90
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-23

    Reference the event handler directly, not via string

src/components/ogre/widgets/IngameMerchantWidget.lua

commit 6148cd1
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-23

    Added parsing of the item, price response message

src/components/ogre/widgets/IngameMerchantWidget.lua

commit 1df9ed4
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-23

    Exposed getAttr and hasAttr in Atlas::Objects::RootData

src/components/ogre/widgets/IngameMerchantWidget.lua
src/framework/bindings/lua/atlas/Objects/Root.pkg

commit 873c15b
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-23

    Ellipsis button for the attached response buttons

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h
src/components/ogre/widgets/IngameChatWidgetAttached.layout

commit c33d12d
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-22

    Fix issue with resizing the detached chat window
    
    The child buttons get sized accordingly now

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h

commit 6f628c2
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-22

    Also react to numpad enter

src/components/ogre/widgets/IngameChatWidget.cpp

commit 1ede744
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-22

    Query prices when the merchant dialog is opened
    
    Also switch to attached chat mode when trading dialog pops

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h
src/components/ogre/widgets/IngameMerchantWidget.lua

commit a9f12a0
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-22

    Renamed IngameTradeWidget to IngameMerchantWidget
    
    Altered the layout of it as well

src/components/ogre/widgets/Bootstrap.lua
src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameMerchantWidget.layout
src/components/ogre/widgets/IngameMerchantWidget.lua
src/components/ogre/widgets/IngameTradeWidget.layout
src/components/ogre/widgets/IngameTradeWidget.lua

commit 50411f2
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-22

    Switch inventory window to fade out/in on (de)activation
    
    This way it reacts to TAB/right mouse button as well.
    Also renamed the animations for clarity in this commit.

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel

commit 7c8a0b9
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-22

    Switch console window transitions to react to (de)activation
    
    This way they fade in/out when you press TAB/right button

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel

commit 55e64c4
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-21

    Add a label to the trading dialog

src/components/ogre/widgets/IngameTradeWidget.layout
src/components/ogre/widgets/IngameTradeWidget.lua

commit 9efe9bc
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-21

    Closing of the trade window via the close button

src/components/ogre/widgets/IngameTradeWidget.lua

commit 4d0b700
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-21

    Deleting the old C++ implementation of IngameTradeWidget
    
    No idea why this didn't make it to the last commit.

src/components/ogre/widgets/IngameTradeWidget.cpp

commit 45dffa9
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-21

    Migrated C++ IngameTradeWidget to Lua
    
    There are issues with it (you can't spawn multiple trade windows yet).
    Also, I hope I've done it at least semi-properly. I don't fancy Lua OOP :-P

src/components/ogre/GUIManager.cpp
src/components/ogre/Makefile.am
src/components/ogre/widgets/Bootstrap.lua
src/components/ogre/widgets/IngameTradeWidget.h
src/components/ogre/widgets/IngameTradeWidget.lua
src/components/ogre/widgets/WidgetDefinitions.cpp

commit 877118f
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-21

    Add trade widget stub code
    
    Trade window pops up when you press Trade in the detached chat window.

src/components/ogre/GUIManager.cpp
src/components/ogre/Makefile.am
src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h
src/components/ogre/widgets/IngameChatWidgetDetached.layout
src/components/ogre/widgets/IngameTradeWidget.cpp
src/components/ogre/widgets/IngameTradeWidget.h
src/components/ogre/widgets/IngameTradeWidget.layout
src/components/ogre/widgets/WidgetDefinitions.cpp

commit 91eace7
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-20

    The response buttons now always display beginning of the response
    
    They clip the text according to their width. There is no ellipsis
    displayed yet. The rest of the text can be seen via tooltip text.

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/ogre/widgets/IngameChatWidget.cpp

commit 1219986
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-20

    Do not post empty messages and handle arrow up and arrow down events

src/components/ogre/widgets/IngameChatWidget.cpp

commit 2250ec1
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-20

    Command history for detached chat window

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h

commit caf4943
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-20

    Use a vertical layout container for response buttons

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidgetAttached.layout
src/components/ogre/widgets/IngameChatWidgetDetached.layout

commit cb297f8
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-20

    Slide the chat history all the way down when new message gets there

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h

commit 5ed75c8
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-19

    Minor visual look improvements to the detached chat window
    
    Also deleting IngameChatWidget.layout that somehow creeped back
    into the last commit :-/

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/ogre/widgets/IngameChatWidget.layout
src/components/ogre/widgets/IngameChatWidgetDetached.layout

commit 7e0a78c
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-19

    Split the attached and detached chat layout files

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h
src/components/ogre/widgets/IngameChatWidgetAttached.layout
src/components/ogre/widgets/IngameChatWidgetDetached.layout

commit 77d8a16
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-19

    Minor cleanup and comments

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h

commit 87b3aca
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-17

    Added comments to IngameChatWidget Label and ChatText

src/components/ogre/widgets/IngameChatWidget.h

commit 051dd3d
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-17

    Make the elapsed fade timer start over when detaching

src/components/ogre/widgets/IngameChatWidget.cpp

commit b1548db
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-17

    Separate looknfeel for ingame chat detached window

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/cegui/datafiles/schemes/EmberLookSkin.scheme
src/components/ogre/widgets/IngameChatWidget.layout

commit 17f34e8
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-17

    Allow user to click on entities through attached window containers
    
    MousePassThroughEnabled related fix

src/components/ogre/widgets/IngameChatWidget.layout

commit 0153c03
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-17

    Editbox allows you to say something to the target entity
    
    The message isn't "targetted" yet!

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h
src/components/ogre/widgets/IngameChatWidget.layout

commit 3b32898
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-17

    Avoid clearing the history if user is viewing it

src/components/ogre/widgets/IngameChatWidget.cpp

commit cc9f780
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-17

    Add (missing) implementation of IngameChatWidget::ChatText::getActive

src/components/ogre/widgets/IngameChatWidget.cpp

commit b559f53
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-17

    Fade out the attached window only

src/components/ogre/widgets/IngameChatWidget.cpp

commit 272bf71
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-16

    Add player's responses to the history too (just suggested for now)

src/components/ogre/widgets/IngameChatWidget.cpp

commit 0079714
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-16

    Minor usability and look improvements

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.layout

commit a5442fa
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-16

    Chat history works now
    
    Requires a lot of visual tweeks, right now it makes my eyes bleed.

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h
src/components/ogre/widgets/IngameChatWidget.layout

commit a7551bc
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-16

    Name the window according to the entity we are talking to

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.layout

commit ab4218f
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-16

    Add a static text for future chat history

src/components/ogre/widgets/IngameChatWidget.layout

commit bb1b482
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-16

    Add an editbox for custom directed messages to entities

src/components/ogre/widgets/IngameChatWidget.layout

commit 13a61c2
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-15

    Share suggested responses between attached and detached dialogs

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h
src/components/ogre/widgets/IngameChatWidget.layout

commit 2a3def8
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-15

    Removed unused std::vector that was confusing me
    
    Also renamed response widget, as it's going to be shared between
    attached and detached windows.

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h

commit 80ef141
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-15

    Spawn the detached FrameWindow where the entity is

src/components/ogre/widgets/IngameChatWidget.cpp

commit c10df91
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-15

    Fixed CEGUI Window "leaks" in IngameChatWidget::ChatText

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h

commit 2e791d0
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-15

    Add detached window, allow switching by clicking chat text
    
    Lots of refactoring before me but it's a start.

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h
src/components/ogre/widgets/IngameChatWidget.layout

commit 4b569d1
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-14

    Changes ingame chat Text to Button
    
    This will allow me to subscribe to it and switch to the full mode
    upon clicking.

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/cegui/datafiles/schemes/EmberLookSkin.scheme
src/components/ogre/widgets/IngameChatWidget.layout

commit c0ff8b2
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-14

    Avoid repeatedly loading IngameChatWidget.layout

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h
src/components/ogre/widgets/IngameChatWidget.layout

commit 41276c7
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-14

    Replaced Button with StaticText inside with just a Button
    
    This makes the IngameChatResponse more customizable with LookNFeel
    and it makes the code less bug prone.

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/cegui/datafiles/schemes/EmberLookSkin.scheme
src/components/ogre/widgets/IngameChatWidget.cpp

commit 3f2726a
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-14

    Avoid repeatedly loading Label.layout

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h

commit de4a305
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-13

    Fixed XSD validation errors

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel

commit c2e206e
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-10

    Hide close button in Server browser, it doesn't do anything anyways

src/components/ogre/widgets/ServerBrowser.layout

commit 5282ba6
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-09

    Use Jayr's inventory icon instead of the question mark

src/components/ogre/widgets/MainIconBar.lua

commit 8566058
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-07

    Added tags to most of the pushMessage calls

src/components/ogre/EmberEntity.cpp
src/components/ogre/EmberEntityFactory.cpp
src/components/ogre/OgreSetup.cpp
src/components/ogre/authoring/EntityMoveManager.cpp
src/components/ogre/camera/MainCamera.cpp
src/components/ogre/model/ModelDefinitionAtlasComposer.cpp
src/components/ogre/widgets/Bootstrap.lua
src/components/ogre/widgets/InspectWidget.cpp
src/components/ogre/widgets/ModelEdit.lua
src/framework/ConsoleBackend.cpp

commit 6249bf8
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-07

    added @brief decorator for Widget::toggleVisibility

src/components/ogre/widgets/Widget.h

commit ab2a9fa
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-07

    Bump the console when important or error messages get appended

src/components/ogre/widgets/Console.lua

commit 3a0500c
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-07

    Console is only bumped when current player's name is mentioned

src/components/ogre/widgets/Console.lua

commit 5c7556c
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-03

    Toggle inventory icon now toggles the inventory instead of showing it

src/components/ogre/widgets/MainIconBar.lua

commit 6518a06
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-03

    Toggle visibility for all widgets (Widget::toggleVisibility)
    
    This is exposed to console via toggleVisibility_windowName commands

src/components/ogre/widgets/Widget.cpp
src/components/ogre/widgets/Widget.h

commit 4caff05
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-03

    Add show intentory icon
    
    Needs more work, we want it to toggle, not just show.
    Also, I used the help/question icon, this should be changed to
    a proper icon in the future.

src/components/ogre/widgets/MainIconBar.lua

commit 568dc5e
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-02

    Added tags to some pushMessage calls, now console messages are coloured
    
    Also changed colours of help messages so they can be seen.
    I am still unsure about this implementation, so regard this as testing.

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/framework/ConsoleBackend.h
src/services/server/AccountAvailableState.cpp
src/services/server/ConnectedAdapter.cpp
src/services/server/ConnectingState.cpp
src/services/server/LoggedInState.cpp
src/services/server/NonConnectedState.cpp
src/services/server/OOGChat.cpp

commit 4e18416
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-02

    QuickHelp now always shows up at the place you left it

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/ogre/widgets/QuickHelp.layout

commit 70d33e7
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-02

    Console message colours are now taken from looknfeel
    
    Plus minor refactoring and comment fixes

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/ogre/widgets/Console.lua

commit a448561
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-01

    Initial console commands and messages colouring
    
    Demonstrated with the config service (/set_value et al).
    This definitely needs further work.

src/bindings/lua/ConnectorDefinitions.pkg
src/components/ogre/widgets/Console.lua
src/framework/ConsoleBackend.cpp
src/framework/ConsoleBackend.h
src/framework/bindings/lua/ConsoleBackend.pkg
src/services/config/ConfigService.cpp

commit 2e1ad4b
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-01

    Be robust when querying the message colours

src/components/ogre/widgets/Console.lua

commit 47361c9
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-01

    Be robust when querying the Chat Entity colors

src/components/ogre/widgets/Console.lua

commit adea7b6
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-01

    Decrease chat colour usage when messages get purged

src/components/ogre/widgets/Console.lua

commit b6a82d2
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-01

    Use one set colour for messages by the current player

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/ogre/widgets/Console.lua

commit 6492900
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-06-01

    If the message contains current player's name, it gets highlighted
    
    The matching rules might need some tinkering because if the player's
    name is something silly like "do", "hello", ... almost everything
    will get highlighted. This is only the player's problem though.

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/ogre/widgets/Console.lua

commit 07cce86
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-05-31

    Added documentation for Console:getColourIndexForEntityName

src/components/ogre/widgets/Console.lua

commit f442903
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-05-31

    Changed comments and property names to en_GB (color -> colour)

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/ogre/widgets/Console.lua

commit a77e703
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-05-31

    Removing leftover debug messages from Console.lua

src/components/ogre/widgets/Console.lua

commit 08bc380
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-05-31

    Word wrapping for both Game and System tabs in Console
    
    This triggers a weird alpha inheriting bug on the wrapped text I have
    to investigate.

src/components/ogre/widgets/Console.layout

commit 7adec09
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-05-31

    Escaping for "[", CEGUI formatting control character

src/components/ogre/widgets/Console.lua

commit cbd4c99
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-05-31

    Chat messages are colored according to their authors now

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/ogre/widgets/Console.lua

commit 5069344
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-05-27

    Limit Game and System console messages to 100 max (for now)

src/components/ogre/widgets/Console.lua

commit 1b80723
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-05-27

    Avoid sudden alpha change when Inventory and Console activate

src/components/ogre/widgets/Console.lua
src/components/ogre/widgets/Inventory.lua

commit 60f7b85
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-05-27

    Fixed a bug with Status, RenderImage no longer rise when you click it
    
    I have also noticed that other elements form this layout rise as well,
    causing minor pixel changes so I have also marked them not to rise.

src/components/ogre/widgets/Status.layout

commit a024808
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-05-27

    Removed an unused variable in QuickHelp

src/components/ogre/widgets/QuickHelp.lua

commit 02266e3
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-05-26

    Finally tracked down QuickHelp disappearance issues
    
    When QuickHelp is fading away and another message gets shown,
    it correctly gets shown again.

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/ogre/widgets/QuickHelp.lua

commit 14e2d0b
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-05-26

    Fixed a typo causing a validation error in EmberLook.looknfeel

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel

commit edc8dcd
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-05-26

    Fixed several issues with QuickHelp, still work in progress
    
    Adds hide, show and hideSlow transitions. I still have to iron out
    some minor problems.

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/ogre/widgets/QuickHelp.lua

commit 6e914bd
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-05-26

    Fixed a pop caused by different alphas in InventoryFrameWindow
    
    Also moved initial Alpha property to looknfeel, to make it more local
    to animation Alphas.

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/ogre/widgets/Inventory.layout

commit 512b38e
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-05-26

    Migrated Console text widgets to StaticText
    
    This will allow formatting (mostly colours to distinguish between
    different people chatting and also to make important messages stand
    out)

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/ogre/widgets/Console.layout
src/components/ogre/widgets/Console.lua

commit e8a5a39
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-05-25

    Avoid QuickHelp fade out when user clicks it while it's fading

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel

commit 658e63a
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-05-25

    Added RequestAttention for Console
    
    For now the widget does a little up and down movement, however this can
    easily be changed in the looknfeel file in the future.

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/ogre/widgets/Console.lua

commit ef6ee1f
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-05-25

    Added QuickHelp looknfeel and altered the scheme accordingly
    
    Also migrated the fade out animation (5 seconds, linear Alpha fade)
    to looknfeel.

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/cegui/datafiles/schemes/EmberLookSkin.scheme
src/components/ogre/widgets/QuickHelp.layout
src/components/ogre/widgets/QuickHelp.lua

commit af08b44
Author: Martin Preisler <preisler.m@gmail.com>
Date:   2011-05-25

    Created separate looknfeel for Console and Inventory, made fade in/out animations for both of these

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/cegui/datafiles/schemes/EmberLookSkin.scheme
src/components/ogre/widgets/Console.layout
src/components/ogre/widgets/Inventory.layout

commit 1ca1aed
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-19

    Prevent the sun from shining upwards.
    
    This is an issue when it dips below the horizon. Normally there's a
    small residue of light bounced off the clouds, so if we clip the
    direction of the lights to be horizontal when pointing upwards we should
    get a pretty good effect.

src/components/ogre/environment/caelum/src/SkyLight.cpp

commit a7f688d
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-19

    Bumped required boost version.
    
    Since 1.34 doesn't contain the shared_mutex we rely on. Note that I
    haven't actually tried compiling against this version of boost, so it
    might very well be that we have to bump the required version even
    higher.

acinclude.m4

commit bcf6a8b
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-18

    Fixed lightning of imposters.
    
    We now render them full bright and then adjust the lightning in the
    shader.

src/components/ogre/environment/pagedgeometry/source/ImpostorPage.cpp
src/components/ogre/environment/pagedgeometry/source/StaticBillboardSet.cpp

commit ff6acb5
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-18

    Use the more correct static name.

src/components/ogre/terrain/Map.cpp

commit 470baa0
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-16

    Turn on hardware mipmaps for coverage textures.
    
    Also generate more mipmaps.

src/components/ogre/terrain/techniques/ShaderPass.cpp
src/components/ogre/terrain/techniques/ShaderPassCoverageBatch.cpp

commit 402ab94
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-15

    Bump versions.

ember.conf

commit b6e4e00
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-15

    Disable terrain casting shadow.
    
    Since this in most instances won't look good.

src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeOptions.h
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOptions.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRenderable.cpp

commit 9321589
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-14

    Added ability to alter back face shadow rendering.
    
    This should normally be on.

ember.conf
src/components/ogre/ShadowCameraSetup.cpp
src/components/ogre/ShadowCameraSetup.h

commit e44e848
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-13

    Added extra checks.

src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingSceneManager.cpp

commit 65406af
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-12

    Wait with grabbing mouse until window has focus.
    
    This prevents the situation where the window would grab the mouse even
    though it wasn't visible to the user, or actually the active window.

src/services/input/Input.cpp
src/services/input/Input.h

commit e43927d
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-11

    Wait with mouse grabbing until loaded.
    
    So that we don't grab the mouse while we're still loading resources, and
    the user cannot move the mouse anyway.
    Also moved config listener functionality to the Input class where it
    more properly belong.

src/components/ogre/EmberOgre.cpp
src/components/ogre/OgreSetup.cpp
src/components/ogre/OgreSetup.h
src/main/Application.cpp
src/services/input/Input.cpp
src/services/input/Input.h

commit ec27870
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-12

    Allow the container to be used as a component.
    
    Previously we've only allowed for it to be inherited, but that's not
    really needed.

src/services/config/ConfigListenerContainer.h

commit 78829d7
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-11

    Fixed issue with fps cap only checking for int.
    
    Now it will also allow floating point values.

src/main/Application.cpp

commit de13a10
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-10

    Reenabled inverting the mouse.
    
    This got lost when the camera mounts were refactored a while ago.

src/components/ogre/camera/CameraSettings.cpp
src/components/ogre/camera/CameraSettings.h
src/components/ogre/camera/FirstPersonCameraMount.cpp
src/components/ogre/camera/FirstPersonCameraMount.h
src/components/ogre/camera/ThirdPersonCameraMount.cpp
src/components/ogre/camera/ThirdPersonCameraMount.h

commit 6bae2c9
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-10

    Virtual classes should have virtual dtors.

src/components/ogre/terrain/TerrainHandler.cpp

commit 72400d7
Author: Alexey Torkhov <atorkhov@gmail.com>
Date:   2009-06-11

    Fail check immediately when any of xml fails to validate. Otherwise, it fails check only if last xml failed validation.

src/components/ogre/authoring/entityrecipes/Makefile.am
src/components/ogre/modeldefinitions/Makefile.am
src/components/ogre/sounddefinitions/Makefile.am

commit f372a6a
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-10

    Added a new line before the CVS history.

generate-ChangeLog.sh

commit 247de13
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-10

    Make the ChangeLog script more generic.

Makefile.am
generate-ChangeLog.sh

commit 6929eae
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-10

    Adapted to changed api.

src/services/input/InputCommandMapper.cpp

commit 8700e79
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-10

    Use a separate config for command line options.
    
    As these shouldn't be saved when writing the config to disk.

src/main/Application.cpp
src/services/config/ConfigService.cpp
src/services/config/ConfigService.h

commit 1367b40
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-10

    Keep separate configs for different scopes.
    
    In order to better be able to correctly save changed configs, we need to
    keep the config scopes separate. When the app is requested to save
    configuration, it should then just save those values that either have
    changed (i.e. instance scope, if different from global scope) or those
    values that already were defined in the user scope (i.e. written to the
    config file).

src/services/config/ConfigService.cpp
src/services/config/ConfigService.h

commit fe3c933
Author: Erik Ogenvik <erik@ogenvik.org>
Date:   2011-08-10

    Bumped required varconf version.

configure.ac

commit c3fe42e
Author: Peter Szücs <peter.szucs.dev@gmail.com>
Date:   2011-07-24

    Fix typo, which crashed ember every time.
    
    This was copying invalid texture buffer to the video memory,
    which caused me a crash every time, when the world was loaded.

src/components/ogre/terrain/techniques/ShaderPassCoverageBatch.cpp

commit 939d87a
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-08-10

    Avoid race condition.
    
    Any foliage task will still use the vegetation, so delete that after the
    tasks are done.

src/components/ogre/terrain/TerrainManager.cpp

commit e5ddde0
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-07-09

    Initialize to avoid buffer garbage.

src/components/ogre/widgets/MovableObjectRenderer.cpp

commit 8afc6aa
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-07-09

    Removed cruft.

src/components/ogre/widgets/EntityCEGUITexture.h

commit 36d3f8d
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-07-09

    Better handling of textures.

src/components/ogre/SimpleRenderContext.cpp

commit 7bdecc9
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-07-03

    Cleanup and docs.

src/components/ogre/widgets/EntityIcon.h
src/components/ogre/widgets/EntityIconSlot.cpp
src/components/ogre/widgets/GenericIconUserData.h

commit 158d2ad
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-28

    Allow alt-tab to ungrab mouse.

src/components/ogre/OgreSetup.cpp
src/components/ogre/OgreSetup.h
src/services/input/Input.cpp
src/services/input/Input.h

commit ec767f4
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-26

    Fixed various static analysis issues.

src/components/entitymapping/Cases/AttributeCase.h
src/components/ogre/EmberEntityActionCreator.h
src/components/ogre/EmberEntityModelAction.cpp
src/components/ogre/EmberEntityModelAction.h
src/components/ogre/EmberEntityPartAction.h
src/components/ogre/EmberOgreFileSystem.h
src/components/ogre/EntityWorldPickListener.h
src/components/ogre/GUICEGUIAdapter.h
src/components/ogre/GUIManager.cpp
src/components/ogre/OgreLogObserver.h
src/components/ogre/OgreResourceLoader.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingSceneManager.h
src/components/ogre/environment/CaelumEnvironment.h
src/components/ogre/environment/CaelumSun.h
src/components/ogre/environment/Forest.h
src/components/ogre/environment/pagedgeometry/include/DummyPage.h
src/components/ogre/environment/pagedgeometry/include/ImpostorPage.h
src/components/ogre/jesus/JesusPickerObject.h
src/components/ogre/mapping/EmberEntityMappingManager.h
src/components/ogre/model/Model.h
src/components/ogre/model/ModelBackgroundLoader.h
src/components/ogre/model/ModelMount.cpp
src/components/ogre/widgets/EntityCreatorActionCreator.h
src/components/ogre/widgets/EntityCreatorModelAction.cpp
src/components/ogre/widgets/EntityCreatorModelAction.h
src/components/ogre/widgets/EntityCreatorPartAction.cpp
src/components/ogre/widgets/EntityCreatorPartAction.h
src/components/ogre/widgets/EntityIconDragDropPreview.h
src/components/ogre/widgets/EntityTooltip.cpp
src/components/ogre/widgets/icons/IconManager.cpp
src/main/Application.h
src/main/ConfigBoundLogObserver.h
src/services/config/ConfigService.cpp
src/services/input/Input.cpp
src/services/logging/ErisLogReciever.cpp
src/services/server/ConnectedAdapter.h
src/services/server/NonConnectedAdapter.h
src/services/server/ServerService.h
src/services/serversettings/ServerSettings.cpp

commit 6067145
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-19

    Refactored out the history browsing aspect.

src/components/ogre/widgets/ConsoleAdapter.cpp
src/framework/CommandHistory.cpp
src/framework/CommandHistory.h
src/framework/ConsoleBackend.cpp
src/framework/ConsoleBackend.h
src/framework/Makefile.am

commit b6824ce
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-19

    Cleaned up code and clarified things.
    
    The main issue is that the Ogre resource system isn't consistent.
    Whereas the most recent texture or mesh will override older defined one,
    the opposite is true for scripts.

src/components/ogre/OgreResourceLoader.cpp
src/components/ogre/OgreResourceLoader.h

commit 575abe6
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-16

    Fixed segfault when mesh not found.

src/components/ogre/model/ModelBackgroundLoader.cpp

commit c2a0734
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-12

    Removed dead code.

ember.in

commit 86bcbb1
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-12

    Fix for CVE-2010-3355.
    
    Make LD_LIBRARY_PATH more secure, since an empty entry will be
    interpreted as ".".

ember.in

commit dfa90d7
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-12

    Fixed issue with lingering text.
    
    Also fixed issue where no observers would be created if the entity was
    created rather than seen.

src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h

commit 2637c22
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-12

    Fixed incorrect saving of position.

src/components/ogre/widgets/ActionBar.lua

commit 035a02f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-12

    Fixed issue with action bars not showing up.

src/components/ogre/widgets/ActionBarCreator.lua

commit 624498d
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-11

    Adjusted light.

src/components/ogre/modeldefinitions/environment.modeldef.xml

commit 29eed36
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-11

    Adjust the light of the fire a little.

src/components/ogre/modeldefinitions/environment.modeldef.xml

commit e35a2c1
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-11

    Fixed a bug where the light wasn't positioned.

src/components/ogre/model/Model.cpp

commit fbd4748
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-11

    Allow the detailed log mode to be controlled.
    
    Use the config key general:loggingdetailed to turn it on and off. It's
    off by default.

ember.conf
src/components/ogre/EmberOgre.h
src/components/ogre/OgreLogObserver.h
src/framework/StreamLogObserver.cpp
src/main/Application.cpp
src/main/ConfigBoundLogObserver.cpp
src/main/ConfigBoundLogObserver.h

commit 8482597
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-11

    Enable detailed log output.
    
    Also use the thread safe version of localtime.

src/framework/StreamLogObserver.cpp
src/framework/StreamLogObserver.h

commit 99e3df2
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-11

    Use the time frame class.
    
    Also fixed a couple of issues where the background loading wasn't
    optimal.

src/components/ogre/EmberOgre.cpp
src/components/ogre/model/Model.cpp
src/components/ogre/model/ModelBackgroundLoader.cpp
src/components/ogre/model/ModelBackgroundLoader.h
src/components/ogre/model/ModelDefinitionManager.cpp
src/components/ogre/model/ModelDefinitionManager.h

commit 50b2d14
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-10

    Added a time frame class.
    
    To be used for limiting the time spent on something. Such as rendering
    one frame.

src/framework/Makefile.am
src/framework/TimeFrame.cpp
src/framework/TimeFrame.h

commit 1b3bb34
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-10

    Added option to report start of tasks.

src/framework/TimedLog.cpp
src/framework/TimedLog.h

commit 75fccd1
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-07-07

    Use the waving grass material.

src/components/ogre/modeldefinitions/moraf.terrain

commit d370a9b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-05

    Fixed issue with setting far distance.
    
    Also added better verbose logging.

src/components/ogre/ShadowCameraSetup.cpp

commit afaca7e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-05

    Enable mouse catching by default.
    
    It can be toggled through the input:catchmouse key.

ember.conf
src/components/ogre/OgreSetup.cpp
src/components/ogre/OgreSetup.h

commit e508ec9
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-05

    Adapt grass mesh depending on the graphics level.

src/components/ogre/environment/FoliageLayer.cpp
src/components/ogre/environment/FoliageLayer.h
src/components/ogre/environment/pagedgeometry/include/GrassLoader.h
src/components/ogre/environment/pagedgeometry/source/GrassLoader.cpp

commit 295b307
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-05

    Allow the "/make" command to be used everywhere.

src/components/ogre/Avatar.cpp
src/components/ogre/Avatar.h
src/components/ogre/Makefile.am
src/components/ogre/authoring/EntityMaker.cpp
src/components/ogre/authoring/EntityMaker.h
src/components/ogre/scripting/bindings/lua/EntityCreatorTypeHelper.pkg
src/components/ogre/widgets/EntityCreator.lua
src/components/ogre/widgets/EntityCreatorTypeHelper.cpp
src/components/ogre/widgets/EntityCreatorTypeHelper.h

commit 8a13713
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-02

    We'll provide our own shaders.

src/components/ogre/environment/GrassFoliage.cpp

commit df41507
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-02

    Fixed incorrect size of preview.

src/components/ogre/widgets/EntityCreator.layout

commit 6f6d3d1
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-06-02

    Allow normal and tangents to be built for grass.
    
    The normal points straight up, to best simulate how grass is lit by the
    sun when on ground.

src/components/ogre/environment/pagedgeometry/include/GrassLoader.h
src/components/ogre/environment/pagedgeometry/source/GrassLoader.cpp

commit f4e9691
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-31

    Remove unused forward decl.

src/components/ogre/EmberEntity.h

commit 9de0f39
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-26

    Merge fixes.

src/components/ogre/widgets/ServerWidget.cpp
src/services/server/LoggedInState.cpp
src/services/serversettings/ServerSettings.cpp

commit 2abc4b0
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-26

    Bumped required Eris version.

configure.ac

commit f304405
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-15

    Moved failure listener to ConnectingState.

src/services/server/ConnectingState.cpp
src/services/server/ConnectingState.h
src/services/server/NonConnectedState.cpp
src/services/server/NonConnectedState.h

commit e589dde
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-15

    Reset delayed delete upon child state destroy.

src/services/server/NonConnectedState.cpp

commit f2155c6
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-15

    Release the Account upon failure.

src/services/server/ConnectedState.cpp
src/services/server/ConnectedState.h

commit c4cc05c
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-15

    Removed unused destructor.

src/services/server/TransferEvent.cpp
src/services/server/TransferEvent.h

commit a489081
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-15

    Destroy connection upon failure.
    
    But wait a little so to avoid segfaults.

src/services/server/DestroyChildStateEvent.cpp
src/services/server/DestroyChildStateEvent.h
src/services/server/Makefile.am
src/services/server/NonConnectedState.cpp
src/services/server/NonConnectedState.h

commit cc7da25
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-15

    Fixed incorrect logic.

src/services/server/ConnectingState.cpp

commit a9fb6a9
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-15

    Allow destroy to be called multiple times.

src/services/server/StateBase.h

commit 742b54c
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-15

    Remove transfer info token after use.

src/services/server/LoggedInState.cpp
src/services/server/LoggedInState.h
src/services/server/TransferInfoStringSerializer.cpp
src/services/server/TransferInfoStringSerializer.h

commit 3b63432
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-24

    Show transfer info being available in UI.
    
    And allow the user to select whether it should be used.

src/components/ogre/widgets/ServerWidget.cpp
src/components/ogre/widgets/ServerWidget.h
src/components/ogre/widgets/ServerWidget.layout

commit 235edaf
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-24

    Added signal for when transfer info is available.

src/services/server/LoggedInState.cpp
src/services/server/LoggedInState.h
src/services/server/ServerServiceSignals.h

commit c04caa5
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-24

    Added method for taking a transferred character.

src/services/bindings/lua/ServerService.pkg
src/services/server/IState.h
src/services/server/NonConnectedState.cpp
src/services/server/NonConnectedState.h
src/services/server/ServerService.cpp
src/services/server/ServerService.h
src/services/server/StateBase.h

commit b45801b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-24

    Added lua bindings for AvatarTransferInfo.

src/services/bindings/lua/AvatarTransferInfo.pkg
src/services/bindings/lua/EmberServices.pkg
src/services/bindings/lua/Makefile.am

commit c9195fd
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-20

    Use Atlas for persisting transfer info.

src/services/server/AvatarTransferInfo.cpp
src/services/server/AvatarTransferInfo.h
src/services/server/LoggedInState.cpp
src/services/server/LoggedInState.h
src/services/server/TransferInfoStringSerializer.cpp
src/services/server/TransferInfoStringSerializer.h

commit 8fc1451
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-19

    Added an avatar transfer info object.
    
    Containing a bit more info for a better message to be shown to the user
    when connecting to a server where there's a transfer info registered.

src/services/server/AvatarTransferInfo.cpp
src/services/server/AvatarTransferInfo.h
src/services/server/Makefile.am
src/services/server/TransferInfoStringSerializer.cpp
src/services/server/TransferInfoStringSerializer.h

commit 4fa7b58
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-17

    Use a timed event for teleport.
    
    This is due to the way Eris objects are owned. If we were to try to
    transfer directly when asked so by Eris we would end up in strange
    duplicate instance destructions, leading to segfaults and pain.

src/services/server/AccountAvailableState.cpp
src/services/server/AccountAvailableState.h
src/services/server/LoggedInState.cpp
src/services/server/LoggedInState.h

commit 6e5bd49
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-17

    Added a timed event for transferring to new server.

src/services/server/Makefile.am
src/services/server/TransferEvent.cpp
src/services/server/TransferEvent.h

commit 118c36c
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-17

    Fixed incorrect serialization.

src/services/server/TransferInfoStringSerializer.cpp

commit 851d462
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-17

    Rearrange how transfer is handled.

src/services/server/AccountAvailableState.cpp
src/services/server/EnteredWorldState.cpp
src/services/server/EnteredWorldState.h
src/services/server/LoggedInState.cpp
src/services/server/LoggedInState.h

commit 70f7527
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-15

    Check for transfer infos when connecting.

src/services/server/AccountAvailableState.cpp
src/services/server/AccountAvailableState.h
src/services/server/EnteredWorldState.cpp

commit 7e892a9
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-12

    Write teleports to a teleports file.
    
    So that they can later be read when connecting.

src/services/server/EnteredWorldState.cpp

commit 8dea85b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-11

    Added transer info serializers.

src/services/server/Makefile.am
src/services/server/TransferInfoStringSerializer.cpp
src/services/server/TransferInfoStringSerializer.h

commit 6907e12
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-11

    Simplify code.

src/services/serversettings/ServerSettings.cpp

commit 9db9228
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-11

    Handle transfer.

src/services/server/NonConnectedState.cpp

commit ce3ec69
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-10

    Also write server traffic to log.

src/components/ogre/widgets/ServerLogger.lua

commit c234dc9
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-06

    Refactored hierarchy to be better.
    
    Mainly remove retarded circular dependencies and destruction.

src/services/server/AccountAvailableState.cpp
src/services/server/AccountAvailableState.h
src/services/server/ConnectedState.cpp
src/services/server/ConnectedState.h
src/services/server/ConnectingState.cpp
src/services/server/ConnectingState.h
src/services/server/EnteredWorldState.cpp
src/services/server/EnteredWorldState.h
src/services/server/LoggedInState.cpp
src/services/server/LoggedInState.h
src/services/server/NonConnectedState.cpp
src/services/server/NonConnectedState.h

commit c5d0508
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-06

    Make sure sigc::trackable is virtual.

src/services/server/AccountAvailableState.h
src/services/server/ConnectedAdapter.h
src/services/server/ConnectedState.h
src/services/server/EnteredWorldState.h
src/services/server/LoggedInState.h

commit 4c8ddea
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-06

    Handle teleport requests.

src/services/server/EnteredWorldState.cpp

commit 651e62b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-06

    Avoid infinite loops when there's a failure.

src/services/server/ConnectingState.cpp
src/services/server/ConnectingState.h

commit 9dcce09
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-06

    Added a method for transferring to a new server.

src/services/server/IState.h
src/services/server/NonConnectedState.cpp
src/services/server/NonConnectedState.h
src/services/server/StateBase.h

commit 50a08fa
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-03

    Fixed compile warnings.

src/services/server/StateBase.h

commit 61418db
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-04

    Fixes for changed api.

src/services/server/ServerService.cpp

commit b949bbc
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-07-29

    Updated bindings.

src/services/bindings/lua/ServerService.pkg

commit 82bc39c
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-07-29

    Use the state framework for handling the connection process.

src/services/server/AccountAvailableState.cpp
src/services/server/ConnectedAdapter.cpp
src/services/server/ConnectedAdapter.h
src/services/server/ConnectingState.cpp
src/services/server/IServerAdapter.h
src/services/server/ServerService.cpp
src/services/server/ServerService.h
src/services/server/ServerServiceSignals.h

commit 3afe1cf
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-07-29

    Added different states for the connection process.

src/services/server/AccountAvailableState.cpp
src/services/server/AccountAvailableState.h
src/services/server/ConnectedAdapter.h
src/services/server/ConnectedState.cpp
src/services/server/ConnectedState.h
src/services/server/ConnectingState.cpp
src/services/server/ConnectingState.h
src/services/server/EnteredWorldState.cpp
src/services/server/EnteredWorldState.h
src/services/server/IState.h
src/services/server/LoggedInState.cpp
src/services/server/LoggedInState.h
src/services/server/Makefile.am
src/services/server/NonConnectedState.cpp
src/services/server/NonConnectedState.h
src/services/server/ServerServiceSignals.h
src/services/server/StateBase.h

commit 1751df6
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-07-29

    Use the signals base class rather than the complete service.

src/services/server/ServerServiceConnectionListener.cpp
src/services/server/ServerServiceConnectionListener.h

commit 5a1fed9
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-07-29

    Added interface and base classes for a simple state system.

src/services/server/IState.h
src/services/server/StateBase.h

commit 66b9a24
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-07-29

    Moved the signals out to a separate header file.

src/services/server/ServerServiceSignals.h

commit 3591f2d
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-24

    Scale by height.

src/components/ogre/modeldefinitions/bluegill.modeldef
src/components/ogre/modeldefinitions/pickerel.modeldef
src/components/ogre/modeldefinitions/tuna.modeldef

commit a88fa68
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-24

    Write Atlas export path to console.

src/components/ogre/model/ModelDefinitionAtlasComposer.cpp
src/components/ogre/model/ModelDefinitionAtlasComposer.h
src/components/ogre/scripting/bindings/lua/ModelDefinitionAtlasComposer.pkg
src/components/ogre/widgets/ModelEdit.lua

commit a6239eb
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-24

    Write the path of the exported script to console.

src/components/ogre/model/ModelDefinitionManager.cpp
src/components/ogre/model/ModelDefinitionManager.h
src/components/ogre/model/XMLModelDefinitionSerializer.cpp
src/components/ogre/model/XMLModelDefinitionSerializer.h
src/components/ogre/scripting/bindings/lua/ModelDefinitionManager.pkg
src/components/ogre/widgets/ModelEdit.lua

commit 98192f1
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-24

    Added support for "swimming" mode.

src/components/ogre/EmberEntity.cpp
src/components/ogre/EmberEntity.h
src/components/ogre/NodeAttachment.cpp

commit 91282b6
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-24

    f

src/framework/Log.h

commit e272415
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-24

    Added comments, docs and formatting.

src/components/lua/LuaScriptingProvider.h
src/components/ogre/widgets/adapters/atlas/AdapterBase.h
src/framework/ConsoleObject.h
src/framework/DirectAttributeObserver.h
src/framework/Exception.h
src/framework/IScriptingProvider.h
src/framework/Log.h
src/services/input/Input.h

commit 1398f7b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-23

    Write to log when shutting down.

src/framework/Service.cpp
src/framework/Service.h
src/services/input/InputService.cpp
src/services/scripting/ScriptingService.cpp
src/services/server/ServerService.cpp
src/services/serversettings/ServerSettings.cpp
src/services/sound/SoundService.cpp
src/services/time/TimeService.cpp
src/services/wfut/WfutService.cpp

commit 26d6aad
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-23

    Make sure log messages aren't lost.
    
    If there's no log observer we'll always write to std::cout.

src/framework/Log.cpp
src/framework/Log.h
src/framework/LogObserver.cpp
src/framework/Makefile.am

commit 48e30ef
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-23

    Removed obsolete files.

src/components/ogre/widgets/Bootstrap.lua
src/components/ogre/widgets/MakeEntity.lua
src/components/ogre/widgets/MakeEntityWidget.layout

commit c31fcd4
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-23

    Only try to change dir if there's a prefix set.
    
    This mainly applies to when Ember is compiled to be location agnostic
    (such as when distributed as an AppImage).

src/components/ogre/GUIManager.cpp
src/components/ogre/OgreSetup.cpp

commit 533e430
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-23

    Added some usage help.

make_dist_media.sh

commit 2034261
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-23

    Don't copy any files from "norecurse" dirs.

make_dist_media.sh

commit 163f713
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-23

    Cleaned up service base class.
    
    Most of the stuff here isn't actually used though.

src/framework/Service.h

commit 2919bcf
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-23

    Better reporting of chdir failures.

src/components/ogre/GUIManager.cpp
src/components/ogre/OgreSetup.cpp

commit 8f335b2
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-23

    Expose services as references.
    
    Since they should always be created at startup there's no need for them
    to be exposed as pointers. Other components can always rely on them
    being present.

src/components/lua/Connectors.cpp
src/components/lua/LuaScriptingProvider.cpp
src/components/ogre/Avatar.cpp
src/components/ogre/AvatarLogger.cpp
src/components/ogre/EmberEntity.cpp
src/components/ogre/EmberEntityFactory.cpp
src/components/ogre/EmberOgre.cpp
src/components/ogre/GUIManager.cpp
src/components/ogre/MediaUpdater.cpp
src/components/ogre/MovementController.cpp
src/components/ogre/OgreResourceLoader.cpp
src/components/ogre/OgreSetup.cpp
src/components/ogre/ShaderManager.cpp
src/components/ogre/authoring/AuthoringManager.cpp
src/components/ogre/authoring/EntityMover.cpp
src/components/ogre/authoring/EntityRecipe.cpp
src/components/ogre/camera/MainCamera.cpp
src/components/ogre/camera/Recorder.cpp
src/components/ogre/environment/CaelumEnvironment.cpp
src/components/ogre/environment/HydraxWater.cpp
src/components/ogre/jesus/XMLJesusSerializer.cpp
src/components/ogre/mapping/EmberEntityMappingManager.cpp
src/components/ogre/model/ModelDefinitionAtlasComposer.cpp
src/components/ogre/sound/SoundAction.cpp
src/components/ogre/sound/SoundGroup.cpp
src/components/ogre/terrain/TerrainEditorOverlay.cpp
src/components/ogre/terrain/TerrainManager.cpp
src/components/ogre/terrain/TerrainPage.cpp
src/components/ogre/terrain/techniques/CompilerTechniqueProvider.cpp
src/components/ogre/widgets/ActionBarIconManager.cpp
src/components/ogre/widgets/EntityEditor.cpp
src/components/ogre/widgets/Help.cpp
src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/InspectWidget.cpp
src/components/ogre/widgets/LoadingBar.cpp
src/components/ogre/widgets/Quit.cpp
src/components/ogre/widgets/ServerWidget.cpp
src/components/ogre/widgets/icons/IconManager.cpp
src/framework/StreamLogObserver.h
src/main/Application.cpp
src/services/EmberServices.cpp
src/services/EmberServices.h
src/services/bindings/lua/EmberServices.pkg
src/services/config/ConfigListener.cpp
src/services/input/InputCommandMapper.cpp
src/services/metaserver/MetaserverService.cpp
src/services/serversettings/ServerSettings.cpp
src/services/sound/SoundSample.cpp
src/services/sound/SoundService.cpp
src/services/time/TimeImpl.cpp

commit d11b2b2
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-23

    Removed convoluted service creation.
    
    Much better to have deterministic creation and destruction, and then
    relying on controllers calling start and stop.

src/services/EmberServices.cpp
src/services/EmberServices.h

commit 9787066
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-22

    Guard against invalid iterators when empty.

src/components/ogre/widgets/QuickHelpCursor.cpp

commit 947936c
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-22

    Use complete host name.

refresh-amber-media-dev.sh

commit d0964f8
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-22

    Bumped version.

configure.ac

commit d2366a7
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-20

    Rearrange definitions a little.
    
    We try to keep them in a somewhat grouped order.

src/components/ogre/modeldefinitions/entitymappings.entitymap.xml

commit 50ec59a
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-20

    Fixed path.

src/components/ogre/modeldefinitions/farmers_cap.modeldef

commit a56fc04
Merge: 68619c6 7d22012
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-19

    Merge https://github.com/demarii/ember into demarii_merge

commit 68619c6
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-17

    Clean up namespaces.
    
    Mainly after we moved EmberOgre to Ember::OgreView.

src/components/lua/Connector.cpp
src/components/lua/Connector.h
src/components/lua/Connectors.cpp
src/components/lua/LuaConsoleObject.cpp
src/components/lua/LuaConsoleObject.h
src/components/lua/LuaHelper.cpp
src/components/lua/LuaScriptingCallContext.h
src/components/lua/LuaScriptingProvider.cpp
src/components/lua/LuaScriptingProvider.h
src/components/ogre/AvatarLogger.cpp
src/components/ogre/AvatarTerrainCursor.cpp
src/components/ogre/AvatarTerrainCursor.h
src/components/ogre/EmberEntity.cpp
src/components/ogre/EmberEntity.h
src/components/ogre/EmberEntityActionCreator.cpp
src/components/ogre/EmberEntityFactory.cpp
src/components/ogre/EmberEntityFactory.h
src/components/ogre/EmberEntityHideModelAction.cpp
src/components/ogre/EmberEntityHideModelAction.h
src/components/ogre/EmberEntityModelAction.cpp
src/components/ogre/EmberEntityModelAction.h
src/components/ogre/EmberEntityPartAction.cpp
src/components/ogre/EmberEntityPartAction.h
src/components/ogre/EmberOgreFileSystem.h
src/components/ogre/EntityWorldPickListener.h
src/components/ogre/GUICEGUIAdapter.cpp
src/components/ogre/GUICEGUIAdapter.h
src/components/ogre/MediaUpdater.cpp
src/components/ogre/MotionManager.h
src/components/ogre/MovementController.cpp
src/components/ogre/MovementController.h
src/components/ogre/OgreLogObserver.cpp
src/components/ogre/OgreLogObserver.h
src/components/ogre/OgreResourceLoader.cpp
src/components/ogre/OgreResourceLoader.h
src/components/ogre/OgreResourceProvider.cpp
src/components/ogre/OgreResourceProvider.h
src/components/ogre/OgreSetup.cpp
src/components/ogre/OgreSetup.h
src/components/ogre/OpcodeCollisionDetectorVisualizer.cpp
src/components/ogre/OpcodeCollisionDetectorVisualizer.h
src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingLandScapeData2D_HeightField.h
src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingSceneManager.h
src/components/ogre/ShaderManager.cpp
src/components/ogre/ShaderManager.h
src/components/ogre/SimpleRenderContext.cpp
src/components/ogre/WorldEmberEntity.cpp
src/components/ogre/WorldEmberEntity.h
src/components/ogre/authoring/AuthoringManager.cpp
src/components/ogre/authoring/AuthoringManager.h
src/components/ogre/authoring/EntityMoveManager.cpp
src/components/ogre/authoring/EntityMoveManager.h
src/components/ogre/authoring/EntityMover.cpp
src/components/ogre/authoring/EntityMoverBase.h
src/components/ogre/authoring/EntityRecipe.cpp
src/components/ogre/authoring/EntityRecipeManager.h
src/components/ogre/authoring/GUIAdapter.cpp
src/components/ogre/authoring/GUIAdapter.h
src/components/ogre/authoring/MaterialEditor.cpp
src/components/ogre/authoring/MaterialEditor.h
src/components/ogre/authoring/MovementAdapter.cpp
src/components/ogre/authoring/MovementAdapter.h
src/components/ogre/authoring/PolygonPointMover.cpp
src/components/ogre/authoring/PolygonPointMover.h
src/components/ogre/authoring/RawTypeInfoRepository.cpp
src/components/ogre/authoring/RawTypeInfoRepository.h
src/components/ogre/camera/CameraMountBase.cpp
src/components/ogre/camera/Recorder.cpp
src/components/ogre/camera/ThirdPersonCameraMount.cpp
src/components/ogre/camera/ThirdPersonCameraMount.h
src/components/ogre/environment/CaelumEnvironment.cpp
src/components/ogre/environment/CaelumEnvironment.h
src/components/ogre/environment/CaelumSky.cpp
src/components/ogre/environment/CaelumSky.h
src/components/ogre/environment/CaelumSun.cpp
src/components/ogre/environment/CaelumSun.h
src/components/ogre/environment/Environment.cpp
src/components/ogre/environment/Environment.h
src/components/ogre/environment/Foliage.cpp
src/components/ogre/environment/Foliage.h
src/components/ogre/environment/FoliageBase.cpp
src/components/ogre/environment/FoliageBase.h
src/components/ogre/environment/HydraxWater.cpp
src/components/ogre/environment/OceanAction.cpp
src/components/ogre/environment/OceanAction.h
src/components/ogre/environment/Sun.cpp
src/components/ogre/environment/Sun.h
src/components/ogre/gui/ActiveWidgetHandler.cpp
src/components/ogre/gui/ActiveWidgetHandler.h
src/components/ogre/gui/CEGUILogger.cpp
src/components/ogre/gui/CEGUILogger.h
src/components/ogre/jesus/Jesus.h
src/components/ogre/jesus/XMLJesusSerializer.cpp
src/components/ogre/mapping/EmberEntityMappingManager.cpp
src/components/ogre/mapping/EmberEntityMappingManager.h
src/components/ogre/model/Model.cpp
src/components/ogre/model/ModelAttachment.cpp
src/components/ogre/model/ModelAttachment.h
src/components/ogre/model/ModelDefinition.cpp
src/components/ogre/model/ModelDefinitionAtlasComposer.cpp
src/components/ogre/model/ModelDefinitionManager.h
src/components/ogre/model/ModelMount.cpp
src/components/ogre/model/ModelMount.h
src/components/ogre/model/ModelPartReactivatorVisitor.cpp
src/components/ogre/model/ModelPartReactivatorVisitor.h
src/components/ogre/model/ModelRepresentation.cpp
src/components/ogre/model/ModelRepresentation.h
src/components/ogre/model/ModelRepresentationManager.h
src/components/ogre/sound/SoundAction.h
src/components/ogre/sound/SoundDefinition.h
src/components/ogre/sound/SoundDefinitionManager.cpp
src/components/ogre/sound/SoundDefinitionManager.h
src/components/ogre/sound/SoundGroup.h
src/components/ogre/sound/SoundGroupDefinition.h
src/components/ogre/terrain/GeometryUpdateTask.cpp
src/components/ogre/terrain/GeometryUpdateTask.h
src/components/ogre/terrain/HeightMapUpdateTask.cpp
src/components/ogre/terrain/HeightMapUpdateTask.h
src/components/ogre/terrain/PlantQueryTask.cpp
src/components/ogre/terrain/PlantQueryTask.h
src/components/ogre/terrain/ShadowUpdateTask.cpp
src/components/ogre/terrain/ShadowUpdateTask.h
src/components/ogre/terrain/TerrainAreaAddTask.cpp
src/components/ogre/terrain/TerrainAreaAddTask.h
src/components/ogre/terrain/TerrainAreaRemoveTask.cpp
src/components/ogre/terrain/TerrainAreaRemoveTask.h
src/components/ogre/terrain/TerrainAreaTaskBase.h
src/components/ogre/terrain/TerrainAreaUpdateTask.cpp
src/components/ogre/terrain/TerrainAreaUpdateTask.h
src/components/ogre/terrain/TerrainEditorOverlay.cpp
src/components/ogre/terrain/TerrainEditorOverlay.h
src/components/ogre/terrain/TerrainHandler.cpp
src/components/ogre/terrain/TerrainHandler.h
src/components/ogre/terrain/TerrainLayerDefinitionManager.cpp
src/components/ogre/terrain/TerrainLayerDefinitionManager.h
src/components/ogre/terrain/TerrainManager.cpp
src/components/ogre/terrain/TerrainManager.h
src/components/ogre/terrain/TerrainModAddTask.cpp
src/components/ogre/terrain/TerrainModAddTask.h
src/components/ogre/terrain/TerrainModChangeTask.cpp
src/components/ogre/terrain/TerrainModChangeTask.h
src/components/ogre/terrain/TerrainModRemoveTask.cpp
src/components/ogre/terrain/TerrainModRemoveTask.h
src/components/ogre/terrain/TerrainModTaskBase.h
src/components/ogre/terrain/TerrainPage.cpp
src/components/ogre/terrain/TerrainPageCreationTask.cpp
src/components/ogre/terrain/TerrainPageCreationTask.h
src/components/ogre/terrain/TerrainShaderUpdateTask.cpp
src/components/ogre/terrain/TerrainShaderUpdateTask.h
src/components/ogre/terrain/TerrainUpdateTask.cpp
src/components/ogre/terrain/TerrainUpdateTask.h
src/components/ogre/terrain/techniques/CompilerTechniqueProvider.h
src/components/ogre/widgets/ActionBarIconManager.cpp
src/components/ogre/widgets/ActionBarInput.h
src/components/ogre/widgets/ConsoleAdapter.cpp
src/components/ogre/widgets/ConsoleAdapter.h
src/components/ogre/widgets/EntityCreatorActionCreator.cpp
src/components/ogre/widgets/EntityCreatorActionCreator.h
src/components/ogre/widgets/EntityCreatorCreationInstance.cpp
src/components/ogre/widgets/EntityCreatorHideModelAction.cpp
src/components/ogre/widgets/EntityCreatorHideModelAction.h
src/components/ogre/widgets/EntityCreatorModelAction.cpp
src/components/ogre/widgets/EntityCreatorModelAction.h
src/components/ogre/widgets/EntityCreatorMovementBridge.cpp
src/components/ogre/widgets/EntityCreatorMovementBridge.h
src/components/ogre/widgets/EntityCreatorPartAction.cpp
src/components/ogre/widgets/EntityCreatorPartAction.h
src/components/ogre/widgets/EntityCreatorTypeHelper.h
src/components/ogre/widgets/EntityEditor.cpp
src/components/ogre/widgets/EntityIconDragDropPreview.cpp
src/components/ogre/widgets/EntityIconDragDropPreview.h
src/components/ogre/widgets/Help.cpp
src/components/ogre/widgets/Help.h
src/components/ogre/widgets/IconBase.cpp
src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h
src/components/ogre/widgets/InspectWidget.cpp
src/components/ogre/widgets/InspectWidget.h
src/components/ogre/widgets/JesusEdit.h
src/components/ogre/widgets/ListHolder.cpp
src/components/ogre/widgets/LoadingBar.cpp
src/components/ogre/widgets/MeshPreview.cpp
src/components/ogre/widgets/MeshPreview.h
src/components/ogre/widgets/MovableObjectRenderer.cpp
src/components/ogre/widgets/MovableObjectRenderer.h
src/components/ogre/widgets/QuickHelp.h
src/components/ogre/widgets/Quit.cpp
src/components/ogre/widgets/Quit.h
src/components/ogre/widgets/ServerWidget.cpp
src/components/ogre/widgets/Widget.cpp
src/components/ogre/widgets/Widget.h
src/components/ogre/widgets/adapters/atlas/PolygonAdapter.cpp
src/components/ogre/widgets/adapters/atlas/PolygonAdapter.h
src/components/ogre/widgets/icons/IconManager.cpp
src/framework/ConsoleBackend.cpp
src/framework/ConsoleBackend.h
src/framework/ConsoleCommandWrapper.cpp
src/framework/IScriptingProvider.h
src/framework/StreamLogObserver.cpp
src/framework/StreamLogObserver.h
src/framework/TimedLog.cpp
src/framework/tasks/ITaskExecutionListener.h
src/main/ConfigBoundLogObserver.cpp
src/services/EmberServices.cpp
src/services/EmberServices.h
src/services/config/ConfigListener.cpp
src/services/config/ConfigListenerContainer.cpp
src/services/config/ConfigService.cpp
src/services/config/ConfigService.h
src/services/input/Input.cpp
src/services/input/Input.h
src/services/input/InputCommandMapper.cpp
src/services/metaserver/MetaserverService.cpp
src/services/metaserver/MetaserverService.h
src/services/scripting/ScriptingService.cpp
src/services/scripting/ScriptingService.h
src/services/server/ServerService.h
src/services/serversettings/ServerSettings.cpp
src/services/sound/SoundService.cpp
src/services/sound/SoundService.h
src/services/time/TimeImpl.cpp

commit 79080a2
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-15

    Set to dev channel.

ember.conf

commit 47b9751
Merge: cfdf028 bbb92fc
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-15

    Merge branch '0.6.1'

commit bbb92fc
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-05-14

    Handle all time as 64 bits.

src/main/Application.cpp

commit 7d22012
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    New cg_pedestal.modeldef file, added entry to entitymappings for the new model.

src/components/ogre/modeldefinitions/cg_pedestal.modeldef
src/components/ogre/modeldefinitions/entitymappings.entitymap.xml

commit 0dfdc41
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    New cg_statue.modeldef file, added entry to entitymappings for the new model.

src/components/ogre/modeldefinitions/cg_statue.modeldef
src/components/ogre/modeldefinitions/entitymappings.entitymap.xml

commit 10b5314
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    New farmers_cap.modeldef file, added 2 entries to entitymappings for hat and the new model.

src/components/ogre/modeldefinitions/entitymappings.entitymap.xml
src/components/ogre/modeldefinitions/farmers_cap.modeldef

commit d7899fa
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    New fishing_lure.modeldef file, added entry to entitymappings for the new model.

src/components/ogre/modeldefinitions/entitymappings.entitymap.xml
src/components/ogre/modeldefinitions/fishing_lure.modeldef

commit f94fded
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    New fishing_hook.modeldef file, added entry to entitymappings for the new model.

src/components/ogre/modeldefinitions/entitymappings.entitymap.xml
src/components/ogre/modeldefinitions/fishing_hook.modeldef

commit 8416425
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    New butcher_house.modeldef file added for existing mapping.

src/components/ogre/modeldefinitions/butcher_house.modeldef

commit efc8297
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    New tent.modeldef file, added entry to entitymappings for the new model.

src/components/ogre/modeldefinitions/entitymappings.entitymap.xml
src/components/ogre/modeldefinitions/tent.modeldef

commit fe0c88a
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    New rabbit.modeldef created with more animations, old rabbit definition removed from creatures.modeldef.xml

src/components/ogre/modeldefinitions/creatures.modeldef.xml
src/components/ogre/modeldefinitions/rabbit.modeldef

commit bfdfeed
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    Modified bass_lm, bluegill, pickerel, tuna modeldef to change usescaleof from depth to none for use with update models.

src/components/ogre/modeldefinitions/bass_lm.modeldef
src/components/ogre/modeldefinitions/bluegill.modeldef
src/components/ogre/modeldefinitions/pickerel.modeldef
src/components/ogre/modeldefinitions/tuna.modeldef

commit 40258c6
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    New twobyfour.modeldef file, added entry to entitymappings for the new model.

src/components/ogre/modeldefinitions/entitymappings.entitymap.xml
src/components/ogre/modeldefinitions/twobyfour.modeldef

commit ce78a8c
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    New board.modeldef and board.entityrecipe files added, new entry to entitymappings.

src/components/ogre/authoring/entityrecipes/board.entityrecipe
src/components/ogre/modeldefinitions/board.modeldef
src/components/ogre/modeldefinitions/entitymappings.entitymap.xml

commit 5d9d778
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    New entry to entitymappings for updated chest model and skeleton.

src/components/ogre/modeldefinitions/entitymappings.entitymap.xml

commit 79f826f
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    Modified spider.modeldef with new animations for new model and skeleton.

src/components/ogre/modeldefinitions/spider.modeldef

commit 476adf0
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    New flying_bird.modeldef file, added entry to entitymappings for the new model.

src/components/ogre/modeldefinitions/entitymappings.entitymap.xml
src/components/ogre/modeldefinitions/flying_bird.modeldef

commit 8f54265
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    Modified horse.modeldef with animations, translated Y+2 for new model and skeleton.

src/components/ogre/modeldefinitions/horse.modeldef

commit f2049f1
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    New duck.modeldef file, added entry to entitymappings for the new model.

src/components/ogre/modeldefinitions/duck.modeldef
src/components/ogre/modeldefinitions/entitymappings.entitymap.xml

commit dbe6216
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    New donkey.modeldef file, added entry to entitymappings for the new model.

src/components/ogre/modeldefinitions/donkey.modeldef
src/components/ogre/modeldefinitions/entitymappings.entitymap.xml

commit e4e9779
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    Modified cow.modeldef to remove rotation and add animations to correct for the updated model.

src/components/ogre/modeldefinitions/cow.modeldef

commit 22bc38d
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    Add a new bear.modeldef file and new entry to entitymappings for the bear model.

src/components/ogre/modeldefinitions/bear.modeldef
src/components/ogre/modeldefinitions/entitymappings.entitymap.xml

commit e460639
Author: Dean Bouvier <demarii.wf@gmail.com>
Date:   2011-04-30

    Changes and additions to entitymappings.entitymap.xml to address placeholders display instead of available content.

src/components/ogre/modeldefinitions/entitymappings.entitymap.xml

commit 54f3f79
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-19

    Added guard for errors when reloading geometry.
    
    If not, there's a risk that the temporary query result is never set to
    null, with subsequent segfault when it's accessed.

src/components/ogre/environment/FoliageLoader.cpp

commit cfdf028
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-19

    Added guard for errors when reloading geometry.
    
    If not, there's a risk that the temporary query result is never set to
    null, with subsequent segfault when it's accessed.

src/components/ogre/environment/FoliageLoader.cpp

commit 2a1450b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-18

    Fix issue with black sky after logout.
    
    For some reason it's caused by the same mesh being reused. Not clear why
    that it (as it shouldn't happen).

src/components/ogre/environment/caelum/src/SkyDome.cpp

commit 62771b6
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-18

    Oops, revert dist to 10000 for clouds.

ember.conf

commit 8bb2aba
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-18

    Cleanup.

src/components/ogre/widgets/InspectWidget.cpp

commit 33002f7
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-18

    Only update the text when something changes.

src/components/ogre/widgets/InspectWidget.cpp
src/components/ogre/widgets/InspectWidget.h
src/components/ogre/widgets/ServerWidget.h

commit 2e5a5cc
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-18

    Update character list when logging out.
    
    Also removed a silly memory leak.

src/components/ogre/widgets/ServerWidget.cpp
src/components/ogre/widgets/ServerWidget.h

commit d333a9d
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-17

    Set release channel.

ember.conf

commit ba19210
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-17

    Mark release.

NEWS

commit 8fda26f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-17

    Make sure that time stamps use 64 bits.

src/components/ogre/Avatar.cpp
src/components/ogre/Avatar.h
src/components/ogre/AvatarTerrainCursor.cpp
src/components/ogre/EmberOgre.cpp
src/components/ogre/model/ModelBackgroundLoader.cpp
src/components/ogre/model/ModelBackgroundLoader.h
src/components/ogre/model/ModelDefinitionManager.cpp
src/components/ogre/model/ModelDefinitionManager.h
src/framework/TimedLog.cpp
src/framework/TimedLog.h
src/framework/tasks/TaskQueue.cpp
src/framework/tasks/TaskQueue.h

commit fc1e2e5
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-17

    Handle exceptions better.

src/components/ogre/mapping/XMLEntityMappingDefinitionSerializer.cpp
src/components/ogre/mapping/XMLEntityMappingDefinitionSerializer.h

commit f3f4d5f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-17

    Fix issues with Ogre and dynamic libs.

src/components/ogre/OgreSetup.cpp

commit bafbe52
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-17

    Removed autopackage specific paths.

ember.in
src/components/ogre/OgreSetup.cpp

commit bf1a232
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-17

    Correctly define SoundDefinition as class.

src/components/ogre/model/ModelDefinition.h

commit c41ca46
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-15

    Bump Eris version.

configure.ac

commit f394432
Merge: 3b9ccce e3ad949
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-15

    Merge branch 'master' of https://github.com/sryan/ember

commit e3ad949
Author: Sean Ryan <sryan@evercrack.com>
Date:   2011-04-06

    Added favourite server listing to ServerBrowser.
    
    Added unnamed column to the ServerBrowser that contains a token
    if the server in question has a saved credential in the server
    settings.

src/components/ogre/widgets/ServerBrowser.layout
src/components/ogre/widgets/ServerBrowser.lua

commit 3b9ccce
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-12

    Removed unused code.

src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeIntersectionSceneQuery.h
src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapePrecompiledHeaders.h
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeIntersectionSceneQuery.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeSceneManager.cpp

commit a391460
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-08

    Don't ignore the media directory.

.gitignore

commit ddca45d
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-08

    Provide overloads for raw strings.
    
    Also for long longs.

src/framework/LoggingInstance.cpp
src/framework/LoggingInstance.h

commit 4fd5476
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-03

    Remove unneeded inclusion of Ogre headers.

src/components/ogre/EmberEntity.cpp
src/components/ogre/EmberEntity.h
src/components/ogre/authoring/SimpleEntityVisualization.cpp
src/components/ogre/terrain/TerrainArea.cpp

commit 951ec8f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-03

    Better docs.

src/components/ogre/AvatarAttachmentController.cpp
src/components/ogre/AvatarAttachmentController.h
src/components/ogre/AvatarCameraMotionHandler.cpp
src/components/ogre/AvatarCameraMotionHandler.h

commit 6d4de08
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-03

    Removed unused file.

src/components/ogre/ConsoleObjectImpl.cpp
src/components/ogre/ConsoleObjectImpl.h
src/components/ogre/EmberOgre.cpp
src/components/ogre/EmberOgre.h
src/components/ogre/Makefile.am

commit 6f82c69
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-03

    Improved docs.

src/components/ogre/Avatar.cpp
src/components/ogre/Avatar.h

commit 75161a4
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-02

    Change directory to prefix before loading CEGUI.
    
    This is needed in order for relative library paths to work, which might
    be the case in some build configuration (like AppImage).

src/components/ogre/EmberOgre.cpp
src/components/ogre/EmberOgre.h
src/components/ogre/GUIManager.cpp
src/components/ogre/GUIManager.h

commit 9b2e7e6
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-04-02

    Added accessor for the prefix.

src/services/config/ConfigService.cpp
src/services/config/ConfigService.h

commit 51a8c4f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-30

    Make sure 64 bits are used.

src/main/Application.cpp
src/main/Application.h

commit 8412cb4
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-29

    Make sure the time is 64 bit on all archs.
    
    The size of a "long" (or actually "long int" as is more correct) is
    size_t, which is 32 bits on 32 bit machines. Breakage ensues.

src/framework/Time.cpp
src/framework/Time.h

commit b6dc2d2
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-20

    Restructure to make it more readable.
    
    Also hopefully fixed win32 issue.

src/components/ogre/EmberOgreFileSystem.cpp

commit e986468
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-20

    Removed unused variable.

src/components/ogre/GUIManager.cpp

commit 86c9bee
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-20

    Remove /// comments from cpp files.
    
    As these kind of comments are picked up by doxygen.

src/components/entitymapping/Cases/CaseBase.cpp
src/components/entitymapping/Cases/EntityBaseCase.cpp
src/components/entitymapping/EntityMappingCreator.cpp
src/components/entitymapping/EntityMappingManager.cpp
src/components/entitymapping/Matches/AttributeMatch.cpp
src/components/entitymapping/Matches/OutfitMatch.cpp
src/components/lua/Connector.cpp
src/components/lua/Connectors.cpp
src/components/lua/LuaConsoleObject.cpp
src/components/lua/LuaHelper.cpp
src/components/lua/LuaScriptingProvider.cpp
src/components/ogre/Avatar.cpp
src/components/ogre/AvatarLogger.cpp
src/components/ogre/AvatarTerrainCursor.cpp
src/components/ogre/EmberEntity.cpp
src/components/ogre/EmberEntityFactory.cpp
src/components/ogre/EmberEntityModelAction.cpp
src/components/ogre/EmberOgre.cpp
src/components/ogre/EmberOgreFileSystem.cpp
src/components/ogre/EntityWorldPickListener.cpp
src/components/ogre/GUICEGUIAdapter.cpp
src/components/ogre/GUIManager.cpp
src/components/ogre/MeshSerializerListener.cpp
src/components/ogre/MovementController.cpp
src/components/ogre/OgreInfo.cpp
src/components/ogre/OgreLogObserver.cpp
src/components/ogre/OgreResourceLoader.cpp
src/components/ogre/OgreSetup.cpp
src/components/ogre/Scene.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingSceneManager.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingSceneManagerAdapter.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeOptions.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapePage.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRaySceneQuery.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeRenderable.cpp
src/components/ogre/ShaderManager.cpp
src/components/ogre/SimpleRenderContext.cpp
src/components/ogre/TerrainPageDataProvider.cpp
src/components/ogre/World.cpp
src/components/ogre/WorldAttachment.cpp
src/components/ogre/WorldEmberEntity.cpp
src/components/ogre/XMLHelper.cpp
src/components/ogre/authoring/EntityMoveManager.cpp
src/components/ogre/authoring/EntityMover.cpp
src/components/ogre/authoring/EntityMoverBase.cpp
src/components/ogre/authoring/EntityRecipe.cpp
src/components/ogre/authoring/GUIAdapter.cpp
src/components/ogre/authoring/MaterialEditor.cpp
src/components/ogre/authoring/MovementAdapter.cpp
src/components/ogre/authoring/PolygonPoint.cpp
src/components/ogre/authoring/PolygonPointMover.cpp
src/components/ogre/authoring/PolygonPointPickListener.cpp
src/components/ogre/authoring/PolygonRenderer.cpp
src/components/ogre/authoring/SimpleEntityVisualization.cpp
src/components/ogre/authoring/SnapToMovement.cpp
src/components/ogre/authoring/XMLEntityRecipeSerializer.cpp
src/components/ogre/camera/FirstPersonCameraMount.cpp
src/components/ogre/camera/MainCamera.cpp
src/components/ogre/camera/ThirdPersonCameraMount.cpp
src/components/ogre/environment/CaelumEnvironment.cpp
src/components/ogre/environment/CaelumSky.cpp
src/components/ogre/environment/EmberEntityLoader.cpp
src/components/ogre/environment/FoliageBase.cpp
src/components/ogre/environment/HydraxWater.cpp
src/components/ogre/environment/SimpleWater.cpp
src/components/ogre/environment/Sun.cpp
src/components/ogre/environment/Water.cpp
src/components/ogre/environment/hydrax/src/MaterialManager.cpp
src/components/ogre/environment/pagedgeometry/source/BatchedGeometry.cpp
src/components/ogre/environment/pagedgeometry/source/ImpostorPage.cpp
src/components/ogre/gui/ActiveWidgetHandler.cpp
src/components/ogre/gui/CEGUILogger.cpp
src/components/ogre/mapping/XMLEntityMappingDefinitionSerializer.cpp
src/components/ogre/model/AnimationSet.cpp
src/components/ogre/model/Model.cpp
src/components/ogre/model/ModelAttachment.cpp
src/components/ogre/model/ModelBackgroundLoader.cpp
src/components/ogre/model/ModelDefinitionAtlasComposer.cpp
src/components/ogre/model/ModelDefinitionManager.cpp
src/components/ogre/model/ModelMount.cpp
src/components/ogre/model/ModelRepresentation.cpp
src/components/ogre/model/SubModelPart.cpp
src/components/ogre/model/XMLModelDefinitionSerializer.cpp
src/components/ogre/sound/SoundAction.cpp
src/components/ogre/sound/SoundEntity.cpp
src/components/ogre/sound/SoundGroup.cpp
src/components/ogre/terrain/Map.cpp
src/components/ogre/terrain/OgreImage.cpp
src/components/ogre/terrain/TerrainArea.cpp
src/components/ogre/terrain/TerrainAreaAddTask.cpp
src/components/ogre/terrain/TerrainAreaRemoveTask.cpp
src/components/ogre/terrain/TerrainAreaUpdateTask.cpp
src/components/ogre/terrain/TerrainEditorOverlay.cpp
src/components/ogre/terrain/TerrainHandler.cpp
src/components/ogre/terrain/TerrainInfo.cpp
src/components/ogre/terrain/TerrainManager.cpp
src/components/ogre/terrain/TerrainPage.cpp
src/components/ogre/terrain/TerrainPageShadow.cpp
src/components/ogre/terrain/TerrainPageSurface.cpp
src/components/ogre/terrain/TerrainPageSurfaceLayer.cpp
src/components/ogre/terrain/TerrainShader.cpp
src/components/ogre/terrain/TerrainShaderUpdateTask.cpp
src/components/ogre/terrain/TerrainUpdateTask.cpp
src/components/ogre/terrain/XMLLayerDefinitionSerializer.cpp
src/components/ogre/terrain/foliage/ClusterPopulator.cpp
src/components/ogre/terrain/techniques/CompilerTechniqueProvider.cpp
src/components/ogre/terrain/techniques/ShaderNormalMappedPass.cpp
src/components/ogre/terrain/techniques/ShaderNormalMappedPassCoverageBatch.cpp
src/components/ogre/terrain/techniques/ShaderPass.cpp
src/components/ogre/terrain/techniques/ShaderPassCoverageBatch.cpp
src/components/ogre/terrain/techniques/Simple.cpp
src/components/ogre/widgets/ActionBarIconManager.cpp
src/components/ogre/widgets/ActionBarIconSlot.cpp
src/components/ogre/widgets/AssetsManager.cpp
src/components/ogre/widgets/Compass.cpp
src/components/ogre/widgets/EntityCEGUITexture.cpp
src/components/ogre/widgets/EntityCreator.cpp
src/components/ogre/widgets/EntityCreatorCreationInstance.cpp
src/components/ogre/widgets/EntityCreatorTypeHelper.cpp
src/components/ogre/widgets/EntityIconDragDropPreview.cpp
src/components/ogre/widgets/EntityIconManager.cpp
src/components/ogre/widgets/EntityIconSlot.cpp
src/components/ogre/widgets/IconBar.cpp
src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/ListHolder.cpp
src/components/ogre/widgets/LoadingBar.cpp
src/components/ogre/widgets/ModelRenderer.cpp
src/components/ogre/widgets/MovableObjectRenderer.cpp
src/components/ogre/widgets/ServerWidget.cpp
src/components/ogre/widgets/StackableContainer.cpp
src/components/ogre/widgets/Widget.cpp
src/components/ogre/widgets/adapters/atlas/AreaAdapter.cpp
src/components/ogre/widgets/adapters/atlas/ListAdapter.cpp
src/components/ogre/widgets/adapters/atlas/PolygonAdapter.cpp
src/components/ogre/widgets/icons/IconImageStore.cpp
src/components/ogre/widgets/icons/IconManager.cpp
src/components/ogre/widgets/icons/IconRenderer.cpp
src/framework/LoggingInstance.cpp
src/framework/StreamLogObserver.cpp
src/framework/Time.cpp
src/main/Ember.cpp
src/services/config/ConfigService.cpp
src/services/input/Input.cpp
src/services/input/InputCommandMapper.cpp
src/services/server/ConnectedAdapter.cpp
src/services/sound/SoundInstance.cpp
src/services/sound/SoundService.cpp
src/services/sound/SoundSource.cpp
src/services/time/TimeImpl.cpp
src/services/wfut/WfutSession.cpp

commit 1e3f608
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-20

    Create empty user ember.conf if none there.
    
    Just as a template, to make it easier for people to discover it.

src/main/Application.cpp

commit 19b0c45
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-20

    Find particle system images too.

make_dist_media.sh

commit b654fcb
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-20

    Put transparent particles into later queue.
    
    This fixes an issue with transparent particle systems and the water and
    the foliage.

src/components/ogre/model/Model.cpp

commit 404ead7
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-19

    Fix issue with foliage and water.

src/components/ogre/environment/SimpleWater.cpp

commit 40af563
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-19

    Removed obsolete file.

src/services/Makefile.am
src/services/ServiceTest.cpp
src/services/test/Makefile.am
src/services/test/TestService.cpp
src/services/test/TestService.h

commit cb7b30f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-19

    Show connection progress.
    
    With a "cancel" option.

src/components/ogre/widgets/ServerBrowser.layout
src/components/ogre/widgets/ServerBrowser.lua

commit 5e7a8bd
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-19

    Added event for connection status changed.

src/services/bindings/lua/ServerService.pkg
src/services/server/ServerService.cpp
src/services/server/ServerService.h

commit ce03397
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-19

    Added Lua bindings for BaseConnection.
    
    Mainly connection statuses.

src/bindings/lua/ConnectorDefinitions.pkg
src/bindings/lua/TypeResolving.h
src/framework/bindings/lua/eris/BaseConnection.pkg
src/framework/bindings/lua/eris/Connection.pkg
src/framework/bindings/lua/eris/Eris.pkg
src/framework/bindings/lua/eris/Makefile.am

commit 1337e3c
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-19

    Disconnect any existing connections first.

src/services/server/ServerService.cpp

commit 81e2211
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-19

    Bump required libraries.

configure.ac

commit 4198fc2
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-15

    Bump latest version.

ember.conf

commit 550d216
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-15

    Handle corrupt particle systems.
    
    Instead of getting exceptions thrown in the main render loop we try to
    load them in advance to see if we'll get any exception up front. If so
    we'll remove them.

src/components/ogre/model/Model.cpp

commit 72d4ff2
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-13

    We shouldn't call SDL_VideoQuit ourselves.

src/components/ogre/OgreSetup.cpp

commit 3dab331
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-13

    Fixed usage instruction.

make_dist_media.sh

commit f85e516
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-11

    Clean up after test.

test/Makefile.am

commit 0d8708b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-09

    Remove option not used with Ogre anymore.

src/components/ogre/ogre.cfg

commit c132de3
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-09

    Handle incorrect ogre.cfg files.

src/components/ogre/OgreSetup.cpp

commit e48538e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-03-09

    Print more camera info.

src/components/ogre/OgreInfo.cpp

commit b8a720b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-27

    Don't use any timeout inside of the Eris poll.
    
    This should let Ember be more precise.

src/main/Application.cpp

commit c440096
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-27

    Added a setting for specifying the camera movement.
    
    Default to 180 degrees per mouse unit.

ember.conf
src/components/ogre/Avatar.cpp
src/components/ogre/Avatar.h
src/components/ogre/Makefile.am
src/components/ogre/MovementController.cpp
src/components/ogre/World.cpp
src/components/ogre/camera/CameraMountBase.cpp
src/components/ogre/camera/CameraMountBase.h
src/components/ogre/camera/CameraSettings.cpp
src/components/ogre/camera/CameraSettings.h
src/components/ogre/camera/FirstPersonCameraMount.cpp
src/components/ogre/camera/FirstPersonCameraMount.h
src/components/ogre/camera/MainCamera.cpp
src/components/ogre/camera/MainCamera.h
src/components/ogre/camera/ThirdPersonCameraMount.cpp
src/components/ogre/camera/ThirdPersonCameraMount.h

commit bd523f3
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-27

    Try to even out the frame rate a little.

src/main/Application.cpp
src/main/Application.h

commit 38ce4d7
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-27

    Document and cleanup.
    
    Also better handling of failure in the preparation step of terrain
    surface compilation.

src/components/ogre/terrain/TerrainMaterialCompilationTask.cpp
src/components/ogre/terrain/TerrainMaterialCompilationTask.h
src/components/ogre/terrain/TerrainPageSurfaceCompiler.cpp
src/components/ogre/terrain/TerrainPageSurfaceCompiler.h
src/components/ogre/terrain/techniques/Base.h
src/components/ogre/terrain/techniques/CompilerTechniqueProvider.cpp
src/components/ogre/terrain/techniques/Shader.cpp
src/components/ogre/terrain/techniques/Shader.h
src/components/ogre/terrain/techniques/ShaderPassCoverageBatch.cpp

commit e3a524f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-27

    Better docs and structure.

src/main/Application.cpp
src/main/Application.h
src/main/ConfigBoundLogObserver.cpp
src/main/ConfigBoundLogObserver.h

commit 6a1e08e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-27

    Cleanup includes.

src/components/ogre/OgreIncludes.h
src/components/ogre/ShadowCameraSetup.cpp
src/components/ogre/ShadowCameraSetup.h

commit 04f00d2
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-27

    Set the clip distances through config.
    
    Also decrease the far clip distance to 1000 to improve shadow
    resolution.

ember.conf
src/components/ogre/camera/MainCamera.cpp
src/components/ogre/camera/MainCamera.h

commit dfb0751
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-26

    Allow reloading of multiple resources.

src/components/ogre/widgets/AssetsManager.layout
src/components/ogre/widgets/AssetsManager.lua

commit bb839ae
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-20

    Added ability to alter the time multiplier.

src/components/ogre/environment/CaelumEnvironment.cpp
src/components/ogre/environment/CaelumEnvironment.h
src/components/ogre/environment/Environment.cpp
src/components/ogre/environment/Environment.h
src/components/ogre/environment/SimpleEnvironment.cpp
src/components/ogre/environment/SimpleEnvironment.h
src/components/ogre/scripting/bindings/lua/Environment.pkg
src/components/ogre/widgets/Environment.layout
src/components/ogre/widgets/Environment.lua

commit 77a9b9b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-18

    Don't store a resource pointer.
    
    As it will lead to crashes when shutting down, as the resource pointer
    is unloaded.

src/components/ogre/widgets/AssetsManager.lua

commit 5f0b6ef
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-18

    Log errors more correctly.

src/components/ogre/GUIManager.cpp
src/components/ogre/widgets/ServerWidget.cpp
src/components/ogre/widgets/Widget.cpp
src/components/ogre/widgets/adapters/atlas/AdapterFactory.cpp

commit 03e9c2a
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-18

    Added some checks for smoother frame rate.
    
    We're now capping the time allowed to do resource loading in the main
    thread each frame. This should increase the smootheness when a lot of
    new resources are loaded at once. But it's still a crude approach. We
    should be more smart about how we measure fps etc.

src/components/ogre/EmberOgre.cpp
src/components/ogre/model/Model.cpp
src/components/ogre/model/ModelBackgroundLoader.cpp
src/components/ogre/model/ModelBackgroundLoader.h
src/components/ogre/model/ModelDefinitionManager.cpp
src/components/ogre/model/ModelDefinitionManager.h

commit 79a734a
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-17

    Fixed corner case segfault.

src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapePageManager.cpp

commit d5c99fe
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-17

    Assume "dot" is in the path.

ember.dox.in

commit 78a7af4
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-17

    Updated doxygen to latest version.

ember.dox.in

commit 29226eb
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-17

    Fixed strict compiler warning.

src/components/ogre/SceneManagers/EmberPagingSceneManager/src/filetutils.cpp

commit 33b6bea
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-14

    Remove not needed chdir.

src/components/ogre/GUIManager.cpp

commit d081607
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-14

    Fixed silly crash.

src/components/ogre/EmberOgre.cpp
src/components/ogre/EmberOgre.h
src/main/Application.cpp

commit d35f3b6
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-12

    Cleanup includes.

src/components/ogre/EntityWorldPickListener.cpp
src/components/ogre/environment/FoliageBase.cpp
src/components/ogre/environment/FoliageLoader.cpp
src/components/ogre/sound/SoundGroup.cpp

commit ad01992
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-12

    Updated model definitions.

src/components/ogre/modeldefinitions/cg_houseC.modeldef
src/components/ogre/modeldefinitions/cg_house_A.modeldef
src/components/ogre/modeldefinitions/cg_house_B.modeldef
src/components/ogre/modeldefinitions/cg_house_D.modeldef
src/components/ogre/modeldefinitions/cg_house_ruin.modeldef
src/components/ogre/modeldefinitions/cg_wall_corner.modeldef
src/components/ogre/modeldefinitions/cg_wall_gate.modeldef
src/components/ogre/modeldefinitions/cg_wall_run.modeldef
src/components/ogre/modeldefinitions/cg_wall_stairs.modeldef
src/components/ogre/modeldefinitions/cow.modeldef
src/components/ogre/modeldefinitions/signpost.modeldef
src/components/ogre/modeldefinitions/signpost_left.modeldef
src/components/ogre/modeldefinitions/signpost_right.modeldef
src/components/ogre/modeldefinitions/stone_palisade.modeldef
src/components/ogre/modeldefinitions/wooden_fence.modeldef
src/components/ogre/modeldefinitions/wooden_gate.modeldef

commit 9151d32
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-12

    Lighten up includes.

src/components/ogre/authoring/PolygonPointMover.cpp
src/components/ogre/camera/MainCamera.cpp
src/framework/osdir.h
src/services/input/Input.cpp
src/services/input/Input.h

commit 06eaa84
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-12

    Remove use of singleton.

src/components/ogre/EmberOgre.cpp
src/components/ogre/EmberOgre.h
src/components/ogre/World.cpp
src/components/ogre/World.h
src/main/Application.cpp

commit fe3ff73
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-12

    Provide better info.

src/components/ogre/OgreInfo.cpp

commit 250d915
Author: Alistair Riddoch <alriddoch@googlemail.com>
Date:   2011-02-10

    Add cstdlib include as required

src/components/ogre/widgets/adapters/atlas/OrientationAdapter.cpp
src/components/ogre/widgets/adapters/atlas/Position2DAdapter.cpp
src/components/ogre/widgets/adapters/atlas/PositionAdapter.cpp
src/components/ogre/widgets/adapters/atlas/SizeAdapter.cpp

commit 239630d
Merge: 602816d 84df279
Author: Alistair Riddoch <alriddoch@googlemail.com>
Date:   2011-02-10

    Merge branch 'master' of ssh://git.worldforge.org/data/git/ember

commit 602816d
Author: Alistair Riddoch <alriddoch@googlemail.com>
Date:   2011-02-10

    Add includes required because of wfmath changes

src/components/ogre/authoring/Polygon.h
src/components/ogre/authoring/SnapToMovement.cpp
src/components/ogre/terrain/TerrainArea.cpp
src/services/sound/SoundService.cpp
src/services/sound/SoundSource.cpp

commit 84df279
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-08

    Check for FreeImage support. Fix for #587238

configure.ac

commit 8b6c69a
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-06

    Fixed issues with the compass and high level.

src/components/ogre/terrain/techniques/ShaderNormalMappedPass.cpp
src/components/ogre/terrain/techniques/ShaderPass.cpp

commit dfcab01
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-06

    Queue updates to once each frame.

src/components/ogre/widgets/Compass.cpp
src/components/ogre/widgets/Compass.h

commit ab58fec
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-06

    Use a terrain observer to update the compass.
    
    We'll listen to changes to the terrain and issue an update when needed.
    This should be altered to use a delayed frame renderer instead, so that
    only one rendering per frame will take place for each terrain tile being
    updated.

src/components/ogre/scripting/bindings/lua/Compass.pkg
src/components/ogre/widgets/Compass.cpp
src/components/ogre/widgets/Compass.h
src/components/ogre/widgets/Compass.lua

commit 5154641
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-06

    Make sure signals are emitted when a tile is shown.

src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapeTile.cpp

commit 1fd6f27
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-06

    Added methods for handling terrain observers.

src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingSceneManagerAdapter.h
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingSceneManagerAdapter.cpp
src/components/ogre/terrain/ISceneManagerAdapter.h

commit 8a86b07
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-06

    Added a terrain observer.
    
    This is an interface which allows for observation of terrain changes in
    the scene manager. We'll also provide a concrete implementation for the
    PagingLandscape scene manager currently used.

src/components/ogre/Makefile.am
src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingTerrainObserver.h
src/components/ogre/SceneManagers/EmberPagingSceneManager/include/Makefile.am
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingTerrainObserver.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/Makefile.am
src/components/ogre/terrain/ITerrainObserver.h

commit 54a6aa2
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-06

    Remove unused export macro.

src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeListener.h

commit bac3387
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-06

    Fix bounds and add signal and accessor.

src/components/ogre/terrain/Map.cpp
src/components/ogre/terrain/Map.h

commit 498d936
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-02-06

    Expose a signal for the terrain being destroyed.

src/components/ogre/EmberOgreSignals.h
src/components/ogre/WorldEmberEntity.cpp
src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
src/components/ogre/widgets/Compass.lua

commit 1af519e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-29

    Remove invalid properties.

src/components/ogre/widgets/QuickHelp.layout

commit 4e3b493
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-29

    Fix bug which hid some pages.
    
    The issue was that if a page was loaded, but then became not visible
    (because it was too far away from the camera) there was no code path
    which could made it visible again. This commit fixes that.
    See bug #631448

src/components/ogre/SceneManagers/EmberPagingSceneManager/src/OgrePagingLandScapePage.cpp

commit 85904f8
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-29

    Added terrain page performance info.

src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingSceneManagerAdapter.cpp

commit 95cd81d
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-27

    Use correct property.

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel

commit ae47ed1
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-27

    Fixed issue with axis markers not being shown.

src/components/ogre/widgets/EntityCreatorCreationInstance.cpp

commit 49e8ff0
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-17

    Fixed crash in snap to behaviour.

src/components/ogre/authoring/EntityMoverBase.cpp
src/components/ogre/widgets/Mover.lua

commit ec73399
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-16

    Added extra check for tolua++5.1.
    
    Which is the name of the tolua++ command on Ubuntu. Should make it
    easier to compile.

acinclude.m4

commit 332d59e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-16

    Use the EntityCreator when creating a type too.
    
    This allows for the more advanced features, such as the ability to place
    the entity.

src/components/ogre/widgets/EntityCreator.lua

commit c1bef96
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-16

    Extended lua bindings.

src/bindings/lua/ConnectorDefinitions.pkg
src/bindings/lua/TypeResolving.cpp
src/bindings/lua/TypeResolving.h

commit ab1e85e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-16

    Allow for creation of detached recipes.

src/components/ogre/authoring/EntityRecipe.cpp
src/components/ogre/authoring/EntityRecipe.h
src/components/ogre/scripting/bindings/lua/EntityRecipe.pkg

commit 1e22bf5
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-16

    Emit a signal instead of creating directly.

src/components/ogre/scripting/bindings/lua/EntityCreatorTypeHelper.pkg
src/components/ogre/widgets/EntityCreatorTypeHelper.cpp
src/components/ogre/widgets/EntityCreatorTypeHelper.h

commit a8ce79a
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-16

    Don't set name.

src/components/ogre/widgets/EntityCreatorCreationInstance.cpp

commit a537248
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-16

    Initialize mapping first.
    
    Else the entity mapping framework won't work correctly.

src/components/ogre/EmberEntity.cpp

commit 1556346
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-15

    Added some more logging.

src/components/ogre/widgets/EntityCreatorCreationInstance.cpp

commit 0ccc227
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-15

    Make sure initialization is performed.

src/components/ogre/authoring/DetachedEntity.cpp
src/components/ogre/authoring/DetachedEntity.h
src/components/ogre/widgets/EntityCreatorCreationInstance.cpp

commit 975f8f1
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-15

    Remove some tangling.

src/components/ogre/scripting/bindings/lua/EntityCreator.pkg
src/components/ogre/widgets/EntityCreator.cpp
src/components/ogre/widgets/EntityCreator.h
src/components/ogre/widgets/EntityCreator.lua

commit d1ff96c
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-13

    Refactored the entity creator.
    
    We'll now use a creation instance object for each creation, allowing for
    easier separation of concerns and cleanup.

src/components/ogre/Makefile.am
src/components/ogre/scripting/bindings/lua/EntityCreator.pkg
src/components/ogre/widgets/EntityCreator.cpp
src/components/ogre/widgets/EntityCreator.h
src/components/ogre/widgets/EntityCreatorActionCreator.cpp
src/components/ogre/widgets/EntityCreatorActionCreator.h
src/components/ogre/widgets/EntityCreatorCreationInstance.cpp
src/components/ogre/widgets/EntityCreatorCreationInstance.h
src/components/ogre/widgets/EntityCreatorHideModelAction.cpp
src/components/ogre/widgets/EntityCreatorHideModelAction.h
src/components/ogre/widgets/EntityCreatorModelAction.cpp
src/components/ogre/widgets/EntityCreatorModelAction.h
src/components/ogre/widgets/EntityCreatorMovement.cpp
src/components/ogre/widgets/EntityCreatorMovement.h
src/components/ogre/widgets/EntityCreatorMovementBridge.cpp
src/components/ogre/widgets/EntityCreatorMovementBridge.h
src/components/ogre/widgets/EntityCreatorPartAction.cpp
src/components/ogre/widgets/EntityCreatorPartAction.h

commit 4426174
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-09

    Fixed issue with entity not being correctly destroyed.

src/components/ogre/authoring/PolygonPoint.cpp

commit 28cadcf
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-09

    Fixed bug with terrain area editing not working.

src/components/ogre/scripting/bindings/lua/TerrainLayerDefinitionManager.pkg

commit cf497de
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-09

    Only create polygon instance in one place.

src/components/ogre/widgets/adapters/atlas/PolygonAdapter.cpp
src/components/ogre/widgets/adapters/atlas/PolygonAdapter.h

commit c8a701e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-09

    Renamed to better reflect refactoring.

src/components/ogre/Makefile.am
src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
src/components/ogre/scripting/bindings/lua/EntityCreatorTypeHelper.pkg
src/components/ogre/scripting/bindings/lua/MakeEntityWidget.pkg
src/components/ogre/scripting/bindings/lua/Makefile.am
src/components/ogre/widgets/EntityCreator.lua
src/components/ogre/widgets/EntityCreatorTypeHelper.cpp
src/components/ogre/widgets/EntityCreatorTypeHelper.h
src/components/ogre/widgets/MakeEntityWidget.cpp
src/components/ogre/widgets/MakeEntityWidget.h
src/components/ogre/widgets/WidgetDefinitions.cpp
src/components/ogre/widgets/WidgetDefinitions.h

commit 17be9ea
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-09

    Added a tab for creating raw types.

src/components/ogre/widgets/EntityCreator.layout
src/components/ogre/widgets/EntityCreator.lua

commit 8a6862a
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-09

    Alter into a helper class.
    
    Instead of being a separate widget we'll use it in the main entity
    creator widget.

src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
src/components/ogre/scripting/bindings/lua/MakeEntityWidget.pkg
src/components/ogre/scripting/bindings/lua/Makefile.am
src/components/ogre/widgets/MakeEntityWidget.cpp
src/components/ogre/widgets/MakeEntityWidget.h
src/components/ogre/widgets/WidgetDefinitions.cpp

commit d0935d9
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-09

    Added option to throw when not finding window.

src/components/ogre/scripting/bindings/lua/Widget.pkg
src/components/ogre/widgets/Widget.cpp
src/components/ogre/widgets/Widget.h

commit a557da5
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-09

    Added more lua bindings.

src/framework/bindings/lua/eris/View.pkg

commit f3d8168
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-08

    Fixed bug with entity creator.

src/components/ogre/scripting/bindings/lua/EntityRecipe.pkg

commit 4ded20b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-08

    Fix warning.

src/components/ogre/terrain/TerrainHandler.cpp

commit 542ddb3
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-08

    Adapt to new API.

src/components/ogre/terrain/TerrainManager.cpp
src/components/ogre/terrain/TerrainMod.cpp
src/components/ogre/terrain/TerrainModAddTask.cpp
src/components/ogre/terrain/TerrainModChangeTask.cpp
src/components/ogre/terrain/TerrainModRemoveTask.cpp
src/components/ogre/terrain/Types.h

commit f92be95
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-26

    Refactor terrain mod handling.
    
    To use the new API we need to separate out the parsing of the atlas data
    to the background tasks. Since this is too tightly coupled to the
    main Eris polling loop in Eris::TerrainMod we won't use that class at
    all, instead directly using InnerTerrainMod. The handling of all of the
    terrain data then occurs in the TerrainMod*Task classes.

src/components/ogre/EmberEntity.cpp
src/components/ogre/terrain/TerrainHandler.cpp
src/components/ogre/terrain/TerrainMod.cpp
src/components/ogre/terrain/TerrainMod.h
src/components/ogre/terrain/TerrainModAddTask.cpp
src/components/ogre/terrain/TerrainModAddTask.h
src/components/ogre/terrain/TerrainModChangeTask.cpp
src/components/ogre/terrain/TerrainModChangeTask.h
src/components/ogre/terrain/TerrainModRemoveTask.cpp
src/components/ogre/terrain/TerrainModRemoveTask.h
src/components/ogre/terrain/TerrainModTaskBase.cpp
src/components/ogre/terrain/TerrainModTaskBase.h
src/components/ogre/terrain/Types.h
test/TestTerrain.cpp

commit f919aba
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-26

    Bump required Mercator version.
    
    For API rewrite.

configure.ac

commit d5046c9
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2011-01-06

    Refer to the correct command.

configure.ac

commit ca64cf4
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-26

    Test the Height Maps.
    
    Instead of the underlying Mercator terrain.

test/TestTerrain.cpp

commit b06338a
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-26

    Fixed a bug with flat segments and mods.
    
    The mods weren't taken into consideration when calculating whether a
    segment was flat or not.

src/components/ogre/terrain/GeometryUpdateTask.cpp
src/components/ogre/terrain/HeightMapUpdateTask.cpp

commit 1c4a17e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-26

    Simplify the test.

test/TestTerrain.cpp

commit 714ad80
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-25

    Added test for updating the terrain.

test/TestTerrain.cpp

commit a67213a
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-23

    Fixed race condition.
    
    By making sure that all terrain handling operation occur in the worker
    thread.

src/components/ogre/terrain/TerrainHandler.cpp
src/components/ogre/terrain/TerrainModAddTask.cpp
src/components/ogre/terrain/TerrainModChangeTask.cpp
src/components/ogre/terrain/TerrainModChangeTask.h
src/components/ogre/terrain/TerrainModRemoveTask.cpp
src/components/ogre/terrain/TerrainModRemoveTask.h

commit 3544e41
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-19

    Added test for adding terrain mod.
    
    This will currently fail due to a race condition in adding and removing
    mods.

test/TestTerrain.cpp

commit a2a0b56
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-12

    Loosen the coupling a little.
    
    To make it easier to test.

src/components/ogre/terrain/TerrainMod.cpp
src/components/ogre/terrain/TerrainMod.h

commit c539a36
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-12

    Make the test setup easier to follow.

test/TestTerrain.cpp

commit a94dd49
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-12

    Extended tests for terrain.

test/TestTerrain.cpp

commit c687a51
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-12

    Added more tests for task ordering.

test/TestTasks.cpp

commit dfe00d2
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-12

    Added ability to use listeners for subtasks.

src/framework/tasks/TaskExecutionContext.cpp
src/framework/tasks/TaskExecutionContext.h
src/framework/tasks/TaskUnit.cpp
src/framework/tasks/TaskUnit.h

commit 4287a39
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-12

    Added test for task order.

test/TestTasks.cpp

commit a5adce3
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-09

    Extend tests.

test/TestTerrain.cpp

commit fc52eb5
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-08

    Added a terrain test.

test/Makefile.am
test/TestTerrain.cpp

commit 0cffc6a
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-07

    Refactored the terrain manager.
    
    We now provide a TerrainHandler which handles most of the terrain
    functionality, but isn't particularily bound to Ogre. This allows us to
    better separate out tests for the TerrainHandler without having to worry
    about mocking all of Ogre.

src/components/ogre/Makefile.am
src/components/ogre/TerrainPageDataProvider.cpp
src/components/ogre/TerrainPageDataProvider.h
src/components/ogre/WorldEmberEntity.cpp
src/components/ogre/environment/Foliage.cpp
src/components/ogre/environment/FoliageBase.cpp
src/components/ogre/environment/FoliageBase.h
src/components/ogre/environment/Forest.cpp
src/components/ogre/environment/GrassFoliage.cpp
src/components/ogre/environment/GrassFoliage.h
src/components/ogre/environment/ShrubberyFoliage.cpp
src/components/ogre/environment/ShrubberyFoliage.h
src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
src/components/ogre/scripting/bindings/lua/Makefile.am
src/components/ogre/scripting/bindings/lua/TerrainHandler.pkg
src/components/ogre/scripting/bindings/lua/TerrainManager.pkg
src/components/ogre/terrain/GeometryUpdateTask.cpp
src/components/ogre/terrain/GeometryUpdateTask.h
src/components/ogre/terrain/HeightMap.h
src/components/ogre/terrain/ICompilerTechniqueProvider.h
src/components/ogre/terrain/TerrainAreaAddTask.cpp
src/components/ogre/terrain/TerrainAreaAddTask.h
src/components/ogre/terrain/TerrainEditorOverlay.cpp
src/components/ogre/terrain/TerrainHandler.cpp
src/components/ogre/terrain/TerrainHandler.h
src/components/ogre/terrain/TerrainManager.cpp
src/components/ogre/terrain/TerrainManager.h
src/components/ogre/terrain/TerrainModAddTask.cpp
src/components/ogre/terrain/TerrainModAddTask.h
src/components/ogre/terrain/TerrainModChangeTask.cpp
src/components/ogre/terrain/TerrainModChangeTask.h
src/components/ogre/terrain/TerrainModRemoveTask.cpp
src/components/ogre/terrain/TerrainModRemoveTask.h
src/components/ogre/terrain/TerrainModTaskBase.cpp
src/components/ogre/terrain/TerrainModTaskBase.h
src/components/ogre/terrain/TerrainPage.cpp
src/components/ogre/terrain/TerrainPage.h
src/components/ogre/terrain/TerrainPageCreationTask.cpp
src/components/ogre/terrain/TerrainPageCreationTask.h
src/components/ogre/terrain/TerrainPageSurface.cpp
src/components/ogre/terrain/TerrainPageSurface.h
src/components/ogre/terrain/TerrainPageSurfaceCompiler.cpp
src/components/ogre/terrain/TerrainPageSurfaceCompiler.h
src/components/ogre/terrain/TerrainShaderParser.cpp
src/components/ogre/terrain/TerrainUpdateTask.cpp
src/components/ogre/terrain/TerrainUpdateTask.h
src/components/ogre/terrain/techniques/CompilerTechniqueProvider.cpp
src/components/ogre/terrain/techniques/CompilerTechniqueProvider.h
src/components/ogre/terrain/techniques/Shader.cpp
src/components/ogre/terrain/techniques/Shader.h
src/components/ogre/terrain/techniques/ShaderNormalMapped.cpp
src/components/ogre/terrain/techniques/ShaderNormalMapped.h
src/components/ogre/terrain/techniques/ShaderNormalMappedPass.cpp
src/components/ogre/terrain/techniques/ShaderNormalMappedPass.h
src/components/ogre/terrain/techniques/ShaderPass.cpp
src/components/ogre/terrain/techniques/ShaderPass.h

commit 3bfc698
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-04

    Remove some more tangle.

src/components/ogre/WorldEmberEntity.cpp
src/components/ogre/terrain/TerrainManager.cpp
src/components/ogre/terrain/TerrainManager.h

commit 92f9603
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-03

    Remove some tangle.

src/components/ogre/Scene.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/include/OgrePagingLandScapeSceneManager.h

commit 20873fb
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-03

    Use "dev" media.

ember.conf

commit 6f4ade9
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-02

    Added fallback for tolua++ on Debian systems.

configure.ac

commit 5af833e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-30

    Handle there only being one display token.

src/components/ogre/OgreSetup.cpp

commit 7d13836
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-12-01

    Move entity pos update to the WorldEntity.
    
    Making it a little less tangled in the process.

src/components/ogre/WorldEmberEntity.cpp
src/components/ogre/WorldEmberEntity.h
src/components/ogre/terrain/GeometryUpdateTask.cpp
src/components/ogre/terrain/TerrainManager.cpp
src/components/ogre/terrain/TerrainManager.h

commit 7978b1d
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-29

    Put events last in the public decl.

src/components/ogre/terrain/TerrainManager.h

commit ee28572
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-29

    Extended tests.

test/Makefile.am
test/TestTasks.cpp

commit 7ee03aa
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-29

    Added tests for the Tasks.

test/Makefile.am
test/TestOgreView.h
test/TestTasks.cpp

commit 49b0162
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-28

    Renamed OgreView tests accordinly.

test/Makefile.am
test/TestOgreView.cpp
test/TestOgreView.h
test/TestServices.cpp
test/TestServices.h

commit ce21756
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-28

    Added missing assert include (thanks James Lovejoy).

src/framework/tasks/TaskQueue.cpp

commit 2bbc6e5
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-28

    Match schema against what's being parsed.

src/components/ogre/authoring/entityrecipes/entityrecipe.xsd

commit 958ce75
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-28

    Moved namespace EmberOgre to Ember::OgreView.
    
    This finally moves everything under the common "Ember" namespace.

src/bindings/lua/ConnectorDefinitions.pkg
src/bindings/lua/TypeResolving.cpp
src/bindings/lua/TypeResolving.h
src/components/carpenter/Carpenter.h
src/components/lua/Connectors.cpp
src/components/lua/LuaScriptingProvider.cpp
src/components/lua/bindings/lua/Connector.pkg
src/components/lua/bindings/lua/LuaConsoleObject.pkg
src/components/ogre/AttachmentBase.cpp
src/components/ogre/AttachmentBase.h
src/components/ogre/Avatar.cpp
src/components/ogre/Avatar.h
src/components/ogre/AvatarAttachmentController.cpp
src/components/ogre/AvatarAttachmentController.h
src/components/ogre/AvatarCameraMotionHandler.cpp
src/components/ogre/AvatarCameraMotionHandler.h
src/components/ogre/AvatarLogger.cpp
src/components/ogre/AvatarLogger.h
src/components/ogre/AvatarTerrainCursor.cpp
src/components/ogre/AvatarTerrainCursor.h
src/components/ogre/ConsoleObjectImpl.cpp
src/components/ogre/ConsoleObjectImpl.h
src/components/ogre/Convert.h
src/components/ogre/DelegatingNodeController.cpp
src/components/ogre/DelegatingNodeController.h
src/components/ogre/EmberEntity.cpp
src/components/ogre/EmberEntity.h
src/components/ogre/EmberEntityActionCreator.cpp
src/components/ogre/EmberEntityActionCreator.h
src/components/ogre/EmberEntityFactory.cpp
src/components/ogre/EmberEntityFactory.h
src/components/ogre/EmberEntityHideModelAction.cpp
src/components/ogre/EmberEntityHideModelAction.h
src/components/ogre/EmberEntityModelAction.cpp
src/components/ogre/EmberEntityModelAction.h
src/components/ogre/EmberEntityPartAction.cpp
src/components/ogre/EmberEntityPartAction.h
src/components/ogre/EmberEntityUserObject.cpp
src/components/ogre/EmberEntityUserObject.h
src/components/ogre/EmberOgre.cpp
src/components/ogre/EmberOgre.h
src/components/ogre/EmberOgreFileSystem.cpp
src/components/ogre/EmberOgreFileSystem.h
src/components/ogre/EmberOgrePrerequisites.h
src/components/ogre/EmberOgreSignals.h
src/components/ogre/EntityObserverBase.cpp
src/components/ogre/EntityObserverBase.h
src/components/ogre/EntityWorldPickListener.cpp
src/components/ogre/EntityWorldPickListener.h
src/components/ogre/ForestRenderingTechnique.cpp
src/components/ogre/ForestRenderingTechnique.h
src/components/ogre/FreeFlyingCameraMotionHandler.cpp
src/components/ogre/FreeFlyingCameraMotionHandler.h
src/components/ogre/GUICEGUIAdapter.cpp
src/components/ogre/GUICEGUIAdapter.h
src/components/ogre/GUIManager.cpp
src/components/ogre/GUIManager.h
src/components/ogre/HiddenAttachment.cpp
src/components/ogre/HiddenAttachment.h
src/components/ogre/IAnimated.h
src/components/ogre/ICameraMotionHandler.h
src/components/ogre/ICollisionDetector.h
src/components/ogre/IEntityAttachment.h
src/components/ogre/IEntityControlDelegate.h
src/components/ogre/IEntityVisitor.h
src/components/ogre/IGraphicalRepresentation.h
src/components/ogre/ILightning.h
src/components/ogre/IMovable.h
src/components/ogre/IMovementProvider.h
src/components/ogre/INodeProvider.h
src/components/ogre/ISceneRenderingTechnique.h
src/components/ogre/IVisualizable.h
src/components/ogre/IWorldPickListener.h
src/components/ogre/MediaUpdater.cpp
src/components/ogre/MediaUpdater.h
src/components/ogre/MeshCollisionDetector.cpp
src/components/ogre/MeshCollisionDetector.h
src/components/ogre/MeshSerializerListener.cpp
src/components/ogre/MeshSerializerListener.h
src/components/ogre/MotionManager.cpp
src/components/ogre/MotionManager.h
src/components/ogre/MousePicker.cpp
src/components/ogre/MousePicker.h
src/components/ogre/MovementController.cpp
src/components/ogre/MovementController.h
src/components/ogre/NodeAttachment.cpp
src/components/ogre/NodeAttachment.h
src/components/ogre/NodeController.cpp
src/components/ogre/NodeController.h
src/components/ogre/OgreInfo.cpp
src/components/ogre/OgreInfo.h
src/components/ogre/OgreLogObserver.cpp
src/components/ogre/OgreLogObserver.h
src/components/ogre/OgreResourceLoader.cpp
src/components/ogre/OgreResourceLoader.h
src/components/ogre/OgreResourceProvider.cpp
src/components/ogre/OgreResourceProvider.h
src/components/ogre/OgreSetup.cpp
src/components/ogre/OgreSetup.h
src/components/ogre/OpcodeCollisionDetector.cpp
src/components/ogre/OpcodeCollisionDetector.h
src/components/ogre/OpcodeCollisionDetectorVisualizer.cpp
src/components/ogre/OpcodeCollisionDetectorVisualizer.h
src/components/ogre/Scene.cpp
src/components/ogre/Scene.h
src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingLandScapeData2D_HeightField.h
src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingLandScapeTexture.h
src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingSceneManager.h
src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberPagingSceneManagerAdapter.h
src/components/ogre/SceneManagers/EmberPagingSceneManager/include/EmberTerrainPageBridge.h
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeData2D_HeightField.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingLandScapeTexture.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingSceneManager.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberPagingSceneManagerAdapter.cpp
src/components/ogre/SceneManagers/EmberPagingSceneManager/src/EmberTerrainPageBridge.cpp
src/components/ogre/SceneNodeProvider.cpp
src/components/ogre/SceneNodeProvider.h
src/components/ogre/ShaderManager.cpp
src/components/ogre/ShaderManager.h
src/components/ogre/ShadowCameraSetup.cpp
src/components/ogre/ShadowCameraSetup.h
src/components/ogre/SimpleRenderContext.cpp
src/components/ogre/SimpleRenderContext.h
src/components/ogre/TerrainPageDataProvider.cpp
src/components/ogre/TerrainPageDataProvider.h
src/components/ogre/Types.h
src/components/ogre/World.cpp
src/components/ogre/World.h
src/components/ogre/WorldAttachment.cpp
src/components/ogre/WorldAttachment.h
src/components/ogre/WorldEmberEntity.cpp
src/components/ogre/WorldEmberEntity.h
src/components/ogre/XMLHelper.cpp
src/components/ogre/XMLHelper.h
src/components/ogre/authoring/AtlasObjectDecoder.cpp
src/components/ogre/authoring/AtlasObjectDecoder.h
src/components/ogre/authoring/AuthoringHandler.cpp
src/components/ogre/authoring/AuthoringHandler.h
src/components/ogre/authoring/AuthoringManager.cpp
src/components/ogre/authoring/AuthoringManager.h
src/components/ogre/authoring/AuthoringMoverConnector.cpp
src/components/ogre/authoring/AuthoringMoverConnector.h
src/components/ogre/authoring/AuthoringVisualization.cpp
src/components/ogre/authoring/AuthoringVisualization.h
src/components/ogre/authoring/AuthoringVisualizationCollisionDetector.cpp
src/components/ogre/authoring/AuthoringVisualizationCollisionDetector.h
src/components/ogre/authoring/AuthoringVisualizationMover.cpp
src/components/ogre/authoring/AuthoringVisualizationMover.h
src/components/ogre/authoring/DetachedEntity.cpp
src/components/ogre/authoring/DetachedEntity.h
src/components/ogre/authoring/EntityMoveAdjuster.cpp
src/components/ogre/authoring/EntityMoveAdjuster.h
src/components/ogre/authoring/EntityMoveManager.cpp
src/components/ogre/authoring/EntityMoveManager.h
src/components/ogre/authoring/EntityMover.cpp
src/components/ogre/authoring/EntityMover.h
src/components/ogre/authoring/EntityMoverBase.cpp
src/components/ogre/authoring/EntityMoverBase.h
src/components/ogre/authoring/EntityRecipe.cpp
src/components/ogre/authoring/EntityRecipe.h
src/components/ogre/authoring/EntityRecipeManager.cpp
src/components/ogre/authoring/EntityRecipeManager.h
src/components/ogre/authoring/GUIAdapter.cpp
src/components/ogre/authoring/GUIAdapter.h
src/components/ogre/authoring/GUIAdapterBindings.cpp
src/components/ogre/authoring/GUIAdapterBindings.h
src/components/ogre/authoring/IMovementBridge.h
src/components/ogre/authoring/IPolygonPositionProvider.h
src/components/ogre/authoring/MaterialEditor.cpp
src/components/ogre/authoring/MaterialEditor.h
src/components/ogre/authoring/MovementAdapter.cpp
src/components/ogre/authoring/MovementAdapter.h
src/components/ogre/authoring/Polygon.cpp
src/components/ogre/authoring/Polygon.h
src/components/ogre/authoring/PolygonPoint.cpp
src/components/ogre/authoring/PolygonPoint.h
src/components/ogre/authoring/PolygonPointMovement.cpp
src/components/ogre/authoring/PolygonPointMovement.h
src/components/ogre/authoring/PolygonPointMover.cpp
src/components/ogre/authoring/PolygonPointMover.h
src/components/ogre/authoring/PolygonPointPickListener.cpp
src/components/ogre/authoring/PolygonPointPickListener.h
src/components/ogre/authoring/PolygonPointUserObject.cpp
src/components/ogre/authoring/PolygonPointUserObject.h
src/components/ogre/authoring/PolygonRenderer.cpp
src/components/ogre/authoring/PolygonRenderer.h
src/components/ogre/authoring/RawTypeInfoRepository.cpp
src/components/ogre/authoring/RawTypeInfoRepository.h
src/components/ogre/authoring/SimpleEntityVisualization.cpp
src/components/ogre/authoring/SimpleEntityVisualization.h
src/components/ogre/authoring/SnapToMovement.cpp
src/components/ogre/authoring/SnapToMovement.h
src/components/ogre/authoring/XMLEntityRecipeSerializer.cpp
src/components/ogre/authoring/XMLEntityRecipeSerializer.h
src/components/ogre/camera/CameraMountBase.cpp
src/components/ogre/camera/CameraMountBase.h
src/components/ogre/camera/FirstPersonCameraMount.cpp
src/components/ogre/camera/FirstPersonCameraMount.h
src/components/ogre/camera/ICameraMount.h
src/components/ogre/camera/MainCamera.cpp
src/components/ogre/camera/MainCamera.h
src/components/ogre/camera/Recorder.cpp
src/components/ogre/camera/Recorder.h
src/components/ogre/camera/ThirdPersonCameraMount.cpp
src/components/ogre/camera/ThirdPersonCameraMount.h
src/components/ogre/environment/CaelumEnvironment.cpp
src/components/ogre/environment/CaelumEnvironment.h
src/components/ogre/environment/CaelumSky.cpp
src/components/ogre/environment/CaelumSky.h
src/components/ogre/environment/CaelumSun.cpp
src/components/ogre/environment/CaelumSun.h
src/components/ogre/environment/EmberEntityLoader.cpp
src/components/ogre/environment/EmberEntityLoader.h
src/components/ogre/environment/Environment.cpp
src/components/ogre/environment/Environment.h
src/components/ogre/environment/ExclusiveImposterPage.cpp
src/components/ogre/environment/ExclusiveImposterPage.h
src/components/ogre/environment/Foliage.cpp
src/components/ogre/environment/Foliage.h
src/components/ogre/environment/FoliageBase.cpp
src/components/ogre/environment/FoliageBase.h
src/components/ogre/environment/FoliageLayer.cpp
src/components/ogre/environment/FoliageLayer.h
src/components/ogre/environment/FoliageLoader.cpp
src/components/ogre/environment/FoliageLoader.h
src/components/ogre/environment/Forest.cpp
src/components/ogre/environment/Forest.h
src/components/ogre/environment/GrassFoliage.cpp
src/components/ogre/environment/GrassFoliage.h
src/components/ogre/environment/HydraxWater.cpp
src/components/ogre/environment/HydraxWater.h
src/components/ogre/environment/LensFlare.cpp
src/components/ogre/environment/LensFlare.h
src/components/ogre/environment/OceanAction.cpp
src/components/ogre/environment/OceanAction.h
src/components/ogre/environment/OceanRepresentation.cpp
src/components/ogre/environment/OceanRepresentation.h
src/components/ogre/environment/ShrubberyFoliage.cpp
src/components/ogre/environment/ShrubberyFoliage.h
src/components/ogre/environment/SimpleEnvironment.cpp
src/components/ogre/environment/SimpleEnvironment.h
src/components/ogre/environment/SimpleWater.cpp
src/components/ogre/environment/SimpleWater.h
src/components/ogre/environment/SimpleWaterCollisionDetector.cpp
src/components/ogre/environment/SimpleWaterCollisionDetector.h
src/components/ogre/environment/Sun.cpp
src/components/ogre/environment/Sun.h
src/components/ogre/environment/Tree.cpp
src/components/ogre/environment/Tree.h
src/components/ogre/environment/Water.cpp
src/components/ogre/environment/Water.h
src/components/ogre/gui/ActiveWidgetHandler.cpp
src/components/ogre/gui/ActiveWidgetHandler.h
src/components/ogre/gui/CEGUILogger.cpp
src/components/ogre/gui/CEGUILogger.h
src/components/ogre/jesus/Jesus.cpp
src/components/ogre/jesus/Jesus.h
src/components/ogre/jesus/JesusMousePicker.cpp
src/components/ogre/jesus/JesusMousePicker.h
src/components/ogre/jesus/JesusPickerObject.cpp
src/components/ogre/jesus/JesusPickerObject.h
src/components/ogre/jesus/XMLJesusSerializer.cpp
src/components/ogre/jesus/XMLJesusSerializer.h
src/components/ogre/mapping/EmberEntityMappingManager.cpp
src/components/ogre/mapping/EmberEntityMappingManager.h
src/components/ogre/mapping/XMLEntityMappingDefinitionSerializer.cpp
src/components/ogre/mapping/XMLEntityMappingDefinitionSerializer.h
src/components/ogre/model/Action.cpp
src/components/ogre/model/Action.h
src/components/ogre/model/AnimationSet.cpp
src/components/ogre/model/AnimationSet.h
src/components/ogre/model/Model.cpp
src/components/ogre/model/Model.h
src/components/ogre/model/ModelAttachment.cpp
src/components/ogre/model/ModelAttachment.h
src/components/ogre/model/ModelBackgroundLoader.cpp
src/components/ogre/model/ModelBackgroundLoader.h
src/components/ogre/model/ModelBoneProvider.cpp
src/components/ogre/model/ModelBoneProvider.h
src/components/ogre/model/ModelDefinition.cpp
src/components/ogre/model/ModelDefinition.h
src/components/ogre/model/ModelDefinitionAtlasComposer.cpp
src/components/ogre/model/ModelDefinitionAtlasComposer.h
src/components/ogre/model/ModelDefinitionManager.cpp
src/components/ogre/model/ModelDefinitionManager.h
src/components/ogre/model/ModelFitting.cpp
src/components/ogre/model/ModelFitting.h
src/components/ogre/model/ModelMount.cpp
src/components/ogre/model/ModelMount.h
src/components/ogre/model/ModelPart.cpp
src/components/ogre/model/ModelPart.h
src/components/ogre/model/ModelPartReactivatorVisitor.cpp
src/components/ogre/model/ModelPartReactivatorVisitor.h
src/components/ogre/model/ModelRepresentation.cpp
src/components/ogre/model/ModelRepresentation.h
src/components/ogre/model/ModelRepresentationManager.cpp
src/components/ogre/model/ModelRepresentationManager.h
src/components/ogre/model/ParticleSystem.cpp
src/components/ogre/model/ParticleSystem.h
src/components/ogre/model/ParticleSystemBinding.cpp
src/components/ogre/model/ParticleSystemBinding.h
src/components/ogre/model/SubModel.cpp
src/components/ogre/model/SubModel.h
src/components/ogre/model/SubModelPart.cpp
src/components/ogre/model/SubModelPart.h
src/components/ogre/model/XMLModelDefinitionSerializer.cpp
src/components/ogre/model/XMLModelDefinitionSerializer.h
src/components/ogre/scripting/bindings/lua/ActionBar.pkg
src/components/ogre/scripting/bindings/lua/ActionBarIcon.pkg
src/components/ogre/scripting/bindings/lua/ActionBarIconDragDropTarget.pkg
src/components/ogre/scripting/bindings/lua/ActionBarIconManager.pkg
src/components/ogre/scripting/bindings/lua/ActionBarIconSlot.pkg
src/components/ogre/scripting/bindings/lua/AssetsManager.pkg
src/components/ogre/scripting/bindings/lua/AtlasHelper.pkg
src/components/ogre/scripting/bindings/lua/AtlasObjectDecoder.pkg
src/components/ogre/scripting/bindings/lua/AuthoringManager.pkg
src/components/ogre/scripting/bindings/lua/Avatar.pkg
src/components/ogre/scripting/bindings/lua/Carpenter.pkg
src/components/ogre/scripting/bindings/lua/ColouredListItem.pkg
src/components/ogre/scripting/bindings/lua/Compass.pkg
src/components/ogre/scripting/bindings/lua/ConsoleAdapter.pkg
src/components/ogre/scripting/bindings/lua/Convert.pkg
src/components/ogre/scripting/bindings/lua/EmberEntity.pkg
src/components/ogre/scripting/bindings/lua/EmberEntityFactory.pkg
src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
src/components/ogre/scripting/bindings/lua/EntityCEGUITexture.pkg
src/components/ogre/scripting/bindings/lua/EntityCreator.pkg
src/components/ogre/scripting/bindings/lua/EntityEditor.pkg
src/components/ogre/scripting/bindings/lua/EntityIcon.pkg
src/components/ogre/scripting/bindings/lua/EntityIconDragDropPreview.pkg
src/components/ogre/scripting/bindings/lua/EntityIconDragDropTarget.pkg
src/components/ogre/scripting/bindings/lua/EntityIconManager.pkg
src/components/ogre/scripting/bindings/lua/EntityIconSlot.pkg
src/components/ogre/scripting/bindings/lua/EntityMoveManager.pkg
src/components/ogre/scripting/bindings/lua/EntityRecipe.pkg
src/components/ogre/scripting/bindings/lua/EntityRecipeManager.pkg
src/components/ogre/scripting/bindings/lua/EntityTooltip.pkg
src/components/ogre/scripting/bindings/lua/EntityWorldPickListener.pkg
src/components/ogre/scripting/bindings/lua/Environment.pkg
src/components/ogre/scripting/bindings/lua/GUIAdapter.pkg
src/components/ogre/scripting/bindings/lua/GUIManager.pkg
src/components/ogre/scripting/bindings/lua/IGraphicalRepresentation.pkg
src/components/ogre/scripting/bindings/lua/ISceneManagerAdapter.pkg
src/components/ogre/scripting/bindings/lua/IWorldPickListener.pkg
src/components/ogre/scripting/bindings/lua/Icon.pkg
src/components/ogre/scripting/bindings/lua/IconBar.pkg
src/components/ogre/scripting/bindings/lua/IconBase.pkg
src/components/ogre/scripting/bindings/lua/IconManager.pkg
src/components/ogre/scripting/bindings/lua/Jesus.pkg
src/components/ogre/scripting/bindings/lua/ListHolder.pkg
src/components/ogre/scripting/bindings/lua/MainCamera.pkg
src/components/ogre/scripting/bindings/lua/Map.pkg
src/components/ogre/scripting/bindings/lua/MaterialPicker.pkg
src/components/ogre/scripting/bindings/lua/Model.pkg
src/components/ogre/scripting/bindings/lua/ModelDefinition.pkg
src/components/ogre/scripting/bindings/lua/ModelDefinitionAtlasComposer.pkg
src/components/ogre/scripting/bindings/lua/ModelDefinitionManager.pkg
src/components/ogre/scripting/bindings/lua/ModelRenderer.pkg
src/components/ogre/scripting/bindings/lua/ModelRepresentation.pkg
src/components/ogre/scripting/bindings/lua/ModelRepresentationManager.pkg
src/components/ogre/scripting/bindings/lua/MotionManager.pkg
src/components/ogre/scripting/bindings/lua/MousePicker.pkg
src/components/ogre/scripting/bindings/lua/MovableObjectRenderer.pkg
src/components/ogre/scripting/bindings/lua/MovementController.pkg
src/components/ogre/scripting/bindings/lua/OgreEntityRenderer.pkg
src/components/ogre/scripting/bindings/lua/OgreInfo.pkg
src/components/ogre/scripting/bindings/lua/QuaternionAdapter.pkg
src/components/ogre/scripting/bindings/lua/QuickHelpCursor.pkg
src/components/ogre/scripting/bindings/lua/RawTypeInfoRepository.pkg
src/components/ogre/scripting/bindings/lua/ResourceListAdapter.pkg
src/components/ogre/scripting/bindings/lua/Scene.pkg
src/components/ogre/scripting/bindings/lua/SimpleRenderContext.pkg
src/components/ogre/scripting/bindings/lua/StackableContainer.pkg
src/components/ogre/scripting/bindings/lua/SubModel.pkg
src/components/ogre/scripting/bindings/lua/TerrainArea.pkg
src/components/ogre/scripting/bindings/lua/TerrainEditor.pkg
src/components/ogre/scripting/bindings/lua/TerrainLayerDefinition.pkg
src/components/ogre/scripting/bindings/lua/TerrainLayerDefinitionManager.pkg
src/components/ogre/scripting/bindings/lua/TerrainManager.pkg
src/components/ogre/scripting/bindings/lua/TypeTreeAdapter.pkg
src/components/ogre/scripting/bindings/lua/Vector3Adapter.pkg
src/components/ogre/scripting/bindings/lua/Widget.pkg
src/components/ogre/scripting/bindings/lua/World.pkg
src/components/ogre/scripting/bindings/lua/WorldEmberEntity.pkg
src/components/ogre/scripting/bindings/lua/helpers/OgreUtils.cpp
src/components/ogre/scripting/bindings/lua/helpers/OgreUtils.h
src/components/ogre/scripting/bindings/lua/helpers/OgreUtils.pkg
src/components/ogre/scripting/bindings/lua/required.h
src/components/ogre/scripting/bindings/lua/stdlib.pkg
src/components/ogre/sound/SoundAction.cpp
src/components/ogre/sound/SoundAction.h
src/components/ogre/sound/SoundDefinition.cpp
src/components/ogre/sound/SoundDefinition.h
src/components/ogre/sound/SoundDefinitionManager.cpp
src/components/ogre/sound/SoundDefinitionManager.h
src/components/ogre/sound/SoundEntity.cpp
src/components/ogre/sound/SoundEntity.h
src/components/ogre/sound/SoundGroup.cpp
src/components/ogre/sound/SoundGroup.h
src/components/ogre/sound/SoundGroupDefinition.cpp
src/components/ogre/sound/SoundGroupDefinition.h
src/components/ogre/sound/XMLSoundDefParser.cpp
src/components/ogre/sound/XMLSoundDefParser.h
src/components/ogre/terrain/Buffer.cpp
src/components/ogre/terrain/Buffer.h
src/components/ogre/terrain/GeometryUpdateTask.cpp
src/components/ogre/terrain/GeometryUpdateTask.h
src/components/ogre/terrain/HeightMap.cpp
src/components/ogre/terrain/HeightMap.h
src/components/ogre/terrain/HeightMapBuffer.cpp
src/components/ogre/terrain/HeightMapBuffer.h
src/components/ogre/terrain/HeightMapBufferProvider.cpp
src/components/ogre/terrain/HeightMapBufferProvider.h
src/components/ogre/terrain/HeightMapFlatSegment.cpp
src/components/ogre/terrain/HeightMapFlatSegment.h
src/components/ogre/terrain/HeightMapSegment.cpp
src/components/ogre/terrain/HeightMapSegment.h
src/components/ogre/terrain/HeightMapUpdateTask.cpp
src/components/ogre/terrain/HeightMapUpdateTask.h
src/components/ogre/terrain/IHeightMapSegment.h
src/components/ogre/terrain/ISceneManagerAdapter.h
src/components/ogre/terrain/ITerrainPageBridge.h
src/components/ogre/terrain/Image.cpp
src/components/ogre/terrain/Image.h
src/components/ogre/terrain/Map.cpp
src/components/ogre/terrain/Map.h
src/components/ogre/terrain/OgreImage.cpp
src/components/ogre/terrain/OgreImage.h
src/components/ogre/terrain/PlantAreaQuery.cpp
src/components/ogre/terrain/PlantAreaQuery.h
src/components/ogre/terrain/PlantAreaQueryResult.cpp
src/components/ogre/terrain/PlantAreaQueryResult.h
src/components/ogre/terrain/PlantInstance.h
src/components/ogre/terrain/PlantQueryTask.cpp
src/components/ogre/terrain/PlantQueryTask.h
src/components/ogre/terrain/Segment.cpp
src/components/ogre/terrain/Segment.h
src/components/ogre/terrain/SegmentHolder.cpp
src/components/ogre/terrain/SegmentHolder.h
src/components/ogre/terrain/SegmentManager.cpp
src/components/ogre/terrain/SegmentManager.h
src/components/ogre/terrain/SegmentReference.cpp
src/components/ogre/terrain/SegmentReference.h
src/components/ogre/terrain/ShadowUpdateTask.cpp
src/components/ogre/terrain/ShadowUpdateTask.h
src/components/ogre/terrain/TerrainArea.cpp
src/components/ogre/terrain/TerrainArea.h
src/components/ogre/terrain/TerrainAreaAddTask.cpp
src/components/ogre/terrain/TerrainAreaAddTask.h
src/components/ogre/terrain/TerrainAreaParser.cpp
src/components/ogre/terrain/TerrainAreaParser.h
src/components/ogre/terrain/TerrainAreaRemoveTask.cpp
src/components/ogre/terrain/TerrainAreaRemoveTask.h
src/components/ogre/terrain/TerrainAreaTaskBase.cpp
src/components/ogre/terrain/TerrainAreaTaskBase.h
src/components/ogre/terrain/TerrainAreaUpdateTask.cpp
src/components/ogre/terrain/TerrainAreaUpdateTask.h
src/components/ogre/terrain/TerrainDefPoint.cpp
src/components/ogre/terrain/TerrainDefPoint.h
src/components/ogre/terrain/TerrainEditor.cpp
src/components/ogre/terrain/TerrainEditor.h
src/components/ogre/terrain/TerrainEditorOverlay.cpp
src/components/ogre/terrain/TerrainEditorOverlay.h
src/components/ogre/terrain/TerrainInfo.cpp
src/components/ogre/terrain/TerrainInfo.h
src/components/ogre/terrain/TerrainLayerDefinition.cpp
src/components/ogre/terrain/TerrainLayerDefinition.h
src/components/ogre/terrain/TerrainLayerDefinitionManager.cpp
src/components/ogre/terrain/TerrainLayerDefinitionManager.h
src/components/ogre/terrain/TerrainManager.cpp
src/components/ogre/terrain/TerrainManager.h
src/components/ogre/terrain/TerrainMaterialCompilationTask.cpp
src/components/ogre/terrain/TerrainMaterialCompilationTask.h
src/components/ogre/terrain/TerrainMod.cpp
src/components/ogre/terrain/TerrainMod.h
src/components/ogre/terrain/TerrainModAddTask.cpp
src/components/ogre/terrain/TerrainModAddTask.h
src/components/ogre/terrain/TerrainModChangeTask.cpp
src/components/ogre/terrain/TerrainModChangeTask.h
src/components/ogre/terrain/TerrainModRemoveTask.cpp
src/components/ogre/terrain/TerrainModRemoveTask.h
src/components/ogre/terrain/TerrainModTaskBase.cpp
src/components/ogre/terrain/TerrainModTaskBase.h
src/components/ogre/terrain/TerrainPage.cpp
src/components/ogre/terrain/TerrainPage.h
src/components/ogre/terrain/TerrainPageCreationTask.cpp
src/components/ogre/terrain/TerrainPageCreationTask.h
src/components/ogre/terrain/TerrainPageGeometry.cpp
src/components/ogre/terrain/TerrainPageGeometry.h
src/components/ogre/terrain/TerrainPageShadow.cpp
src/components/ogre/terrain/TerrainPageShadow.h
src/components/ogre/terrain/TerrainPageSurface.cpp
src/components/ogre/terrain/TerrainPageSurface.h
src/components/ogre/terrain/TerrainPageSurfaceCompiler.cpp
src/components/ogre/terrain/TerrainPageSurfaceCompiler.h
src/components/ogre/terrain/TerrainPageSurfaceLayer.cpp
src/components/ogre/terrain/TerrainPageSurfaceLayer.h
src/components/ogre/terrain/TerrainParser.cpp
src/components/ogre/terrain/TerrainParser.h
src/components/ogre/terrain/TerrainShader.cpp
src/components/ogre/terrain/TerrainShader.h
src/components/ogre/terrain/TerrainShaderParser.cpp
src/components/ogre/terrain/TerrainShaderParser.h
src/components/ogre/terrain/TerrainShaderUpdateTask.cpp
src/components/ogre/terrain/TerrainShaderUpdateTask.h
src/components/ogre/terrain/TerrainUpdateTask.cpp
src/components/ogre/terrain/TerrainUpdateTask.h
src/components/ogre/terrain/Types.h
src/components/ogre/terrain/WFImage.cpp
src/components/ogre/terrain/WFImage.h
src/components/ogre/terrain/XMLLayerDefinitionSerializer.cpp
src/components/ogre/terrain/XMLLayerDefinitionSerializer.h
src/components/ogre/terrain/foliage/ClusterPopulator.cpp
src/components/ogre/terrain/foliage/ClusterPopulator.h
src/components/ogre/terrain/foliage/PlantPopulator.cpp
src/components/ogre/terrain/foliage/PlantPopulator.h
src/components/ogre/terrain/foliage/Vegetation.cpp
src/components/ogre/terrain/foliage/Vegetation.h
src/components/ogre/terrain/techniques/Base.cpp
src/components/ogre/terrain/techniques/Base.h
src/components/ogre/terrain/techniques/Shader.cpp
src/components/ogre/terrain/techniques/Shader.h
src/components/ogre/terrain/techniques/ShaderNormalMapped.cpp
src/components/ogre/terrain/techniques/ShaderNormalMapped.h
src/components/ogre/terrain/techniques/ShaderNormalMappedPass.cpp
src/components/ogre/terrain/techniques/ShaderNormalMappedPass.h
src/components/ogre/terrain/techniques/ShaderNormalMappedPassCoverageBatch.cpp
src/components/ogre/terrain/techniques/ShaderNormalMappedPassCoverageBatch.h
src/components/ogre/terrain/techniques/ShaderPass.cpp
src/components/ogre/terrain/techniques/ShaderPass.h
src/components/ogre/terrain/techniques/ShaderPassCoverageBatch.cpp
src/components/ogre/terrain/techniques/ShaderPassCoverageBatch.h
src/components/ogre/terrain/techniques/Simple.cpp
src/components/ogre/terrain/techniques/Simple.h
src/components/ogre/widgets/ActionBar.lua
src/components/ogre/widgets/ActionBarCreator.lua
src/components/ogre/widgets/ActionBarIcon.cpp
src/components/ogre/widgets/ActionBarIcon.h
src/components/ogre/widgets/ActionBarIconDragDropTarget.cpp
src/components/ogre/widgets/ActionBarIconDragDropTarget.h
src/components/ogre/widgets/ActionBarIconManager.cpp
src/components/ogre/widgets/ActionBarIconManager.h
src/components/ogre/widgets/ActionBarIconSlot.cpp
src/components/ogre/widgets/ActionBarIconSlot.h
src/components/ogre/widgets/ActionBarInput.cpp
src/components/ogre/widgets/ActionBarInput.h
src/components/ogre/widgets/Admin.lua
src/components/ogre/widgets/AssetsManager.cpp
src/components/ogre/widgets/AssetsManager.h
src/components/ogre/widgets/AssetsManager.lua
src/components/ogre/widgets/AtlasHelper.cpp
src/components/ogre/widgets/AtlasHelper.h
src/components/ogre/widgets/Bootstrap.lua
src/components/ogre/widgets/ColouredListItem.cpp
src/components/ogre/widgets/ColouredListItem.h
src/components/ogre/widgets/Compass.cpp
src/components/ogre/widgets/Compass.h
src/components/ogre/widgets/Compass.lua
src/components/ogre/widgets/Console.lua
src/components/ogre/widgets/ConsoleAdapter.cpp
src/components/ogre/widgets/ConsoleAdapter.h
src/components/ogre/widgets/EntityBrowser.lua
src/components/ogre/widgets/EntityCEGUITexture.cpp
src/components/ogre/widgets/EntityCEGUITexture.h
src/components/ogre/widgets/EntityCreator.cpp
src/components/ogre/widgets/EntityCreator.h
src/components/ogre/widgets/EntityCreator.lua
src/components/ogre/widgets/EntityCreatorActionCreator.cpp
src/components/ogre/widgets/EntityCreatorActionCreator.h
src/components/ogre/widgets/EntityCreatorHideModelAction.cpp
src/components/ogre/widgets/EntityCreatorHideModelAction.h
src/components/ogre/widgets/EntityCreatorModelAction.cpp
src/components/ogre/widgets/EntityCreatorModelAction.h
src/components/ogre/widgets/EntityCreatorMovement.cpp
src/components/ogre/widgets/EntityCreatorMovement.h
src/components/ogre/widgets/EntityCreatorMovementBridge.cpp
src/components/ogre/widgets/EntityCreatorMovementBridge.h
src/components/ogre/widgets/EntityCreatorPartAction.cpp
src/components/ogre/widgets/EntityCreatorPartAction.h
src/components/ogre/widgets/EntityEditor.cpp
src/components/ogre/widgets/EntityEditor.h
src/components/ogre/widgets/EntityEditor.lua
src/components/ogre/widgets/EntityIcon.cpp
src/components/ogre/widgets/EntityIcon.h
src/components/ogre/widgets/EntityIconDragDropPreview.cpp
src/components/ogre/widgets/EntityIconDragDropPreview.h
src/components/ogre/widgets/EntityIconDragDropTarget.cpp
src/components/ogre/widgets/EntityIconDragDropTarget.h
src/components/ogre/widgets/EntityIconManager.cpp
src/components/ogre/widgets/EntityIconManager.h
src/components/ogre/widgets/EntityIconSlot.cpp
src/components/ogre/widgets/EntityIconSlot.h
src/components/ogre/widgets/EntityPicker.lua
src/components/ogre/widgets/EntityTooltip.cpp
src/components/ogre/widgets/EntityTooltip.h
src/components/ogre/widgets/GenericIconUserData.h
src/components/ogre/widgets/Give.lua
src/components/ogre/widgets/Help.cpp
src/components/ogre/widgets/Help.h
src/components/ogre/widgets/HelpMessage.cpp
src/components/ogre/widgets/HelpMessage.h
src/components/ogre/widgets/IconBar.cpp
src/components/ogre/widgets/IconBar.h
src/components/ogre/widgets/IconBase.cpp
src/components/ogre/widgets/IconBase.h
src/components/ogre/widgets/IndirectRenderingChecker.lua
src/components/ogre/widgets/IngameChatWidget.cpp
src/components/ogre/widgets/IngameChatWidget.h
src/components/ogre/widgets/IngameEventsWidget.cpp
src/components/ogre/widgets/IngameEventsWidget.h
src/components/ogre/widgets/InspectWidget.cpp
src/components/ogre/widgets/InspectWidget.h
src/components/ogre/widgets/Inventory.lua
src/components/ogre/widgets/JesusEdit.cpp
src/components/ogre/widgets/JesusEdit.h
src/components/ogre/widgets/ListHolder.cpp
src/components/ogre/widgets/ListHolder.h
src/components/ogre/widgets/LoadingBar.cpp
src/components/ogre/widgets/LoadingBar.h
src/components/ogre/widgets/MainIconBar.lua
src/components/ogre/widgets/MakeEntityWidget.cpp
src/components/ogre/widgets/MakeEntityWidget.h
src/components/ogre/widgets/MeshPreview.cpp
src/components/ogre/widgets/MeshPreview.h
src/components/ogre/widgets/ModelEdit.lua
src/components/ogre/widgets/ModelRenderer.cpp
src/components/ogre/widgets/ModelRenderer.h
src/components/ogre/widgets/MovableObjectRenderer.cpp
src/components/ogre/widgets/MovableObjectRenderer.h
src/components/ogre/widgets/Mover.lua
src/components/ogre/widgets/OgreEntityRenderer.cpp
src/components/ogre/widgets/OgreEntityRenderer.h
src/components/ogre/widgets/Performance.lua
src/components/ogre/widgets/PickingInfo.lua
src/components/ogre/widgets/QuaternionAdapter.cpp
src/components/ogre/widgets/QuaternionAdapter.h
src/components/ogre/widgets/QuickHelp.cpp
src/components/ogre/widgets/QuickHelp.h
src/components/ogre/widgets/QuickHelp.lua
src/components/ogre/widgets/QuickHelpCursor.cpp
src/components/ogre/widgets/QuickHelpCursor.h
src/components/ogre/widgets/Quit.cpp
src/components/ogre/widgets/Quit.h
src/components/ogre/widgets/ScriptEdit.lua
src/components/ogre/widgets/ServerBrowser.lua
src/components/ogre/widgets/ServerLogger.lua
src/components/ogre/widgets/ServerWidget.cpp
src/components/ogre/widgets/ServerWidget.h
src/components/ogre/widgets/StackableContainer.cpp
src/components/ogre/widgets/StackableContainer.h
src/components/ogre/widgets/Status.lua
src/components/ogre/widgets/TerrainEditor.lua
src/components/ogre/widgets/TexturePair.cpp
src/components/ogre/widgets/TexturePair.h
src/components/ogre/widgets/TypeManager.lua
src/components/ogre/widgets/Vector3Adapter.cpp
src/components/ogre/widgets/Vector3Adapter.h
src/components/ogre/widgets/Widget.cpp
src/components/ogre/widgets/Widget.h
src/components/ogre/widgets/WidgetDefinitions.cpp
src/components/ogre/widgets/WidgetDefinitions.h
src/components/ogre/widgets/WidgetPool.cpp
src/components/ogre/widgets/WidgetPool.h
src/components/ogre/widgets/adapters/ListBinder.cpp
src/components/ogre/widgets/adapters/ListBinder.h
src/components/ogre/widgets/adapters/atlas/AdapterBase.cpp
src/components/ogre/widgets/adapters/atlas/AdapterBase.h
src/components/ogre/widgets/adapters/atlas/AdapterFactory.cpp
src/components/ogre/widgets/adapters/atlas/AdapterFactory.h
src/components/ogre/widgets/adapters/atlas/AreaAdapter.cpp
src/components/ogre/widgets/adapters/atlas/AreaAdapter.h
src/components/ogre/widgets/adapters/atlas/CustomAdapter.cpp
src/components/ogre/widgets/adapters/atlas/CustomAdapter.h
src/components/ogre/widgets/adapters/atlas/ListAdapter.cpp
src/components/ogre/widgets/adapters/atlas/ListAdapter.h
src/components/ogre/widgets/adapters/atlas/MapAdapter.cpp
src/components/ogre/widgets/adapters/atlas/MapAdapter.h
src/components/ogre/widgets/adapters/atlas/NumberAdapter.cpp
src/components/ogre/widgets/adapters/atlas/NumberAdapter.h
src/components/ogre/widgets/adapters/atlas/OrientationAdapter.cpp
src/components/ogre/widgets/adapters/atlas/OrientationAdapter.h
src/components/ogre/widgets/adapters/atlas/PolygonAdapter.cpp
src/components/ogre/widgets/adapters/atlas/PolygonAdapter.h
src/components/ogre/widgets/adapters/atlas/Position2DAdapter.cpp
src/components/ogre/widgets/adapters/atlas/Position2DAdapter.h
src/components/ogre/widgets/adapters/atlas/PositionAdapter.cpp
src/components/ogre/widgets/adapters/atlas/PositionAdapter.h
src/components/ogre/widgets/adapters/atlas/SizeAdapter.cpp
src/components/ogre/widgets/adapters/atlas/SizeAdapter.h
src/components/ogre/widgets/adapters/atlas/StaticAdapter.cpp
src/components/ogre/widgets/adapters/atlas/StaticAdapter.h
src/components/ogre/widgets/adapters/atlas/StringAdapter.cpp
src/components/ogre/widgets/adapters/atlas/StringAdapter.h
src/components/ogre/widgets/adapters/atlas/TerrainModAdapter.cpp
src/components/ogre/widgets/adapters/atlas/TerrainModAdapter.h
src/components/ogre/widgets/adapters/atlas/bindings/lua/AdapterBase.pkg
src/components/ogre/widgets/adapters/atlas/bindings/lua/AdapterFactory.pkg
src/components/ogre/widgets/adapters/atlas/bindings/lua/AreaAdapter.pkg
src/components/ogre/widgets/adapters/atlas/bindings/lua/ListAdapter.pkg
src/components/ogre/widgets/adapters/atlas/bindings/lua/MapAdapter.pkg
src/components/ogre/widgets/adapters/atlas/bindings/lua/NumberAdapter.pkg
src/components/ogre/widgets/adapters/atlas/bindings/lua/OrientationAdapter.pkg
src/components/ogre/widgets/adapters/atlas/bindings/lua/PolygonAdapter.pkg
src/components/ogre/widgets/adapters/atlas/bindings/lua/Position2DAdapter.pkg
src/components/ogre/widgets/adapters/atlas/bindings/lua/PositionAdapter.pkg
src/components/ogre/widgets/adapters/atlas/bindings/lua/SizeAdapter.pkg
src/components/ogre/widgets/adapters/atlas/bindings/lua/StaticAdapter.pkg
src/components/ogre/widgets/adapters/atlas/bindings/lua/StringAdapter.pkg
src/components/ogre/widgets/adapters/atlas/bindings/lua/TerrainModAdapter.pkg
src/components/ogre/widgets/adapters/eris/TypeTreeAdapter.cpp
src/components/ogre/widgets/adapters/eris/TypeTreeAdapter.h
src/components/ogre/widgets/adapters/ogre/ResourceListAdapter.cpp
src/components/ogre/widgets/adapters/ogre/ResourceListAdapter.h
src/components/ogre/widgets/icons/Icon.cpp
src/components/ogre/widgets/icons/Icon.h
src/components/ogre/widgets/icons/IconImageStore.cpp
src/components/ogre/widgets/icons/IconImageStore.h
src/components/ogre/widgets/icons/IconManager.cpp
src/components/ogre/widgets/icons/IconManager.h
src/components/ogre/widgets/icons/IconRenderer.cpp
src/components/ogre/widgets/icons/IconRenderer.h
src/components/ogre/widgets/icons/IconStore.cpp
src/components/ogre/widgets/icons/IconStore.h
src/main/Application.cpp
src/main/Application.h
src/main/Ember.cpp
src/services/input/Input.h
test/ConvertTestCase.cpp
test/ModelMountTestCase.cpp

commit 03afd9f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-26

    Extended test.

test/ModelMountTestCase.cpp
test/ModelMountTestCase.h

commit 23eda0e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-24

    Added a test case for the ModelMount.

test/Makefile.am
test/ModelMountTestCase.cpp
test/ModelMountTestCase.h
test/TestServices.cpp

commit 3cfc676
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-24

    Refactor to remove some entanglement.

src/components/ogre/EmberOgre.cpp
src/components/ogre/model/ModelDefinitionManager.cpp
src/components/ogre/model/ModelDefinitionManager.h
src/components/ogre/model/XMLModelDefinitionSerializer.cpp
src/components/ogre/model/XMLModelDefinitionSerializer.h

commit e706aca
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-24

    Added a method for recursively creating dirs.

src/framework/osdir.h

commit 5c57532
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-24

    Refactor to remove entanglement a bit.

src/components/ogre/model/ModelDefinitionManager.cpp
src/components/ogre/model/XMLModelDefinitionSerializer.cpp
src/components/ogre/model/XMLModelDefinitionSerializer.h

commit 1d2d040
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-21

    Activate unit tests through CppUnit.
    
    Start with a unit test for WF-to-Ogre unit conversions.

Makefile.am
configure.ac
test/ConvertTestCase.cpp
test/ConvertTestCase.h
test/Makefile.am
test/TestServices.cpp

commit 7012283
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-19

    Bumped version.

configure.ac

commit 5e003f2
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-18

    Fixed showstopper bug which made it impossible to quit.

src/components/ogre/widgets/MainIconBar.lua

commit 6cbd1e4
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-17

    0.6.0 released.

NEWS

commit fb059e3
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-06

    Provide destructors in the lua bindings.
    
    Else tolua++ will destroy the instances using "free" rather than
    "delete", which is A Bad Thing.

src/components/ogre/scripting/bindings/lua/EntityRecipe.pkg
src/components/ogre/scripting/bindings/lua/ModelDefinition.pkg
src/components/ogre/scripting/bindings/lua/ogre/OgreGpuProgram.pkg
src/components/ogre/scripting/bindings/lua/ogre/OgreHighLevelGpuProgram.pkg
src/components/ogre/scripting/bindings/lua/ogre/OgreMaterial.pkg
src/components/ogre/scripting/bindings/lua/ogre/OgreMesh.pkg
src/components/ogre/scripting/bindings/lua/ogre/OgreResource.pkg
src/components/ogre/scripting/bindings/lua/ogre/OgreTexture.pkg

commit b08a058
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-02

    Use proper OO techniques and clean up after we're done.

src/components/ogre/widgets/ModelEdit.lua

commit 29aadb5
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-02

    Removed obsolete method.

src/components/ogre/widgets/ServerBrowser.lua

commit cb98bd8
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-02

    No need to stop this here, since GC is performed anyway.

src/main/Application.cpp

commit 88857f3
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-02

    Force GC right before Ogre is shut down.
    
    Mainly to cause deallocation of any shared pointers.
    Also supplied events for when Ogre shuts down.

src/components/ogre/EmberOgre.cpp
src/components/ogre/EmberOgreSignals.h
src/components/ogre/scripting/bindings/lua/EmberOgre.pkg

commit aa03a5a
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-11-02

    Provide a method for forcing GC on all scripting providers.

src/services/scripting/ScriptingService.cpp
src/services/scripting/ScriptingService.h

commit fabb7fb
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-27

    Perform more cleanup at shutdown.

src/components/ogre/widgets/Console.lua
src/components/ogre/widgets/ModelEdit.lua

commit 5fc765e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-27

    Release Lua references when we're done.

src/components/lua/Connectors.cpp

commit 1b520fe
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-27

    Expose a function for removing externally added icons.

src/components/ogre/widgets/Admin.lua
src/components/ogre/widgets/MainIconBar.lua

commit 35f7480
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-27

    Properly clean up when we're done.

src/components/ogre/widgets/ModelEdit.layout
src/components/ogre/widgets/ModelEdit.lua

commit f9637d3
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-27

    Allow the TaskExecutor to be deleted by any class.

src/framework/tasks/TaskExecutor.h

commit 88f30a6
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-27

    Properly clean up when done.

src/components/ogre/widgets/Console.lua

commit 87ffb1e
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-27

    Allow the LuaConsoleObject to handle Lua references for functions.

src/components/lua/LuaConsoleObject.cpp
src/components/lua/LuaConsoleObject.h
src/components/lua/bindings/lua/LuaConsoleObject.pkg

commit e470ca0
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-27

    Use lua_Object as it's more clearer what we mean then.

src/components/lua/Connector.cpp
src/components/lua/Connector.h

commit 0fd0b9d
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-26

    Delete C++ instances when shutting down.

src/components/ogre/widgets/AssetsManager.lua

commit d5fdba3
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-21

    Properly cleanup.

src/components/ogre/widgets/AssetsManager.layout
src/components/ogre/widgets/AssetsManager.lua

commit 752dc56
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-17

    Properly clean up after ourselves.

src/components/ogre/widgets/EntityBrowser.lua

commit 2b3e416
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-17

    Fixed an issue where Connectors in Lua were never destroyed.

src/components/lua/bindings/lua/Connector.pkg

commit d9b6fae
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-17

    Added Lua bindings for Ogre::SceneManager.
    
    Just a couple of methods for now though.

src/components/ogre/scripting/bindings/lua/ogre/Makefile.am
src/components/ogre/scripting/bindings/lua/ogre/Ogre.pkg
src/components/ogre/scripting/bindings/lua/ogre/OgreSceneManager.pkg

commit a768521
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-17

    Tear down the main icon bar when the gui manager is destroyed.

src/components/ogre/widgets/Admin.lua
src/components/ogre/widgets/MainIconBar.lua

commit 9abcbab
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-17

    Added signals for the destruction of the gui manager.

src/bindings/lua/ConnectorDefinitions.pkg
src/bindings/lua/TypeResolving.cpp
src/bindings/lua/TypeResolving.h
src/components/ogre/EmberOgre.cpp
src/components/ogre/EmberOgreSignals.h
src/components/ogre/scripting/bindings/lua/EmberOgre.pkg

commit a76feab
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-16

    Made all inheritance of sigc::trackable virtual.
    
    Just to prevent diamond shaped inheritance issues (not that we currently
    do multi-inheritance that I know of; but given that interfaces aren't
    cleanly separated from classes in C++ one cannot be completely safe).

src/components/entitymapping/Matches/Observers/AttributeObserver.h
src/components/entitymapping/Matches/Observers/EntityCreationObserver.h
src/components/ogre/Avatar.h
src/components/ogre/AvatarTerrainCursor.h
src/components/ogre/EmberEntityFactory.h
src/components/ogre/EmberOgre.h
src/components/ogre/GUIManager.h
src/components/ogre/MovementController.h
src/components/ogre/authoring/EntityMoveManager.h
src/components/ogre/authoring/MaterialEditor.h
src/components/ogre/authoring/PolygonPointMover.h
src/components/ogre/environment/FoliageBase.h
src/components/ogre/mapping/EmberEntityMappingManager.h
src/components/ogre/terrain/TerrainManager.h
src/components/ogre/widgets/IngameChatWidget.h
src/components/ogre/widgets/LoadingBar.h
src/components/ogre/widgets/Widget.h
src/components/ogre/widgets/adapters/atlas/CustomAdapter.h
src/framework/DirectAttributeObserver.h
src/framework/Service.h
src/main/Application.h
src/main/ConfigBoundLogObserver.h
src/services/config/ConfigListener.h
src/services/input/InputCommandMapper.h
src/services/wfut/WfutSession.h

commit d9ffc49
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-16

    Perform th econnection within the build function.
    
    It's just nicer.

src/components/ogre/widgets/Performance.lua

commit a2cdd66
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-16

    Listen to the widget frame event.
    
    Rather than the guimanager; that way we can avoid an event when the
    widget isn't showing.

src/components/ogre/widgets/Compass.lua

commit e1fd074
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-16

    Pass by const, to make it clearer that a copy will be made.

src/components/lua/Connectors.h
src/components/lua/Connectors_impl.h

commit 3a25b08
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-16

    No need for this to be trackable.
    
    As we're disconnecting the connection manually anyway.

src/components/lua/Connectors.h

commit 5fe3005
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-16

    A slight optimization.

src/components/lua/Connector.cpp

commit 61339ca
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-10-13

    Fixed a crash in the performance widget when not logged in.
    
    Also added an event for when the motionmanager is destroyed.

src/bindings/lua/ConnectorDefinitions.pkg
src/bindings/lua/TypeResolving.cpp
src/bindings/lua/TypeResolving.h
src/components/ogre/EmberOgreSignals.h
src/components/ogre/World.cpp
src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
src/components/ogre/widgets/Performance.lua

commit a0cfe70
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-25

    Provide a more correct parameter to deal with older compilers.

src/components/lua/Connectors.h
src/components/lua/Connectors_impl.h

commit 6dec2db
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-25

    Supply more correct template parameters.

src/components/lua/LuaConsoleObject.cpp

commit dbc2ec1
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-25

    Bumped version.

ember.conf

commit 707296b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-24

    Added some missing files to the build.

src/components/ogre/Makefile.am

commit 42321e8
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-24

    Fixed silly field name for the definition.

src/components/ogre/model/Model.cpp
src/components/ogre/model/Model.h

commit cc89cbf
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-24

    Provide a more correct fix for the scaling issue.
    
    This will fix the scaling issue in a correct way while still retaining
    correct scaling for non-wielded entities.

src/components/ogre/model/ModelMount.cpp

commit 5717f44
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-23

    Fixed an issue where the avatar instance was accessed after it was
    destroyed.
    
    By instead relying on a avatar key instance, comprised of both the
    ServerInfo and the avatar id we can save values even when the avatar
    instance isn't available.

src/components/ogre/scripting/bindings/lua/ActionBarIconManager.pkg
src/components/ogre/widgets/ActionBar.lua
src/components/ogre/widgets/ActionBarCreator.lua
src/components/ogre/widgets/ActionBarIconManager.cpp
src/components/ogre/widgets/ActionBarIconManager.h

commit 88e7c7a
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-23

    Extended the bindings.

src/framework/bindings/lua/eris/Connection.pkg
src/framework/bindings/lua/eris/ServerInfo.pkg

commit aad51bc
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-19

    Fixed an issue where the first type always was selected when using
    legacy servers.

src/components/ogre/widgets/ServerWidget.cpp

commit 09c9dab
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-19

    Fixed an issue with the drop down not being shown.
    
    It's still however clipped by the frame window; couldn't figure out how
    to fix that.

src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel

commit 81ea04a
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-19

    Removed the transformation since these already have been applied in the
    reset method.
    
    This fixed an issue where entities which had their orientation set to
    anything different than the identity orientation weren't correctly
    scaled.

src/components/ogre/model/ModelMount.cpp

commit 780013c
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-13

    Fixed incorrect skeleton references.

src/components/ogre/modeldefinitions/kobold.modeldef

commit 50c4e9f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-13

    Fixed some issues with how the overlay was handled.
    
    A crash when trying to access the overlay when it was hidden was fixed.
    In addition, instead of removing it completely when it's not shown we
    now just hide it. This will make sure that the history is intact between
    the overlay being hidden and shown again.

src/components/ogre/scripting/bindings/lua/TerrainEditor.pkg
src/components/ogre/terrain/TerrainEditor.cpp
src/components/ogre/terrain/TerrainEditor.h
src/components/ogre/terrain/TerrainEditorOverlay.cpp
src/components/ogre/terrain/TerrainEditorOverlay.h
src/components/ogre/widgets/TerrainEditor.lua

commit f5167af
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-12

    Provide a better preview icon.

src/components/ogre/modeldefinitions/scythe.modeldef

commit 7dbe6ae
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-12

    Handle exceptions when trying to attach objects to bones.

src/components/ogre/model/ModelAttachment.cpp

commit 44be2a0
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-12

    Bump required Eris version.

configure.ac

commit 5745db6
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-07

    Check for X11, as that's needed for the copy paste.

configure.ac

commit 77f660f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-01

    Use the entity tooltip class to provide better tooltips for the
    entities.

src/components/ogre/widgets/Inventory.lua

commit 29e6edf
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-01

    Create an instance of EntityTooltip when a World is created, and expose
    this through an accessor.

src/components/ogre/GUIManager.cpp
src/components/ogre/GUIManager.h
src/components/ogre/scripting/bindings/lua/GUIManager.pkg

commit 65e7887
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-09-01

    Added a tooltip type which automatically can show detailed information
    about an entity.

src/components/cegui/datafiles/schemes/EmberLookSkin.scheme
src/components/ogre/Makefile.am
src/components/ogre/scripting/bindings/lua/EmberOgre.pkg
src/components/ogre/scripting/bindings/lua/EntityTooltip.pkg
src/components/ogre/scripting/bindings/lua/Makefile.am
src/components/ogre/widgets/EntityTooltip.cpp
src/components/ogre/widgets/EntityTooltip.h

commit 0aea249
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-31

    Fixed an issue where the entity overlays prevented the user from
    clicking in the world.

src/components/ogre/widgets/IngameChatWidget.layout

commit 37b7d74
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-31

    Removed obsolete methods.

src/components/ogre/GUIManager.cpp
src/components/ogre/GUIManager.h
src/components/ogre/scripting/bindings/lua/GUIManager.pkg

commit 554fac8
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-31

    Make sure that the menu is contained in the main window.

src/components/ogre/widgets/EntityPicker.lua

commit b3a2502
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-31

    Allow the help widget to be resized.

src/components/ogre/widgets/HelpWidget.layout

commit 0c3e5f7
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-31

    Removed the usage of CEGUI.String as this is fixed in 0.7.2.

src/components/ogre/widgets/ModelEdit.lua

commit 6c13bb7
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-31

    Updated cegui definitions to fit with 0.7.2.

src/components/cegui/datafiles/fonts/Font.xsd
src/components/cegui/datafiles/looknfeel/EmberLook.looknfeel
src/components/cegui/datafiles/looknfeel/Falagard.xsd
src/components/cegui/datafiles/schemes/EmberLookSkin.scheme
src/components/cegui/datafiles/schemes/GUIScheme.xsd

commit a7637fb
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-31

    Bumped required CEGUI version as 0.7.2 contains a lot of fixes and new
    features that are useful to us.

configure.ac

commit ddc1e4b
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-30

    Added missing semi colon at the end of class decl.

src/components/lua/bindings/lua/Connector.pkg

commit d994d30
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-29

    Force garbage collection of all scripting providers when we've exited a
    world, as that would be the perfect time to do some cleaning.

src/components/ogre/EmberOgre.cpp

commit be200e2
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-29

    Fixed incorrect rotation and scaling.

src/components/ogre/modeldefinitions/hammer.modeldef

commit b6987bb
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-29

    Moved the initialization of the Lua connectors from EmberOgre into
    Application, as it now has nothing to do with EmberOgre.

src/components/ogre/EmberOgre.cpp
src/main/Application.cpp

commit 61fca5d
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-29

    Only update when the specific attributes are changed. This should
    improve performance, as previously the whole status widget was redrawn
    every time any attribute on the entity changed.

src/components/ogre/widgets/Status.lua

commit 876ddff
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-23

    Fixed compilation warning.

src/components/ogre/widgets/ActionBarInput.cpp

commit bb38781
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-21

    Fixed incorrect type.

src/bindings/lua/TypeResolving.cpp

commit b72bf92
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-20

    Also use the server name when storing server credentials, so that they
    are specific to server instances.

src/components/ogre/widgets/ActionBarIconManager.cpp
src/components/ogre/widgets/ServerWidget.cpp
src/services/bindings/lua/ServerSettingsCredentials.pkg
src/services/serversettings/ServerSettings.cpp
src/services/serversettings/ServerSettingsCredentials.cpp
src/services/serversettings/ServerSettingsCredentials.h

commit 748d583
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-19

    Only update the text when it has changed.

src/components/ogre/widgets/QuickHelp.lua

commit 224b9f0
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    Removed debug output.

src/components/ogre/widgets/ActionBar.lua

commit 6b3d6c9
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-19

    Added tool tip to the slots.

src/components/ogre/widgets/ActionBar.lua

commit 828cc18
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-19

    Provide a small indicator showing the shortkey for actionbar slots which
    are wired to keys.

src/components/ogre/widgets/ActionBar.lua

commit c4ed696
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-19

    Fixed issue with action bar count field not being set.

src/components/ogre/widgets/ActionBarCreator.lua

commit cffd53d
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-19

    Lua event handlers should return true if successful.

src/components/ogre/widgets/ActionBarCreator.lua

commit 6b75104
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-19

    Changed the naming from Tutorial to HelpMessage.

src/components/ogre/widgets/QuickHelp.cpp
src/components/ogre/widgets/QuickHelp.h
src/components/ogre/widgets/QuickHelpCursor.cpp
src/components/ogre/widgets/QuickHelpCursor.h

commit 61ddd24
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-19

    Made the comment more clear.

src/components/ogre/widgets/QuickHelp.lua

commit 4ec457c
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    Show the number of unread messages for each tab.

src/components/ogre/widgets/Console.lua

commit 1819b47
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    Completed rename.

src/components/ogre/widgets/Console.lua

commit 2b3e409
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    Renamed Chat.lua to Console.lua as that's more fitting.

src/components/ogre/GUIManager.cpp
src/components/ogre/widgets/Bootstrap.lua
src/components/ogre/widgets/Chat.layout
src/components/ogre/widgets/Chat.lua
src/components/ogre/widgets/Console.layout
src/components/ogre/widgets/Console.lua
src/components/ogre/widgets/ConsoleWidget.layout

commit 5a0a4f2
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    Adapt the time the help window is shown to the number of words in it.

src/components/ogre/widgets/QuickHelp.lua

commit 8dffa94
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    When dropping an entity, also specify the orientation.

src/components/ogre/scripting/bindings/lua/EntityIconDragDropPreview.pkg
src/components/ogre/widgets/EntityIconDragDropPreview.cpp
src/components/ogre/widgets/EntityIconDragDropPreview.h
src/components/ogre/widgets/Inventory.lua

commit f04dfc8
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    Expose the ability to specify an orientation when dropping an entity.

src/services/bindings/lua/ServerService.pkg
src/services/server/ConnectedAdapter.cpp
src/services/server/ConnectedAdapter.h
src/services/server/IServerAdapter.h
src/services/server/NonConnectedAdapter.cpp
src/services/server/NonConnectedAdapter.h
src/services/server/ServerService.cpp
src/services/server/ServerService.h

commit c26c3af
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    All CEGUI event handlers must always return true if successful.

src/components/ogre/widgets/QuickHelp.lua

commit d7340e9
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    Send the whole HelpMessage instead of only the text when signalling a
    new message. Use this to also show a caption.

src/bindings/lua/ConnectorDefinitions.pkg
src/bindings/lua/TypeResolving.cpp
src/bindings/lua/TypeResolving.h
src/components/ogre/scripting/bindings/lua/QuickHelpCursor.pkg
src/components/ogre/widgets/HelpMessage.cpp
src/components/ogre/widgets/HelpMessage.h
src/components/ogre/widgets/QuickHelp.lua
src/components/ogre/widgets/QuickHelpCursor.cpp
src/components/ogre/widgets/QuickHelpCursor.h

commit df479cf
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    Fixed compiler warnings about field initialization.

src/components/ogre/widgets/EntityIconDragDropPreview.cpp

commit fb804e7
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    Fixed some issues with the alpha not correctly being reset when the
    window is activated.

src/components/ogre/widgets/QuickHelp.lua

commit 2b421c2
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    Only enable buttons when there are more help messages available.

src/components/ogre/widgets/QuickHelp.lua

commit 7ae30b0
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    Adapted the layout to better handle resizing. Most elements are now
    fixed in size.

src/components/ogre/widgets/QuickHelp.layout

commit f584230
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    Fixed some issues after changing to using the QuickHelp system.

src/components/ogre/widgets/Mover.lua

commit 5d3a21f
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    Use the quickhelp system.

src/components/ogre/widgets/Help.cpp
src/components/ogre/widgets/Help.h

commit 4186217
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    "Quit" seems more intuitive than "Shutdown".

src/components/ogre/widgets/Quit.layout

commit a3f2f22
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    Place the horizontal bar at the bottom of the screen, centered, by
    default.

src/components/ogre/widgets/ActionBar.lua

commit d034ca0
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    Use the command "show_actionBarCreator" as we want to avoid using
    abbreviations in the console commands.

src/components/ogre/widgets/ActionBarCreator.lua

commit 3a95737
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    The connector instances are now always handled by Lua, so there's no
    "delete" method available for them.

src/components/ogre/widgets/QuickHelp.lua

commit e214382
Author: Erik Hjortsberg <erik.hjortsberg@gmail.com>
Date:   2010-08-18

    Fixed connectors to use the new way of creation.

src/components/ogre/widgets/ActionBar.lua
src/components/ogre/widgets/ActionBarCreator.lua
src/components/ogre/widgets/Inventory.lua
src/components/ogre/widgets/QuickHelp.lua

commit b9c1caf
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-08-15

    Add lua binding for Eris::Timeout.
    Add a timeout for waiting on entities to appear in our inventory.
    Disconnect when entity candidate dictionary is empty.

src/components/ogre/widgets/ActionBar.lua
src/framework/bindings/lua/eris/Eris.pkg
src/framework/bindings/lua/eris/Makefile.am
src/framework/bindings/lua/eris/Timeout.pkg

commit b84c167
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-08-15

    Saving of action bar icons now works using Erik's comments.

src/components/ogre/widgets/ActionBar.lua

commit 9eb42e9
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-08-14

    Store the entity id instead of the entity for default actions on entities, and safely execute on them.

src/components/ogre/widgets/ActionBar.lua
src/components/ogre/widgets/ActionBarDefaultAction.lua

commit fa91197
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-08-14

    ActionBar hotkeys should only respond in movement/action mode.
    Note: Otherwise it interferes with the chat widget or other widgets that require typing.

ember.conf

commit 29ec638
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-08-14

    ActionBarCreator should be hidden by default.
    Use "/show_abarCreate" to show the widget.
    Layout fix.

src/components/ogre/widgets/ActionBarCreator.layout
src/components/ogre/widgets/ActionBarCreator.lua

commit a2d3240
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-08-14

    Added comments to various ActionBar objects.

AUTHORS
src/components/ogre/widgets/ActionBar.lua
src/components/ogre/widgets/ActionBarCreator.lua
src/components/ogre/widgets/ActionBarIcon.h
src/components/ogre/widgets/ActionBarInput.h

commit 6cc5995
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-08-11

    Can delete saved settings now.
    Save the id of the entity for entity icons dropped.
    Change desctructor event.

src/components/ogre/scripting/bindings/lua/ActionBarIconManager.pkg
src/components/ogre/widgets/ActionBar.lua
src/components/ogre/widgets/ActionBarCreator.lua
src/components/ogre/widgets/ActionBarIconManager.cpp
src/components/ogre/widgets/ActionBarIconManager.h

commit 5dc8b44
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-08-10

    ActionBar position saving and loading now works.

src/components/ogre/widgets/ActionBar.lua
src/components/ogre/widgets/ActionBarCreator.lua

commit fa0c8d1
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-08-06

    Early implementation of saving action bar position and loading at startup.

src/components/ogre/scripting/bindings/lua/ActionBarIconManager.pkg
src/components/ogre/widgets/ActionBar.lua
src/components/ogre/widgets/ActionBarCreator.lua
src/components/ogre/widgets/ActionBarIconManager.cpp
src/components/ogre/widgets/ActionBarIconManager.h

commit 6f29c2b
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-08-03

    ActionBarIcons tied to an entity are now removed when the entity is longer in the inventory of the user.

src/components/ogre/widgets/ActionBar.lua

commit bcd01bd
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-08-02

    Testing out saving user settings with ServerSettings service.
    Remove debug message.

src/components/ogre/scripting/bindings/lua/ActionBarIconManager.pkg
src/components/ogre/widgets/ActionBar.lua
src/components/ogre/widgets/ActionBarCreator.lua
src/components/ogre/widgets/ActionBarIconManager.cpp
src/components/ogre/widgets/ActionBarIconManager.h

commit 4471c40
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-07-31

    Fix bug with action bar icon being deleted when dragging and dropping on the same slot.

src/components/ogre/widgets/ActionBar.lua

commit 2f813ae
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-07-28

    User can now select the default behavior of an entity based on its attributes.

src/components/ogre/widgets/ActionBarCreator.layout
src/components/ogre/widgets/ActionBarCreator.lua
src/components/ogre/widgets/ActionBarDefaultAction.lua
src/components/ogre/widgets/DefaultEntityActions.lua

commit f42d27d
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-07-27

    Add a lua object to deal with global action bar default functions.
    Updated layout for entity creator widget.

src/components/ogre/widgets/ActionBar.lua
src/components/ogre/widgets/ActionBarCreator.layout
src/components/ogre/widgets/ActionBarCreator.lua
src/components/ogre/widgets/ActionBarDefaultAction.lua
src/components/ogre/widgets/DefaultEntityActions.lua

commit 6580638
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-07-23

    Templated implementation of icon user data.

src/components/ogre/Makefile.am
src/components/ogre/widgets/ActionBarIcon.cpp
src/components/ogre/widgets/ActionBarIcon.h
src/components/ogre/widgets/ActionBarIconDragDropTarget.cpp
src/components/ogre/widgets/EntityIcon.cpp
src/components/ogre/widgets/EntityIcon.h
src/components/ogre/widgets/EntityIconDragDropTarget.cpp
src/components/ogre/widgets/GenericIconUserData.h

commit 7f71086
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-07-22

    Added much needed comments to the action bar widget and related classes.

src/components/ogre/widgets/ActionBar.lua
src/components/ogre/widgets/ActionBarCreator.lua
src/components/ogre/widgets/ActionBarDefaultAction.lua
src/components/ogre/widgets/ActionBarIcon.h
src/components/ogre/widgets/ActionBarIconDragDropTarget.h
src/components/ogre/widgets/ActionBarIconManager.h
src/components/ogre/widgets/ActionBarIconSlot.h
src/components/ogre/widgets/ActionBarInput.cpp
src/components/ogre/widgets/ActionBarInput.h

commit aaffd07
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-07-21

    Create a default action bar at avatar load that responds to hotkeys.

ember.conf
src/components/ogre/scripting/bindings/lua/ActionBar.pkg
src/components/ogre/widgets/ActionBar.lua
src/components/ogre/widgets/ActionBarCreator.lua
src/components/ogre/widgets/ActionBarInput.cpp
src/components/ogre/widgets/ActionBarInput.h

commit 1ec51e7
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-07-21

    ActionBars need to delete icons and slots at shutdown.
    ActionBarCreator widget is created when the player logs in.

src/components/ogre/widgets/ActionBar.lua
src/components/ogre/widgets/ActionBarCreator.lua

commit 28a0427
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-07-20

    Default action needs to be attached to the icon, not the slot.

src/components/ogre/widgets/ActionBar.lua

commit b7a090a
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-07-20

    Minor brace changes based on code review.

src/components/ogre/widgets/ActionBarIconDragDropTarget.cpp

commit 9aae780
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-07-20

    Fix the removal of existing ActionBarIcons when dragging to world and dragging over an existing ActionBarIcon.

src/components/ogre/widgets/ActionBar.lua
src/components/ogre/widgets/ActionBarDefaultAction.lua

commit 0f31e48
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-07-20

    Existing ActionBarIcons need to pass Drag events to corresponding slots.

src/components/ogre/widgets/ActionBarIcon.cpp
src/components/ogre/widgets/ActionBarIcon.h

commit 8279cd5
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-07-19

    Use boost::any to differentiate between icons. Based on the icon, different Events are signaled.

src/components/ogre/scripting/bindings/lua/ActionBarIconDragDropTarget.pkg
src/components/ogre/scripting/bindings/lua/ActionBarIconSlot.pkg
src/components/ogre/widgets/ActionBar.lua
src/components/ogre/widgets/ActionBarDefaultAction.lua
src/components/ogre/widgets/ActionBarIcon.cpp
src/components/ogre/widgets/ActionBarIcon.h
src/components/ogre/widgets/ActionBarIconDragDropTarget.cpp
src/components/ogre/widgets/ActionBarIconDragDropTarget.h

commit a29b179
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-07-18

    Add ActionBarIcon event support in LuaConnectors.

src/bindings/lua/ConnectorDefinitions.pkg
src/bindings/lua/TypeResolving.cpp
src/bindings/lua/TypeResolving.h

commit 6774dd3
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-07-14

    Dragging an icon on top of an existing icon in the ActionBars deletes the old icon and replaces it with the new one.

src/components/ogre/widgets/ActionBar.lua

commit 7455935
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-07-14

    ActionIcon classes don't need to keep track of the EmberEntity. This should help when working on generic Icon classes as ActionBarIcon classes are almost identical to EntityIconClassses.

src/components/ogre/scripting/bindings/lua/ActionBarIconManager.pkg
src/components/ogre/widgets/ActionBar.lua
src/components/ogre/widgets/ActionBarIcon.cpp
src/components/ogre/widgets/ActionBarIcon.h
src/components/ogre/widgets/ActionBarIconManager.cpp
src/components/ogre/widgets/ActionBarIconManager.h

commit 6ef3098
Author: Tiberiu Paunescu <4lyfestile@gmail.com>
Date:   2010-07-13

    Fixed segfault with double clicking on ActionBar drag bar.
    EntityIcons inherit alpha.
    Lowered alpha on ActionBar slots.

